
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '$END', 1: '__ANON_2', 2: '__ANON_0', 3: '__ANON_1', 4: 'RBRACE', 5: 'body', 6: '__ANON_3', 7: '__anon_plus_2', 8: 'identifier', 9: 'block', 10: 'start', 11: 'null_lit', 12: 'NULL', 13: '__anon_star_0', 14: 'new_line_or_comment', 15: 'attribute', 16: '__ANON_11', 17: 'RSQB', 18: 'LSQB', 19: 'STRING_LIT', 20: 'FOR', 21: 'IF', 22: 'IN', 23: 'DECIMAL', 24: 'COMMA', 25: '__ANON_10', 26: 'FALSE', 27: 'MINUS', 28: 'TRUE', 29: 'RPAR', 30: 'LPAR', 31: 'LBRACE', 32: 'BANG', 33: '__ANON_7', 34: 'DOT', 35: 'PLUS', 36: '__ANON_9', 37: '__ANON_14', 38: 'MORETHAN', 39: 'PERCENT', 40: '__ANON_13', 41: '__ANON_6', 42: '__ANON_12', 43: '__ANON_4', 44: '__ANON_5', 45: 'QMARK', 46: 'LESSTHAN', 47: 'COLON', 48: 'SLASH', 49: '__ANON_8', 50: 'EQUAL', 51: 'STAR', 52: '__anon_star_1', 53: 'expression', 54: 'attr_splat_expr_term', 55: '__anon_plus_3', 56: 'false_lit', 57: 'expr_term', 58: 'unary_op', 59: 'for_object_expr', 60: 'full_splat_expr_term', 61: 'operation', 62: 'binary_op', 63: 'float_lit', 64: 'tuple', 65: 'true_lit', 66: 'conditional', 67: 'heredoc_template', 68: 'for_tuple_expr', 69: 'function_call', 70: 'get_attr_expr_term', 71: 'int_lit', 72: 'index_expr_term', 73: 'object', 74: 'heredoc_template_trim', 75: 'for_intro', 76: 'binary_term', 77: 'binary_operator', 78: 'object_elem', 79: 'EXP_MARK', 80: 'attr_splat', 81: 'full_splat', 82: 'index', 83: 'get_attr', 84: '__anon_star_4', 85: 'new_line_and_or_comma', 86: '__anon_star_5', 87: '__anon_star_6', 88: 'arguments', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (1, {'@': 45}), 1: (0, 10), 2: (0, 14), 3: (0, 2), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 3), 7: (0, 4), 8: (0, 5), 9: (0, 6), 10: (0, 7), 11: (0, 8), 12: (0, 9), 13: (0, 11), 14: (0, 12), 15: (0, 13)}, 1: {0: (1, {'@': 46}), 3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 15), 2: (0, 14)}, 2: {16: (1, {'@': 47}), 17: (1, {'@': 47}), 18: (1, {'@': 47}), 19: (1, {'@': 47}), 20: (1, {'@': 47}), 21: (1, {'@': 47}), 22: (1, {'@': 47}), 23: (1, {'@': 47}), 4: (1, {'@': 47}), 24: (1, {'@': 47}), 0: (1, {'@': 47}), 25: (1, {'@': 47}), 26: (1, {'@': 47}), 2: (1, {'@': 47}), 1: (1, {'@': 47}), 27: (1, {'@': 47}), 28: (1, {'@': 47}), 29: (1, {'@': 47}), 30: (1, {'@': 47}), 31: (1, {'@': 47}), 6: (1, {'@': 47}), 12: (1, {'@': 47}), 3: (1, {'@': 47}), 32: (1, {'@': 47})}, 3: {16: (1, {'@': 48}), 33: (1, {'@': 48}), 18: (1, {'@': 48}), 21: (1, {'@': 48}), 22: (1, {'@': 48}), 23: (1, {'@': 48}), 34: (1, {'@': 48}), 4: (1, {'@': 48}), 35: (1, {'@': 48}), 24: (1, {'@': 48}), 0: (1, {'@': 48}), 36: (1, {'@': 48}), 37: (1, {'@': 48}), 1: (1, {'@': 48}), 38: (1, {'@': 48}), 27: (1, {'@': 48}), 39: (1, {'@': 48}), 3: (1, {'@': 48}), 40: (1, {'@': 48}), 32: (1, {'@': 48}), 41: (1, {'@': 48}), 17: (1, {'@': 48}), 19: (1, {'@': 48}), 42: (1, {'@': 48}), 25: (1, {'@': 48}), 43: (1, {'@': 48}), 26: (1, {'@': 48}), 44: (1, {'@': 48}), 45: (1, {'@': 48}), 46: (1, {'@': 48}), 2: (1, {'@': 48}), 28: (1, {'@': 48}), 29: (1, {'@': 48}), 30: (1, {'@': 48}), 47: (1, {'@': 48}), 48: (1, {'@': 48}), 31: (1, {'@': 48}), 49: (1, {'@': 48}), 6: (1, {'@': 48}), 50: (1, {'@': 48}), 12: (1, {'@': 48}), 51: (1, {'@': 48})}, 4: {16: (1, {'@': 49}), 17: (1, {'@': 49}), 18: (1, {'@': 49}), 2: (0, 16), 1: (0, 18), 27: (1, {'@': 49}), 19: (1, {'@': 49}), 28: (1, {'@': 49}), 20: (1, {'@': 49}), 29: (1, {'@': 49}), 30: (1, {'@': 49}), 21: (1, {'@': 49}), 23: (1, {'@': 49}), 22: (1, {'@': 49}), 32: (1, {'@': 49}), 4: (1, {'@': 49}), 31: (1, {'@': 49}), 24: (1, {'@': 49}), 6: (1, {'@': 49}), 0: (1, {'@': 49}), 25: (1, {'@': 49}), 12: (1, {'@': 49}), 3: (0, 17), 26: (1, {'@': 49})}, 5: {52: (0, 19), 6: (0, 3), 31: (0, 20), 50: (0, 21), 19: (0, 22), 8: (0, 23)}, 6: {1: (1, {'@': 50}), 2: (1, {'@': 50}), 6: (1, {'@': 50}), 0: (1, {'@': 50}), 12: (1, {'@': 50}), 3: (1, {'@': 50}), 4: (1, {'@': 50})}, 7: {0: (0, 24)}, 8: {50: (0, 25)}, 9: {16: (1, {'@': 51}), 33: (1, {'@': 51}), 18: (1, {'@': 51}), 21: (1, {'@': 51}), 23: (1, {'@': 51}), 34: (1, {'@': 51}), 4: (1, {'@': 51}), 35: (1, {'@': 51}), 24: (1, {'@': 51}), 0: (1, {'@': 51}), 36: (1, {'@': 51}), 37: (1, {'@': 51}), 1: (1, {'@': 51}), 38: (1, {'@': 51}), 27: (1, {'@': 51}), 39: (1, {'@': 51}), 3: (1, {'@': 51}), 40: (1, {'@': 51}), 32: (1, {'@': 51}), 41: (1, {'@': 51}), 17: (1, {'@': 51}), 19: (1, {'@': 51}), 42: (1, {'@': 51}), 25: (1, {'@': 51}), 43: (1, {'@': 51}), 26: (1, {'@': 51}), 44: (1, {'@': 51}), 45: (1, {'@': 51}), 46: (1, {'@': 51}), 2: (1, {'@': 51}), 28: (1, {'@': 51}), 29: (1, {'@': 51}), 30: (1, {'@': 51}), 47: (1, {'@': 51}), 48: (1, {'@': 51}), 31: (1, {'@': 51}), 49: (1, {'@': 51}), 6: (1, {'@': 51}), 50: (1, {'@': 51}), 12: (1, {'@': 51}), 51: (1, {'@': 51})}, 10: {16: (1, {'@': 52}), 17: (1, {'@': 52}), 18: (1, {'@': 52}), 19: (1, {'@': 52}), 20: (1, {'@': 52}), 21: (1, {'@': 52}), 22: (1, {'@': 52}), 23: (1, {'@': 52}), 4: (1, {'@': 52}), 24: (1, {'@': 52}), 0: (1, {'@': 52}), 25: (1, {'@': 52}), 26: (1, {'@': 52}), 2: (1, {'@': 52}), 1: (1, {'@': 52}), 27: (1, {'@': 52}), 28: (1, {'@': 52}), 29: (1, {'@': 52}), 30: (1, {'@': 52}), 31: (1, {'@': 52}), 6: (1, {'@': 52}), 12: (1, {'@': 52}), 3: (1, {'@': 52}), 32: (1, {'@': 52})}, 11: {0: (1, {'@': 53}), 1: (1, {'@': 53}), 2: (1, {'@': 53}), 3: (1, {'@': 53}), 4: (1, {'@': 53}), 6: (0, 3), 9: (0, 26), 8: (0, 5), 12: (0, 9), 11: (0, 8), 15: (0, 27)}, 12: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 6: (0, 3), 8: (0, 5), 9: (0, 6), 11: (0, 8), 12: (0, 9), 13: (0, 11), 15: (0, 13), 5: (0, 28)}, 13: {1: (1, {'@': 54}), 2: (1, {'@': 54}), 6: (1, {'@': 54}), 0: (1, {'@': 54}), 12: (1, {'@': 54}), 3: (1, {'@': 54}), 4: (1, {'@': 54})}, 14: {16: (1, {'@': 55}), 17: (1, {'@': 55}), 18: (1, {'@': 55}), 19: (1, {'@': 55}), 20: (1, {'@': 55}), 21: (1, {'@': 55}), 22: (1, {'@': 55}), 23: (1, {'@': 55}), 4: (1, {'@': 55}), 24: (1, {'@': 55}), 0: (1, {'@': 55}), 25: (1, {'@': 55}), 26: (1, {'@': 55}), 2: (1, {'@': 55}), 1: (1, {'@': 55}), 27: (1, {'@': 55}), 28: (1, {'@': 55}), 29: (1, {'@': 55}), 30: (1, {'@': 55}), 31: (1, {'@': 55}), 6: (1, {'@': 55}), 12: (1, {'@': 55}), 3: (1, {'@': 55}), 32: (1, {'@': 55})}, 15: {0: (1, {'@': 56})}, 16: {16: (1, {'@': 57}), 17: (1, {'@': 57}), 18: (1, {'@': 57}), 19: (1, {'@': 57}), 20: (1, {'@': 57}), 21: (1, {'@': 57}), 22: (1, {'@': 57}), 23: (1, {'@': 57}), 4: (1, {'@': 57}), 24: (1, {'@': 57}), 0: (1, {'@': 57}), 25: (1, {'@': 57}), 26: (1, {'@': 57}), 2: (1, {'@': 57}), 1: (1, {'@': 57}), 27: (1, {'@': 57}), 28: (1, {'@': 57}), 29: (1, {'@': 57}), 30: (1, {'@': 57}), 31: (1, {'@': 57}), 6: (1, {'@': 57}), 12: (1, {'@': 57}), 3: (1, {'@': 57}), 32: (1, {'@': 57})}, 17: {16: (1, {'@': 58}), 17: (1, {'@': 58}), 18: (1, {'@': 58}), 19: (1, {'@': 58}), 20: (1, {'@': 58}), 21: (1, {'@': 58}), 22: (1, {'@': 58}), 23: (1, {'@': 58}), 4: (1, {'@': 58}), 24: (1, {'@': 58}), 0: (1, {'@': 58}), 25: (1, {'@': 58}), 26: (1, {'@': 58}), 2: (1, {'@': 58}), 1: (1, {'@': 58}), 27: (1, {'@': 58}), 28: (1, {'@': 58}), 29: (1, {'@': 58}), 30: (1, {'@': 58}), 31: (1, {'@': 58}), 6: (1, {'@': 58}), 12: (1, {'@': 58}), 3: (1, {'@': 58}), 32: (1, {'@': 58})}, 18: {16: (1, {'@': 59}), 17: (1, {'@': 59}), 18: (1, {'@': 59}), 19: (1, {'@': 59}), 20: (1, {'@': 59}), 21: (1, {'@': 59}), 22: (1, {'@': 59}), 23: (1, {'@': 59}), 4: (1, {'@': 59}), 24: (1, {'@': 59}), 0: (1, {'@': 59}), 25: (1, {'@': 59}), 26: (1, {'@': 59}), 2: (1, {'@': 59}), 1: (1, {'@': 59}), 27: (1, {'@': 59}), 28: (1, {'@': 59}), 29: (1, {'@': 59}), 30: (1, {'@': 59}), 31: (1, {'@': 59}), 6: (1, {'@': 59}), 12: (1, {'@': 59}), 3: (1, {'@': 59}), 32: (1, {'@': 59})}, 19: {6: (0, 3), 8: (0, 29), 31: (0, 30), 19: (0, 31)}, 20: {0: (1, {'@': 45}), 1: (0, 10), 2: (0, 14), 3: (0, 2), 4: (1, {'@': 45}), 6: (0, 3), 7: (0, 4), 8: (0, 5), 14: (0, 32), 9: (0, 6), 11: (0, 8), 12: (0, 9), 13: (0, 11), 15: (0, 13), 5: (0, 33)}, 21: {18: (0, 34), 53: (0, 35), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 22: {6: (1, {'@': 60}), 31: (1, {'@': 60}), 19: (1, {'@': 60})}, 23: {6: (1, {'@': 61}), 31: (1, {'@': 61}), 19: (1, {'@': 61})}, 24: {}, 25: {18: (0, 34), 53: (0, 69), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 26: {1: (1, {'@': 62}), 2: (1, {'@': 62}), 6: (1, {'@': 62}), 0: (1, {'@': 62}), 12: (1, {'@': 62}), 3: (1, {'@': 62}), 4: (1, {'@': 62})}, 27: {1: (1, {'@': 63}), 2: (1, {'@': 63}), 6: (1, {'@': 63}), 0: (1, {'@': 63}), 12: (1, {'@': 63}), 3: (1, {'@': 63}), 4: (1, {'@': 63})}, 28: {0: (1, {'@': 64}), 3: (0, 2), 1: (0, 10), 7: (0, 4), 2: (0, 14), 14: (0, 70)}, 29: {6: (1, {'@': 65}), 31: (1, {'@': 65}), 19: (1, {'@': 65})}, 30: {0: (1, {'@': 45}), 1: (0, 10), 2: (0, 14), 3: (0, 2), 4: (1, {'@': 45}), 5: (0, 71), 6: (0, 3), 7: (0, 4), 8: (0, 5), 9: (0, 6), 14: (0, 72), 11: (0, 8), 12: (0, 9), 13: (0, 11), 15: (0, 13)}, 31: {6: (1, {'@': 66}), 31: (1, {'@': 66}), 19: (1, {'@': 66})}, 32: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 6: (0, 3), 8: (0, 5), 9: (0, 6), 11: (0, 8), 5: (0, 73), 12: (0, 9), 13: (0, 11), 15: (0, 13)}, 33: {4: (0, 74)}, 34: {18: (0, 34), 14: (0, 75), 28: (0, 36), 54: (0, 37), 20: (0, 76), 75: (0, 77), 32: (0, 43), 31: (0, 38), 53: (0, 78), 7: (0, 4), 8: (0, 46), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 30: (0, 39), 11: (0, 56), 25: (0, 57), 66: (0, 58), 57: (0, 45), 17: (0, 79), 70: (0, 63), 55: (0, 42), 27: (0, 66), 73: (0, 67), 16: (0, 40), 23: (0, 41), 56: (0, 44), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 64: (0, 53), 19: (0, 54), 65: (0, 55), 2: (0, 14), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 71: (0, 64), 72: (0, 65), 1: (0, 10), 74: (0, 68)}, 35: {1: (0, 10), 2: (0, 14), 6: (1, {'@': 67}), 0: (1, {'@': 67}), 12: (1, {'@': 67}), 3: (0, 2), 4: (1, {'@': 67}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 7: (0, 4), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 14: (0, 91), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 36: {16: (1, {'@': 68}), 33: (1, {'@': 68}), 18: (1, {'@': 68}), 21: (1, {'@': 68}), 23: (1, {'@': 68}), 34: (1, {'@': 68}), 4: (1, {'@': 68}), 35: (1, {'@': 68}), 24: (1, {'@': 68}), 0: (1, {'@': 68}), 36: (1, {'@': 68}), 37: (1, {'@': 68}), 1: (1, {'@': 68}), 38: (1, {'@': 68}), 27: (1, {'@': 68}), 39: (1, {'@': 68}), 3: (1, {'@': 68}), 40: (1, {'@': 68}), 32: (1, {'@': 68}), 41: (1, {'@': 68}), 17: (1, {'@': 68}), 19: (1, {'@': 68}), 42: (1, {'@': 68}), 25: (1, {'@': 68}), 43: (1, {'@': 68}), 26: (1, {'@': 68}), 44: (1, {'@': 68}), 45: (1, {'@': 68}), 46: (1, {'@': 68}), 2: (1, {'@': 68}), 28: (1, {'@': 68}), 29: (1, {'@': 68}), 30: (1, {'@': 68}), 47: (1, {'@': 68}), 48: (1, {'@': 68}), 31: (1, {'@': 68}), 49: (1, {'@': 68}), 6: (1, {'@': 68}), 50: (1, {'@': 68}), 12: (1, {'@': 68}), 51: (1, {'@': 68})}, 37: {16: (1, {'@': 69}), 33: (1, {'@': 69}), 18: (1, {'@': 69}), 21: (1, {'@': 69}), 23: (1, {'@': 69}), 34: (1, {'@': 69}), 4: (1, {'@': 69}), 35: (1, {'@': 69}), 24: (1, {'@': 69}), 0: (1, {'@': 69}), 36: (1, {'@': 69}), 37: (1, {'@': 69}), 1: (1, {'@': 69}), 38: (1, {'@': 69}), 27: (1, {'@': 69}), 39: (1, {'@': 69}), 3: (1, {'@': 69}), 40: (1, {'@': 69}), 32: (1, {'@': 69}), 41: (1, {'@': 69}), 17: (1, {'@': 69}), 19: (1, {'@': 69}), 42: (1, {'@': 69}), 25: (1, {'@': 69}), 43: (1, {'@': 69}), 26: (1, {'@': 69}), 44: (1, {'@': 69}), 45: (1, {'@': 69}), 46: (1, {'@': 69}), 2: (1, {'@': 69}), 28: (1, {'@': 69}), 29: (1, {'@': 69}), 30: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 31: (1, {'@': 69}), 49: (1, {'@': 69}), 6: (1, {'@': 69}), 50: (1, {'@': 69}), 12: (1, {'@': 69}), 51: (1, {'@': 69})}, 38: {78: (0, 97), 75: (0, 98), 18: (0, 34), 20: (0, 76), 53: (0, 99), 28: (0, 36), 54: (0, 37), 14: (0, 100), 31: (0, 38), 30: (0, 39), 16: (0, 40), 8: (0, 101), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 7: (0, 4), 57: (0, 45), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 4: (0, 102), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 39: {18: (0, 34), 53: (0, 103), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 14: (0, 104), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 40: {16: (1, {'@': 70}), 33: (1, {'@': 70}), 18: (1, {'@': 70}), 21: (1, {'@': 70}), 23: (1, {'@': 70}), 34: (1, {'@': 70}), 4: (1, {'@': 70}), 35: (1, {'@': 70}), 24: (1, {'@': 70}), 0: (1, {'@': 70}), 36: (1, {'@': 70}), 37: (1, {'@': 70}), 1: (1, {'@': 70}), 38: (1, {'@': 70}), 27: (1, {'@': 70}), 39: (1, {'@': 70}), 3: (1, {'@': 70}), 40: (1, {'@': 70}), 32: (1, {'@': 70}), 41: (1, {'@': 70}), 17: (1, {'@': 70}), 19: (1, {'@': 70}), 42: (1, {'@': 70}), 25: (1, {'@': 70}), 43: (1, {'@': 70}), 26: (1, {'@': 70}), 44: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 2: (1, {'@': 70}), 28: (1, {'@': 70}), 29: (1, {'@': 70}), 30: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 31: (1, {'@': 70}), 49: (1, {'@': 70}), 6: (1, {'@': 70}), 50: (1, {'@': 70}), 12: (1, {'@': 70}), 51: (1, {'@': 70})}, 41: {16: (1, {'@': 71}), 33: (1, {'@': 71}), 18: (1, {'@': 71}), 21: (1, {'@': 71}), 23: (1, {'@': 71}), 34: (1, {'@': 71}), 4: (1, {'@': 71}), 35: (1, {'@': 71}), 24: (1, {'@': 71}), 0: (1, {'@': 71}), 36: (1, {'@': 71}), 37: (1, {'@': 71}), 1: (1, {'@': 71}), 38: (1, {'@': 71}), 27: (1, {'@': 71}), 39: (1, {'@': 71}), 3: (1, {'@': 71}), 40: (1, {'@': 71}), 32: (1, {'@': 71}), 41: (1, {'@': 71}), 79: (1, {'@': 71}), 17: (1, {'@': 71}), 19: (1, {'@': 71}), 42: (1, {'@': 71}), 25: (1, {'@': 71}), 43: (1, {'@': 71}), 26: (1, {'@': 71}), 44: (1, {'@': 71}), 45: (1, {'@': 71}), 46: (1, {'@': 71}), 2: (1, {'@': 71}), 28: (1, {'@': 71}), 29: (1, {'@': 71}), 30: (1, {'@': 71}), 47: (1, {'@': 71}), 48: (1, {'@': 71}), 31: (1, {'@': 71}), 49: (1, {'@': 71}), 6: (1, {'@': 71}), 50: (1, {'@': 71}), 12: (1, {'@': 71}), 51: (1, {'@': 71})}, 42: {16: (1, {'@': 72}), 33: (1, {'@': 72}), 18: (1, {'@': 72}), 21: (1, {'@': 72}), 23: (0, 106), 34: (0, 105), 4: (1, {'@': 72}), 35: (1, {'@': 72}), 24: (1, {'@': 72}), 0: (1, {'@': 72}), 36: (1, {'@': 72}), 37: (1, {'@': 72}), 1: (1, {'@': 72}), 38: (1, {'@': 72}), 27: (1, {'@': 72}), 39: (1, {'@': 72}), 3: (1, {'@': 72}), 40: (1, {'@': 72}), 32: (1, {'@': 72}), 41: (1, {'@': 72}), 17: (1, {'@': 72}), 19: (1, {'@': 72}), 42: (1, {'@': 72}), 25: (1, {'@': 72}), 43: (1, {'@': 72}), 26: (1, {'@': 72}), 44: (1, {'@': 72}), 45: (1, {'@': 72}), 46: (1, {'@': 72}), 2: (1, {'@': 72}), 28: (1, {'@': 72}), 29: (1, {'@': 72}), 30: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 31: (1, {'@': 72}), 49: (1, {'@': 72}), 6: (1, {'@': 72}), 50: (1, {'@': 72}), 12: (1, {'@': 72}), 51: (1, {'@': 72}), 79: (0, 107)}, 43: {18: (0, 34), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 56: (0, 44), 57: (0, 108), 8: (0, 46), 59: (0, 48), 6: (0, 3), 60: (0, 49), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 73: (0, 67), 74: (0, 68)}, 44: {16: (1, {'@': 73}), 33: (1, {'@': 73}), 18: (1, {'@': 73}), 21: (1, {'@': 73}), 23: (1, {'@': 73}), 34: (1, {'@': 73}), 4: (1, {'@': 73}), 35: (1, {'@': 73}), 24: (1, {'@': 73}), 0: (1, {'@': 73}), 36: (1, {'@': 73}), 37: (1, {'@': 73}), 1: (1, {'@': 73}), 38: (1, {'@': 73}), 27: (1, {'@': 73}), 39: (1, {'@': 73}), 3: (1, {'@': 73}), 40: (1, {'@': 73}), 32: (1, {'@': 73}), 41: (1, {'@': 73}), 17: (1, {'@': 73}), 19: (1, {'@': 73}), 42: (1, {'@': 73}), 25: (1, {'@': 73}), 43: (1, {'@': 73}), 26: (1, {'@': 73}), 44: (1, {'@': 73}), 45: (1, {'@': 73}), 46: (1, {'@': 73}), 2: (1, {'@': 73}), 28: (1, {'@': 73}), 29: (1, {'@': 73}), 30: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 31: (1, {'@': 73}), 49: (1, {'@': 73}), 6: (1, {'@': 73}), 50: (1, {'@': 73}), 12: (1, {'@': 73}), 51: (1, {'@': 73})}, 45: {16: (1, {'@': 74}), 33: (1, {'@': 74}), 18: (0, 111), 21: (1, {'@': 74}), 23: (1, {'@': 74}), 4: (1, {'@': 74}), 35: (1, {'@': 74}), 24: (1, {'@': 74}), 0: (1, {'@': 74}), 36: (1, {'@': 74}), 37: (1, {'@': 74}), 1: (1, {'@': 74}), 38: (1, {'@': 74}), 27: (1, {'@': 74}), 39: (1, {'@': 74}), 51: (1, {'@': 74}), 32: (1, {'@': 74}), 41: (1, {'@': 74}), 17: (1, {'@': 74}), 19: (1, {'@': 74}), 42: (1, {'@': 74}), 25: (1, {'@': 74}), 43: (1, {'@': 74}), 26: (1, {'@': 74}), 44: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 2: (1, {'@': 74}), 28: (1, {'@': 74}), 29: (1, {'@': 74}), 30: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 31: (1, {'@': 74}), 49: (1, {'@': 74}), 6: (1, {'@': 74}), 50: (1, {'@': 74}), 12: (1, {'@': 74}), 3: (1, {'@': 74}), 40: (0, 109), 34: (0, 110), 80: (0, 112), 81: (0, 113), 82: (0, 114), 83: (0, 115)}, 46: {16: (1, {'@': 75}), 33: (1, {'@': 75}), 18: (1, {'@': 75}), 21: (1, {'@': 75}), 23: (1, {'@': 75}), 34: (1, {'@': 75}), 4: (1, {'@': 75}), 35: (1, {'@': 75}), 24: (1, {'@': 75}), 0: (1, {'@': 75}), 36: (1, {'@': 75}), 37: (1, {'@': 75}), 1: (1, {'@': 75}), 38: (1, {'@': 75}), 27: (1, {'@': 75}), 39: (1, {'@': 75}), 3: (1, {'@': 75}), 40: (1, {'@': 75}), 32: (1, {'@': 75}), 41: (1, {'@': 75}), 17: (1, {'@': 75}), 19: (1, {'@': 75}), 42: (1, {'@': 75}), 25: (1, {'@': 75}), 43: (1, {'@': 75}), 26: (1, {'@': 75}), 44: (1, {'@': 75}), 45: (1, {'@': 75}), 46: (1, {'@': 75}), 2: (1, {'@': 75}), 28: (1, {'@': 75}), 29: (1, {'@': 75}), 30: (0, 116), 47: (1, {'@': 75}), 48: (1, {'@': 75}), 31: (1, {'@': 75}), 49: (1, {'@': 75}), 6: (1, {'@': 75}), 50: (1, {'@': 75}), 12: (1, {'@': 75}), 51: (1, {'@': 75})}, 47: {16: (1, {'@': 76}), 33: (1, {'@': 76}), 18: (1, {'@': 76}), 21: (1, {'@': 76}), 23: (1, {'@': 76}), 4: (1, {'@': 76}), 35: (1, {'@': 76}), 24: (1, {'@': 76}), 0: (1, {'@': 76}), 36: (1, {'@': 76}), 37: (1, {'@': 76}), 1: (1, {'@': 76}), 38: (1, {'@': 76}), 27: (1, {'@': 76}), 39: (1, {'@': 76}), 3: (1, {'@': 76}), 32: (1, {'@': 76}), 41: (1, {'@': 76}), 17: (1, {'@': 76}), 19: (1, {'@': 76}), 42: (1, {'@': 76}), 25: (1, {'@': 76}), 43: (1, {'@': 76}), 26: (1, {'@': 76}), 44: (1, {'@': 76}), 45: (1, {'@': 76}), 46: (1, {'@': 76}), 2: (1, {'@': 76}), 28: (1, {'@': 76}), 29: (1, {'@': 76}), 30: (1, {'@': 76}), 47: (1, {'@': 76}), 48: (1, {'@': 76}), 31: (1, {'@': 76}), 49: (1, {'@': 76}), 6: (1, {'@': 76}), 50: (1, {'@': 76}), 12: (1, {'@': 76}), 51: (1, {'@': 76})}, 48: {16: (1, {'@': 77}), 33: (1, {'@': 77}), 18: (1, {'@': 77}), 21: (1, {'@': 77}), 23: (1, {'@': 77}), 34: (1, {'@': 77}), 4: (1, {'@': 77}), 35: (1, {'@': 77}), 24: (1, {'@': 77}), 0: (1, {'@': 77}), 36: (1, {'@': 77}), 37: (1, {'@': 77}), 1: (1, {'@': 77}), 38: (1, {'@': 77}), 27: (1, {'@': 77}), 39: (1, {'@': 77}), 3: (1, {'@': 77}), 40: (1, {'@': 77}), 32: (1, {'@': 77}), 41: (1, {'@': 77}), 17: (1, {'@': 77}), 19: (1, {'@': 77}), 42: (1, {'@': 77}), 25: (1, {'@': 77}), 43: (1, {'@': 77}), 26: (1, {'@': 77}), 44: (1, {'@': 77}), 45: (1, {'@': 77}), 46: (1, {'@': 77}), 2: (1, {'@': 77}), 28: (1, {'@': 77}), 29: (1, {'@': 77}), 30: (1, {'@': 77}), 47: (1, {'@': 77}), 48: (1, {'@': 77}), 31: (1, {'@': 77}), 49: (1, {'@': 77}), 6: (1, {'@': 77}), 50: (1, {'@': 77}), 12: (1, {'@': 77}), 51: (1, {'@': 77})}, 49: {16: (1, {'@': 78}), 33: (1, {'@': 78}), 18: (1, {'@': 78}), 21: (1, {'@': 78}), 23: (1, {'@': 78}), 34: (1, {'@': 78}), 4: (1, {'@': 78}), 35: (1, {'@': 78}), 24: (1, {'@': 78}), 0: (1, {'@': 78}), 36: (1, {'@': 78}), 37: (1, {'@': 78}), 1: (1, {'@': 78}), 38: (1, {'@': 78}), 27: (1, {'@': 78}), 39: (1, {'@': 78}), 3: (1, {'@': 78}), 40: (1, {'@': 78}), 32: (1, {'@': 78}), 41: (1, {'@': 78}), 17: (1, {'@': 78}), 19: (1, {'@': 78}), 42: (1, {'@': 78}), 25: (1, {'@': 78}), 43: (1, {'@': 78}), 26: (1, {'@': 78}), 44: (1, {'@': 78}), 45: (1, {'@': 78}), 46: (1, {'@': 78}), 2: (1, {'@': 78}), 28: (1, {'@': 78}), 29: (1, {'@': 78}), 30: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 31: (1, {'@': 78}), 49: (1, {'@': 78}), 6: (1, {'@': 78}), 50: (1, {'@': 78}), 12: (1, {'@': 78}), 51: (1, {'@': 78})}, 50: {16: (1, {'@': 79}), 33: (1, {'@': 79}), 18: (1, {'@': 79}), 21: (1, {'@': 79}), 23: (1, {'@': 79}), 4: (1, {'@': 79}), 35: (1, {'@': 79}), 24: (1, {'@': 79}), 0: (1, {'@': 79}), 36: (1, {'@': 79}), 37: (1, {'@': 79}), 1: (1, {'@': 79}), 38: (1, {'@': 79}), 27: (1, {'@': 79}), 39: (1, {'@': 79}), 51: (1, {'@': 79}), 32: (1, {'@': 79}), 41: (1, {'@': 79}), 17: (1, {'@': 79}), 19: (1, {'@': 79}), 42: (1, {'@': 79}), 25: (1, {'@': 79}), 43: (1, {'@': 79}), 26: (1, {'@': 79}), 44: (1, {'@': 79}), 45: (1, {'@': 79}), 46: (1, {'@': 79}), 2: (1, {'@': 79}), 28: (1, {'@': 79}), 29: (1, {'@': 79}), 30: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 31: (1, {'@': 79}), 49: (1, {'@': 79}), 6: (1, {'@': 79}), 50: (1, {'@': 79}), 12: (1, {'@': 79}), 3: (1, {'@': 79})}, 51: {16: (1, {'@': 80}), 33: (1, {'@': 80}), 18: (1, {'@': 80}), 21: (1, {'@': 80}), 23: (1, {'@': 80}), 4: (1, {'@': 80}), 35: (1, {'@': 80}), 24: (1, {'@': 80}), 0: (1, {'@': 80}), 36: (1, {'@': 80}), 37: (1, {'@': 80}), 1: (1, {'@': 80}), 38: (1, {'@': 80}), 27: (1, {'@': 80}), 39: (1, {'@': 80}), 3: (1, {'@': 80}), 32: (1, {'@': 80}), 41: (1, {'@': 80}), 17: (1, {'@': 80}), 19: (1, {'@': 80}), 42: (1, {'@': 80}), 25: (1, {'@': 80}), 43: (1, {'@': 80}), 26: (1, {'@': 80}), 44: (1, {'@': 80}), 45: (1, {'@': 80}), 46: (1, {'@': 80}), 2: (1, {'@': 80}), 28: (1, {'@': 80}), 29: (1, {'@': 80}), 30: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 31: (1, {'@': 80}), 49: (1, {'@': 80}), 6: (1, {'@': 80}), 50: (1, {'@': 80}), 12: (1, {'@': 80}), 51: (1, {'@': 80})}, 52: {16: (1, {'@': 81}), 33: (1, {'@': 81}), 18: (1, {'@': 81}), 21: (1, {'@': 81}), 23: (1, {'@': 81}), 34: (1, {'@': 81}), 4: (1, {'@': 81}), 35: (1, {'@': 81}), 24: (1, {'@': 81}), 0: (1, {'@': 81}), 36: (1, {'@': 81}), 37: (1, {'@': 81}), 1: (1, {'@': 81}), 38: (1, {'@': 81}), 27: (1, {'@': 81}), 39: (1, {'@': 81}), 3: (1, {'@': 81}), 40: (1, {'@': 81}), 32: (1, {'@': 81}), 41: (1, {'@': 81}), 17: (1, {'@': 81}), 19: (1, {'@': 81}), 42: (1, {'@': 81}), 25: (1, {'@': 81}), 43: (1, {'@': 81}), 26: (1, {'@': 81}), 44: (1, {'@': 81}), 45: (1, {'@': 81}), 46: (1, {'@': 81}), 2: (1, {'@': 81}), 28: (1, {'@': 81}), 29: (1, {'@': 81}), 30: (1, {'@': 81}), 47: (1, {'@': 81}), 48: (1, {'@': 81}), 31: (1, {'@': 81}), 49: (1, {'@': 81}), 6: (1, {'@': 81}), 50: (1, {'@': 81}), 12: (1, {'@': 81}), 51: (1, {'@': 81})}, 53: {16: (1, {'@': 82}), 33: (1, {'@': 82}), 18: (1, {'@': 82}), 21: (1, {'@': 82}), 23: (1, {'@': 82}), 34: (1, {'@': 82}), 4: (1, {'@': 82}), 35: (1, {'@': 82}), 24: (1, {'@': 82}), 0: (1, {'@': 82}), 36: (1, {'@': 82}), 37: (1, {'@': 82}), 1: (1, {'@': 82}), 38: (1, {'@': 82}), 27: (1, {'@': 82}), 39: (1, {'@': 82}), 3: (1, {'@': 82}), 40: (1, {'@': 82}), 32: (1, {'@': 82}), 41: (1, {'@': 82}), 17: (1, {'@': 82}), 19: (1, {'@': 82}), 42: (1, {'@': 82}), 25: (1, {'@': 82}), 43: (1, {'@': 82}), 26: (1, {'@': 82}), 44: (1, {'@': 82}), 45: (1, {'@': 82}), 46: (1, {'@': 82}), 2: (1, {'@': 82}), 28: (1, {'@': 82}), 29: (1, {'@': 82}), 30: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 31: (1, {'@': 82}), 49: (1, {'@': 82}), 6: (1, {'@': 82}), 50: (1, {'@': 82}), 12: (1, {'@': 82}), 51: (1, {'@': 82})}, 54: {16: (1, {'@': 83}), 33: (1, {'@': 83}), 18: (1, {'@': 83}), 21: (1, {'@': 83}), 23: (1, {'@': 83}), 34: (1, {'@': 83}), 4: (1, {'@': 83}), 35: (1, {'@': 83}), 24: (1, {'@': 83}), 0: (1, {'@': 83}), 36: (1, {'@': 83}), 37: (1, {'@': 83}), 1: (1, {'@': 83}), 38: (1, {'@': 83}), 27: (1, {'@': 83}), 39: (1, {'@': 83}), 3: (1, {'@': 83}), 40: (1, {'@': 83}), 32: (1, {'@': 83}), 41: (1, {'@': 83}), 17: (1, {'@': 83}), 19: (1, {'@': 83}), 42: (1, {'@': 83}), 25: (1, {'@': 83}), 43: (1, {'@': 83}), 26: (1, {'@': 83}), 44: (1, {'@': 83}), 45: (1, {'@': 83}), 46: (1, {'@': 83}), 2: (1, {'@': 83}), 28: (1, {'@': 83}), 29: (1, {'@': 83}), 30: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 31: (1, {'@': 83}), 49: (1, {'@': 83}), 6: (1, {'@': 83}), 50: (1, {'@': 83}), 12: (1, {'@': 83}), 51: (1, {'@': 83})}, 55: {16: (1, {'@': 84}), 33: (1, {'@': 84}), 18: (1, {'@': 84}), 21: (1, {'@': 84}), 23: (1, {'@': 84}), 34: (1, {'@': 84}), 4: (1, {'@': 84}), 35: (1, {'@': 84}), 24: (1, {'@': 84}), 0: (1, {'@': 84}), 36: (1, {'@': 84}), 37: (1, {'@': 84}), 1: (1, {'@': 84}), 38: (1, {'@': 84}), 27: (1, {'@': 84}), 39: (1, {'@': 84}), 3: (1, {'@': 84}), 40: (1, {'@': 84}), 32: (1, {'@': 84}), 41: (1, {'@': 84}), 17: (1, {'@': 84}), 19: (1, {'@': 84}), 42: (1, {'@': 84}), 25: (1, {'@': 84}), 43: (1, {'@': 84}), 26: (1, {'@': 84}), 44: (1, {'@': 84}), 45: (1, {'@': 84}), 46: (1, {'@': 84}), 2: (1, {'@': 84}), 28: (1, {'@': 84}), 29: (1, {'@': 84}), 30: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 31: (1, {'@': 84}), 49: (1, {'@': 84}), 6: (1, {'@': 84}), 50: (1, {'@': 84}), 12: (1, {'@': 84}), 51: (1, {'@': 84})}, 56: {16: (1, {'@': 85}), 33: (1, {'@': 85}), 18: (1, {'@': 85}), 21: (1, {'@': 85}), 23: (1, {'@': 85}), 34: (1, {'@': 85}), 4: (1, {'@': 85}), 35: (1, {'@': 85}), 24: (1, {'@': 85}), 0: (1, {'@': 85}), 36: (1, {'@': 85}), 37: (1, {'@': 85}), 1: (1, {'@': 85}), 38: (1, {'@': 85}), 27: (1, {'@': 85}), 39: (1, {'@': 85}), 3: (1, {'@': 85}), 40: (1, {'@': 85}), 32: (1, {'@': 85}), 41: (1, {'@': 85}), 17: (1, {'@': 85}), 19: (1, {'@': 85}), 42: (1, {'@': 85}), 25: (1, {'@': 85}), 43: (1, {'@': 85}), 26: (1, {'@': 85}), 44: (1, {'@': 85}), 45: (1, {'@': 85}), 46: (1, {'@': 85}), 2: (1, {'@': 85}), 28: (1, {'@': 85}), 29: (1, {'@': 85}), 30: (1, {'@': 85}), 47: (1, {'@': 85}), 48: (1, {'@': 85}), 31: (1, {'@': 85}), 49: (1, {'@': 85}), 6: (1, {'@': 85}), 50: (1, {'@': 85}), 12: (1, {'@': 85}), 51: (1, {'@': 85})}, 57: {16: (1, {'@': 86}), 33: (1, {'@': 86}), 18: (1, {'@': 86}), 21: (1, {'@': 86}), 23: (1, {'@': 86}), 34: (1, {'@': 86}), 4: (1, {'@': 86}), 35: (1, {'@': 86}), 24: (1, {'@': 86}), 0: (1, {'@': 86}), 36: (1, {'@': 86}), 37: (1, {'@': 86}), 1: (1, {'@': 86}), 38: (1, {'@': 86}), 27: (1, {'@': 86}), 39: (1, {'@': 86}), 3: (1, {'@': 86}), 40: (1, {'@': 86}), 32: (1, {'@': 86}), 41: (1, {'@': 86}), 17: (1, {'@': 86}), 19: (1, {'@': 86}), 42: (1, {'@': 86}), 25: (1, {'@': 86}), 43: (1, {'@': 86}), 26: (1, {'@': 86}), 44: (1, {'@': 86}), 45: (1, {'@': 86}), 46: (1, {'@': 86}), 2: (1, {'@': 86}), 28: (1, {'@': 86}), 29: (1, {'@': 86}), 30: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 31: (1, {'@': 86}), 49: (1, {'@': 86}), 6: (1, {'@': 86}), 50: (1, {'@': 86}), 12: (1, {'@': 86}), 51: (1, {'@': 86})}, 58: {16: (1, {'@': 87}), 33: (1, {'@': 87}), 18: (1, {'@': 87}), 21: (1, {'@': 87}), 23: (1, {'@': 87}), 4: (1, {'@': 87}), 35: (1, {'@': 87}), 24: (1, {'@': 87}), 0: (1, {'@': 87}), 36: (1, {'@': 87}), 37: (1, {'@': 87}), 1: (1, {'@': 87}), 38: (1, {'@': 87}), 27: (1, {'@': 87}), 39: (1, {'@': 87}), 51: (1, {'@': 87}), 32: (1, {'@': 87}), 41: (1, {'@': 87}), 17: (1, {'@': 87}), 19: (1, {'@': 87}), 42: (1, {'@': 87}), 25: (1, {'@': 87}), 43: (1, {'@': 87}), 26: (1, {'@': 87}), 44: (1, {'@': 87}), 45: (1, {'@': 87}), 46: (1, {'@': 87}), 2: (1, {'@': 87}), 28: (1, {'@': 87}), 29: (1, {'@': 87}), 30: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 31: (1, {'@': 87}), 49: (1, {'@': 87}), 6: (1, {'@': 87}), 50: (1, {'@': 87}), 12: (1, {'@': 87}), 3: (1, {'@': 87})}, 59: {16: (1, {'@': 88}), 33: (1, {'@': 88}), 18: (1, {'@': 88}), 21: (1, {'@': 88}), 23: (1, {'@': 88}), 34: (1, {'@': 88}), 4: (1, {'@': 88}), 35: (1, {'@': 88}), 24: (1, {'@': 88}), 0: (1, {'@': 88}), 36: (1, {'@': 88}), 37: (1, {'@': 88}), 1: (1, {'@': 88}), 38: (1, {'@': 88}), 27: (1, {'@': 88}), 39: (1, {'@': 88}), 3: (1, {'@': 88}), 40: (1, {'@': 88}), 32: (1, {'@': 88}), 41: (1, {'@': 88}), 17: (1, {'@': 88}), 19: (1, {'@': 88}), 42: (1, {'@': 88}), 25: (1, {'@': 88}), 43: (1, {'@': 88}), 26: (1, {'@': 88}), 44: (1, {'@': 88}), 45: (1, {'@': 88}), 46: (1, {'@': 88}), 2: (1, {'@': 88}), 28: (1, {'@': 88}), 29: (1, {'@': 88}), 30: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 31: (1, {'@': 88}), 49: (1, {'@': 88}), 6: (1, {'@': 88}), 50: (1, {'@': 88}), 12: (1, {'@': 88}), 51: (1, {'@': 88})}, 60: {16: (1, {'@': 89}), 33: (1, {'@': 89}), 18: (1, {'@': 89}), 21: (1, {'@': 89}), 23: (1, {'@': 89}), 34: (1, {'@': 89}), 4: (1, {'@': 89}), 35: (1, {'@': 89}), 24: (1, {'@': 89}), 0: (1, {'@': 89}), 36: (1, {'@': 89}), 37: (1, {'@': 89}), 1: (1, {'@': 89}), 38: (1, {'@': 89}), 27: (1, {'@': 89}), 39: (1, {'@': 89}), 3: (1, {'@': 89}), 40: (1, {'@': 89}), 32: (1, {'@': 89}), 41: (1, {'@': 89}), 17: (1, {'@': 89}), 19: (1, {'@': 89}), 42: (1, {'@': 89}), 25: (1, {'@': 89}), 43: (1, {'@': 89}), 26: (1, {'@': 89}), 44: (1, {'@': 89}), 45: (1, {'@': 89}), 46: (1, {'@': 89}), 2: (1, {'@': 89}), 28: (1, {'@': 89}), 29: (1, {'@': 89}), 30: (1, {'@': 89}), 47: (1, {'@': 89}), 48: (1, {'@': 89}), 31: (1, {'@': 89}), 49: (1, {'@': 89}), 6: (1, {'@': 89}), 50: (1, {'@': 89}), 12: (1, {'@': 89}), 51: (1, {'@': 89})}, 61: {16: (1, {'@': 90}), 33: (1, {'@': 90}), 18: (1, {'@': 90}), 21: (1, {'@': 90}), 23: (1, {'@': 90}), 34: (1, {'@': 90}), 4: (1, {'@': 90}), 35: (1, {'@': 90}), 24: (1, {'@': 90}), 0: (1, {'@': 90}), 36: (1, {'@': 90}), 37: (1, {'@': 90}), 1: (1, {'@': 90}), 38: (1, {'@': 90}), 27: (1, {'@': 90}), 39: (1, {'@': 90}), 3: (1, {'@': 90}), 40: (1, {'@': 90}), 32: (1, {'@': 90}), 41: (1, {'@': 90}), 17: (1, {'@': 90}), 19: (1, {'@': 90}), 42: (1, {'@': 90}), 25: (1, {'@': 90}), 43: (1, {'@': 90}), 26: (1, {'@': 90}), 44: (1, {'@': 90}), 45: (1, {'@': 90}), 46: (1, {'@': 90}), 2: (1, {'@': 90}), 28: (1, {'@': 90}), 29: (1, {'@': 90}), 30: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 31: (1, {'@': 90}), 49: (1, {'@': 90}), 6: (1, {'@': 90}), 50: (1, {'@': 90}), 12: (1, {'@': 90}), 51: (1, {'@': 90})}, 62: {16: (1, {'@': 91}), 33: (1, {'@': 91}), 18: (1, {'@': 91}), 21: (1, {'@': 91}), 23: (1, {'@': 91}), 34: (1, {'@': 91}), 4: (1, {'@': 91}), 35: (1, {'@': 91}), 24: (1, {'@': 91}), 0: (1, {'@': 91}), 36: (1, {'@': 91}), 37: (1, {'@': 91}), 1: (1, {'@': 91}), 38: (1, {'@': 91}), 27: (1, {'@': 91}), 39: (1, {'@': 91}), 3: (1, {'@': 91}), 40: (1, {'@': 91}), 32: (1, {'@': 91}), 41: (1, {'@': 91}), 17: (1, {'@': 91}), 19: (1, {'@': 91}), 42: (1, {'@': 91}), 25: (1, {'@': 91}), 43: (1, {'@': 91}), 26: (1, {'@': 91}), 44: (1, {'@': 91}), 45: (1, {'@': 91}), 46: (1, {'@': 91}), 2: (1, {'@': 91}), 28: (1, {'@': 91}), 29: (1, {'@': 91}), 30: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 31: (1, {'@': 91}), 49: (1, {'@': 91}), 6: (1, {'@': 91}), 50: (1, {'@': 91}), 12: (1, {'@': 91}), 51: (1, {'@': 91})}, 63: {16: (1, {'@': 92}), 33: (1, {'@': 92}), 18: (1, {'@': 92}), 21: (1, {'@': 92}), 23: (1, {'@': 92}), 34: (1, {'@': 92}), 4: (1, {'@': 92}), 35: (1, {'@': 92}), 24: (1, {'@': 92}), 0: (1, {'@': 92}), 36: (1, {'@': 92}), 37: (1, {'@': 92}), 1: (1, {'@': 92}), 38: (1, {'@': 92}), 27: (1, {'@': 92}), 39: (1, {'@': 92}), 3: (1, {'@': 92}), 40: (1, {'@': 92}), 32: (1, {'@': 92}), 41: (1, {'@': 92}), 17: (1, {'@': 92}), 19: (1, {'@': 92}), 42: (1, {'@': 92}), 25: (1, {'@': 92}), 43: (1, {'@': 92}), 26: (1, {'@': 92}), 44: (1, {'@': 92}), 45: (1, {'@': 92}), 46: (1, {'@': 92}), 2: (1, {'@': 92}), 28: (1, {'@': 92}), 29: (1, {'@': 92}), 30: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 31: (1, {'@': 92}), 49: (1, {'@': 92}), 6: (1, {'@': 92}), 50: (1, {'@': 92}), 12: (1, {'@': 92}), 51: (1, {'@': 92})}, 64: {16: (1, {'@': 93}), 33: (1, {'@': 93}), 18: (1, {'@': 93}), 21: (1, {'@': 93}), 23: (1, {'@': 93}), 34: (1, {'@': 93}), 4: (1, {'@': 93}), 35: (1, {'@': 93}), 24: (1, {'@': 93}), 0: (1, {'@': 93}), 36: (1, {'@': 93}), 37: (1, {'@': 93}), 1: (1, {'@': 93}), 38: (1, {'@': 93}), 27: (1, {'@': 93}), 39: (1, {'@': 93}), 3: (1, {'@': 93}), 40: (1, {'@': 93}), 32: (1, {'@': 93}), 41: (1, {'@': 93}), 17: (1, {'@': 93}), 19: (1, {'@': 93}), 42: (1, {'@': 93}), 25: (1, {'@': 93}), 43: (1, {'@': 93}), 26: (1, {'@': 93}), 44: (1, {'@': 93}), 45: (1, {'@': 93}), 46: (1, {'@': 93}), 2: (1, {'@': 93}), 28: (1, {'@': 93}), 29: (1, {'@': 93}), 30: (1, {'@': 93}), 47: (1, {'@': 93}), 48: (1, {'@': 93}), 31: (1, {'@': 93}), 49: (1, {'@': 93}), 6: (1, {'@': 93}), 50: (1, {'@': 93}), 12: (1, {'@': 93}), 51: (1, {'@': 93})}, 65: {16: (1, {'@': 94}), 33: (1, {'@': 94}), 18: (1, {'@': 94}), 21: (1, {'@': 94}), 23: (1, {'@': 94}), 34: (1, {'@': 94}), 4: (1, {'@': 94}), 35: (1, {'@': 94}), 24: (1, {'@': 94}), 0: (1, {'@': 94}), 36: (1, {'@': 94}), 37: (1, {'@': 94}), 1: (1, {'@': 94}), 38: (1, {'@': 94}), 27: (1, {'@': 94}), 39: (1, {'@': 94}), 3: (1, {'@': 94}), 40: (1, {'@': 94}), 32: (1, {'@': 94}), 41: (1, {'@': 94}), 17: (1, {'@': 94}), 19: (1, {'@': 94}), 42: (1, {'@': 94}), 25: (1, {'@': 94}), 43: (1, {'@': 94}), 26: (1, {'@': 94}), 44: (1, {'@': 94}), 45: (1, {'@': 94}), 46: (1, {'@': 94}), 2: (1, {'@': 94}), 28: (1, {'@': 94}), 29: (1, {'@': 94}), 30: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 31: (1, {'@': 94}), 49: (1, {'@': 94}), 6: (1, {'@': 94}), 50: (1, {'@': 94}), 12: (1, {'@': 94}), 51: (1, {'@': 94})}, 66: {18: (0, 34), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 56: (0, 44), 57: (0, 117), 8: (0, 46), 59: (0, 48), 6: (0, 3), 60: (0, 49), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 73: (0, 67), 74: (0, 68)}, 67: {16: (1, {'@': 95}), 33: (1, {'@': 95}), 18: (1, {'@': 95}), 21: (1, {'@': 95}), 23: (1, {'@': 95}), 34: (1, {'@': 95}), 4: (1, {'@': 95}), 35: (1, {'@': 95}), 24: (1, {'@': 95}), 0: (1, {'@': 95}), 36: (1, {'@': 95}), 37: (1, {'@': 95}), 1: (1, {'@': 95}), 38: (1, {'@': 95}), 27: (1, {'@': 95}), 39: (1, {'@': 95}), 3: (1, {'@': 95}), 40: (1, {'@': 95}), 32: (1, {'@': 95}), 41: (1, {'@': 95}), 17: (1, {'@': 95}), 19: (1, {'@': 95}), 42: (1, {'@': 95}), 25: (1, {'@': 95}), 43: (1, {'@': 95}), 26: (1, {'@': 95}), 44: (1, {'@': 95}), 45: (1, {'@': 95}), 46: (1, {'@': 95}), 2: (1, {'@': 95}), 28: (1, {'@': 95}), 29: (1, {'@': 95}), 30: (1, {'@': 95}), 47: (1, {'@': 95}), 48: (1, {'@': 95}), 31: (1, {'@': 95}), 49: (1, {'@': 95}), 6: (1, {'@': 95}), 50: (1, {'@': 95}), 12: (1, {'@': 95}), 51: (1, {'@': 95})}, 68: {16: (1, {'@': 96}), 33: (1, {'@': 96}), 18: (1, {'@': 96}), 21: (1, {'@': 96}), 23: (1, {'@': 96}), 34: (1, {'@': 96}), 4: (1, {'@': 96}), 35: (1, {'@': 96}), 24: (1, {'@': 96}), 0: (1, {'@': 96}), 36: (1, {'@': 96}), 37: (1, {'@': 96}), 1: (1, {'@': 96}), 38: (1, {'@': 96}), 27: (1, {'@': 96}), 39: (1, {'@': 96}), 3: (1, {'@': 96}), 40: (1, {'@': 96}), 32: (1, {'@': 96}), 41: (1, {'@': 96}), 17: (1, {'@': 96}), 19: (1, {'@': 96}), 42: (1, {'@': 96}), 25: (1, {'@': 96}), 43: (1, {'@': 96}), 26: (1, {'@': 96}), 44: (1, {'@': 96}), 45: (1, {'@': 96}), 46: (1, {'@': 96}), 2: (1, {'@': 96}), 28: (1, {'@': 96}), 29: (1, {'@': 96}), 30: (1, {'@': 96}), 47: (1, {'@': 96}), 48: (1, {'@': 96}), 31: (1, {'@': 96}), 49: (1, {'@': 96}), 6: (1, {'@': 96}), 50: (1, {'@': 96}), 12: (1, {'@': 96}), 51: (1, {'@': 96})}, 69: {1: (0, 10), 2: (0, 14), 6: (1, {'@': 97}), 0: (1, {'@': 97}), 12: (1, {'@': 97}), 3: (0, 2), 4: (1, {'@': 97}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 7: (0, 4), 77: (0, 83), 33: (0, 84), 49: (0, 85), 14: (0, 118), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 70: {0: (1, {'@': 98})}, 71: {4: (0, 119)}, 72: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 6: (0, 3), 8: (0, 5), 9: (0, 6), 11: (0, 8), 12: (0, 9), 13: (0, 11), 5: (0, 120), 15: (0, 13)}, 73: {4: (0, 121)}, 74: {3: (0, 2), 1: (0, 10), 7: (0, 4), 2: (0, 14), 14: (0, 122)}, 75: {20: (0, 76), 18: (0, 34), 53: (0, 123), 75: (0, 124), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 74: (0, 68), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 17: (0, 125)}, 76: {8: (0, 126), 14: (0, 127), 6: (0, 3), 3: (0, 2), 7: (0, 4), 2: (0, 14), 1: (0, 10)}, 77: {18: (0, 34), 53: (0, 128), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 14: (0, 129), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 78: {3: (0, 2), 76: (0, 80), 27: (0, 81), 84: (0, 130), 14: (0, 131), 44: (0, 86), 24: (0, 132), 51: (0, 88), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 17: (0, 133), 39: (0, 93), 35: (0, 96)}, 79: {16: (1, {'@': 99}), 33: (1, {'@': 99}), 18: (1, {'@': 99}), 21: (1, {'@': 99}), 23: (1, {'@': 99}), 34: (1, {'@': 99}), 4: (1, {'@': 99}), 35: (1, {'@': 99}), 24: (1, {'@': 99}), 0: (1, {'@': 99}), 36: (1, {'@': 99}), 37: (1, {'@': 99}), 1: (1, {'@': 99}), 38: (1, {'@': 99}), 27: (1, {'@': 99}), 39: (1, {'@': 99}), 3: (1, {'@': 99}), 40: (1, {'@': 99}), 32: (1, {'@': 99}), 41: (1, {'@': 99}), 17: (1, {'@': 99}), 19: (1, {'@': 99}), 42: (1, {'@': 99}), 25: (1, {'@': 99}), 43: (1, {'@': 99}), 26: (1, {'@': 99}), 44: (1, {'@': 99}), 45: (1, {'@': 99}), 46: (1, {'@': 99}), 2: (1, {'@': 99}), 28: (1, {'@': 99}), 29: (1, {'@': 99}), 30: (1, {'@': 99}), 47: (1, {'@': 99}), 48: (1, {'@': 99}), 31: (1, {'@': 99}), 49: (1, {'@': 99}), 6: (1, {'@': 99}), 50: (1, {'@': 99}), 12: (1, {'@': 99}), 51: (1, {'@': 99})}, 80: {16: (1, {'@': 100}), 33: (1, {'@': 100}), 18: (1, {'@': 100}), 21: (1, {'@': 100}), 23: (1, {'@': 100}), 4: (1, {'@': 100}), 35: (1, {'@': 100}), 24: (1, {'@': 100}), 0: (1, {'@': 100}), 36: (1, {'@': 100}), 37: (1, {'@': 100}), 1: (1, {'@': 100}), 38: (1, {'@': 100}), 27: (1, {'@': 100}), 39: (1, {'@': 100}), 3: (1, {'@': 100}), 32: (1, {'@': 100}), 41: (1, {'@': 100}), 17: (1, {'@': 100}), 19: (1, {'@': 100}), 42: (1, {'@': 100}), 25: (1, {'@': 100}), 43: (1, {'@': 100}), 26: (1, {'@': 100}), 44: (1, {'@': 100}), 45: (1, {'@': 100}), 46: (1, {'@': 100}), 2: (1, {'@': 100}), 28: (1, {'@': 100}), 29: (1, {'@': 100}), 30: (1, {'@': 100}), 47: (1, {'@': 100}), 48: (1, {'@': 100}), 31: (1, {'@': 100}), 49: (1, {'@': 100}), 6: (1, {'@': 100}), 50: (1, {'@': 100}), 12: (1, {'@': 100}), 51: (1, {'@': 100})}, 81: {16: (1, {'@': 101}), 18: (1, {'@': 101}), 1: (1, {'@': 101}), 2: (1, {'@': 101}), 27: (1, {'@': 101}), 19: (1, {'@': 101}), 28: (1, {'@': 101}), 30: (1, {'@': 101}), 23: (1, {'@': 101}), 32: (1, {'@': 101}), 31: (1, {'@': 101}), 6: (1, {'@': 101}), 25: (1, {'@': 101}), 12: (1, {'@': 101}), 3: (1, {'@': 101}), 26: (1, {'@': 101})}, 82: {16: (1, {'@': 102}), 18: (1, {'@': 102}), 1: (1, {'@': 102}), 2: (1, {'@': 102}), 27: (1, {'@': 102}), 19: (1, {'@': 102}), 28: (1, {'@': 102}), 30: (1, {'@': 102}), 23: (1, {'@': 102}), 32: (1, {'@': 102}), 31: (1, {'@': 102}), 6: (1, {'@': 102}), 25: (1, {'@': 102}), 12: (1, {'@': 102}), 3: (1, {'@': 102}), 26: (1, {'@': 102})}, 83: {18: (0, 34), 53: (0, 134), 28: (0, 36), 54: (0, 37), 14: (0, 135), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 84: {16: (1, {'@': 103}), 18: (1, {'@': 103}), 1: (1, {'@': 103}), 2: (1, {'@': 103}), 27: (1, {'@': 103}), 19: (1, {'@': 103}), 28: (1, {'@': 103}), 30: (1, {'@': 103}), 23: (1, {'@': 103}), 32: (1, {'@': 103}), 31: (1, {'@': 103}), 6: (1, {'@': 103}), 25: (1, {'@': 103}), 12: (1, {'@': 103}), 3: (1, {'@': 103}), 26: (1, {'@': 103})}, 85: {16: (1, {'@': 104}), 18: (1, {'@': 104}), 1: (1, {'@': 104}), 2: (1, {'@': 104}), 27: (1, {'@': 104}), 19: (1, {'@': 104}), 28: (1, {'@': 104}), 30: (1, {'@': 104}), 23: (1, {'@': 104}), 32: (1, {'@': 104}), 31: (1, {'@': 104}), 6: (1, {'@': 104}), 25: (1, {'@': 104}), 12: (1, {'@': 104}), 3: (1, {'@': 104}), 26: (1, {'@': 104})}, 86: {16: (1, {'@': 105}), 18: (1, {'@': 105}), 1: (1, {'@': 105}), 2: (1, {'@': 105}), 27: (1, {'@': 105}), 19: (1, {'@': 105}), 28: (1, {'@': 105}), 30: (1, {'@': 105}), 23: (1, {'@': 105}), 32: (1, {'@': 105}), 31: (1, {'@': 105}), 6: (1, {'@': 105}), 25: (1, {'@': 105}), 12: (1, {'@': 105}), 3: (1, {'@': 105}), 26: (1, {'@': 105})}, 87: {16: (1, {'@': 106}), 18: (1, {'@': 106}), 1: (1, {'@': 106}), 2: (1, {'@': 106}), 27: (1, {'@': 106}), 19: (1, {'@': 106}), 28: (1, {'@': 106}), 30: (1, {'@': 106}), 23: (1, {'@': 106}), 32: (1, {'@': 106}), 31: (1, {'@': 106}), 6: (1, {'@': 106}), 25: (1, {'@': 106}), 12: (1, {'@': 106}), 3: (1, {'@': 106}), 26: (1, {'@': 106})}, 88: {16: (1, {'@': 107}), 18: (1, {'@': 107}), 1: (1, {'@': 107}), 2: (1, {'@': 107}), 27: (1, {'@': 107}), 19: (1, {'@': 107}), 28: (1, {'@': 107}), 30: (1, {'@': 107}), 23: (1, {'@': 107}), 32: (1, {'@': 107}), 31: (1, {'@': 107}), 6: (1, {'@': 107}), 25: (1, {'@': 107}), 12: (1, {'@': 107}), 3: (1, {'@': 107}), 26: (1, {'@': 107})}, 89: {18: (0, 34), 53: (0, 136), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 14: (0, 137), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 90: {16: (1, {'@': 108}), 18: (1, {'@': 108}), 1: (1, {'@': 108}), 2: (1, {'@': 108}), 27: (1, {'@': 108}), 19: (1, {'@': 108}), 28: (1, {'@': 108}), 30: (1, {'@': 108}), 23: (1, {'@': 108}), 32: (1, {'@': 108}), 31: (1, {'@': 108}), 6: (1, {'@': 108}), 25: (1, {'@': 108}), 12: (1, {'@': 108}), 3: (1, {'@': 108}), 26: (1, {'@': 108})}, 91: {1: (1, {'@': 109}), 2: (1, {'@': 109}), 6: (1, {'@': 109}), 0: (1, {'@': 109}), 12: (1, {'@': 109}), 3: (1, {'@': 109}), 4: (1, {'@': 109})}, 92: {16: (1, {'@': 110}), 18: (1, {'@': 110}), 1: (1, {'@': 110}), 2: (1, {'@': 110}), 27: (1, {'@': 110}), 19: (1, {'@': 110}), 28: (1, {'@': 110}), 30: (1, {'@': 110}), 23: (1, {'@': 110}), 32: (1, {'@': 110}), 31: (1, {'@': 110}), 6: (1, {'@': 110}), 25: (1, {'@': 110}), 12: (1, {'@': 110}), 3: (1, {'@': 110}), 26: (1, {'@': 110})}, 93: {16: (1, {'@': 111}), 18: (1, {'@': 111}), 1: (1, {'@': 111}), 2: (1, {'@': 111}), 27: (1, {'@': 111}), 19: (1, {'@': 111}), 28: (1, {'@': 111}), 30: (1, {'@': 111}), 23: (1, {'@': 111}), 32: (1, {'@': 111}), 31: (1, {'@': 111}), 6: (1, {'@': 111}), 25: (1, {'@': 111}), 12: (1, {'@': 111}), 3: (1, {'@': 111}), 26: (1, {'@': 111})}, 94: {16: (1, {'@': 112}), 18: (1, {'@': 112}), 1: (1, {'@': 112}), 2: (1, {'@': 112}), 27: (1, {'@': 112}), 19: (1, {'@': 112}), 28: (1, {'@': 112}), 30: (1, {'@': 112}), 23: (1, {'@': 112}), 32: (1, {'@': 112}), 31: (1, {'@': 112}), 6: (1, {'@': 112}), 25: (1, {'@': 112}), 12: (1, {'@': 112}), 3: (1, {'@': 112}), 26: (1, {'@': 112})}, 95: {16: (1, {'@': 113}), 18: (1, {'@': 113}), 1: (1, {'@': 113}), 2: (1, {'@': 113}), 27: (1, {'@': 113}), 19: (1, {'@': 113}), 28: (1, {'@': 113}), 30: (1, {'@': 113}), 23: (1, {'@': 113}), 32: (1, {'@': 113}), 31: (1, {'@': 113}), 6: (1, {'@': 113}), 25: (1, {'@': 113}), 12: (1, {'@': 113}), 3: (1, {'@': 113}), 26: (1, {'@': 113})}, 96: {16: (1, {'@': 114}), 18: (1, {'@': 114}), 1: (1, {'@': 114}), 2: (1, {'@': 114}), 27: (1, {'@': 114}), 19: (1, {'@': 114}), 28: (1, {'@': 114}), 30: (1, {'@': 114}), 23: (1, {'@': 114}), 32: (1, {'@': 114}), 31: (1, {'@': 114}), 6: (1, {'@': 114}), 25: (1, {'@': 114}), 12: (1, {'@': 114}), 3: (1, {'@': 114}), 26: (1, {'@': 114})}, 97: {3: (0, 2), 85: (0, 138), 7: (0, 4), 86: (0, 139), 4: (0, 140), 1: (0, 10), 24: (0, 141), 14: (0, 142), 2: (0, 14)}, 98: {18: (0, 34), 53: (0, 143), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 99: {18: (0, 34), 53: (0, 144), 28: (0, 36), 54: (0, 37), 44: (0, 86), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 38: (0, 82), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 51: (0, 88), 47: (0, 145), 48: (0, 94), 62: (0, 51), 77: (0, 83), 63: (0, 52), 64: (0, 53), 35: (0, 96), 76: (0, 80), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 36: (0, 87), 45: (0, 89), 12: (0, 9), 69: (0, 62), 46: (0, 90), 39: (0, 93), 27: (0, 146), 70: (0, 63), 71: (0, 64), 50: (0, 147), 72: (0, 65), 43: (0, 92), 41: (0, 95), 33: (0, 84), 49: (0, 85), 73: (0, 67), 74: (0, 68)}, 100: {20: (0, 76), 18: (0, 34), 53: (0, 99), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 8: (0, 101), 23: (0, 41), 75: (0, 148), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 4: (0, 149), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 78: (0, 150), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 101: {16: (0, 40), 33: (1, {'@': 75}), 18: (0, 34), 21: (1, {'@': 75}), 23: (0, 41), 34: (1, {'@': 75}), 4: (1, {'@': 75}), 35: (1, {'@': 75}), 24: (1, {'@': 75}), 0: (1, {'@': 75}), 36: (1, {'@': 75}), 37: (1, {'@': 75}), 1: (1, {'@': 75}), 38: (1, {'@': 75}), 27: (0, 66), 39: (1, {'@': 75}), 3: (1, {'@': 75}), 40: (1, {'@': 75}), 32: (0, 43), 41: (1, {'@': 75}), 17: (1, {'@': 75}), 19: (0, 54), 42: (1, {'@': 75}), 25: (0, 57), 43: (1, {'@': 75}), 26: (0, 59), 44: (1, {'@': 75}), 45: (1, {'@': 75}), 46: (1, {'@': 75}), 2: (1, {'@': 75}), 28: (0, 36), 29: (1, {'@': 75}), 30: (0, 152), 47: (0, 153), 48: (1, {'@': 75}), 31: (0, 38), 49: (1, {'@': 75}), 6: (0, 3), 50: (0, 154), 12: (0, 9), 51: (1, {'@': 75}), 53: (0, 151), 54: (0, 37), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 65: (0, 55), 11: (0, 56), 66: (0, 58), 67: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 73: (0, 67), 74: (0, 68)}, 102: {16: (1, {'@': 115}), 33: (1, {'@': 115}), 18: (1, {'@': 115}), 21: (1, {'@': 115}), 23: (1, {'@': 115}), 34: (1, {'@': 115}), 4: (1, {'@': 115}), 35: (1, {'@': 115}), 24: (1, {'@': 115}), 0: (1, {'@': 115}), 36: (1, {'@': 115}), 37: (1, {'@': 115}), 1: (1, {'@': 115}), 38: (1, {'@': 115}), 27: (1, {'@': 115}), 39: (1, {'@': 115}), 3: (1, {'@': 115}), 40: (1, {'@': 115}), 32: (1, {'@': 115}), 41: (1, {'@': 115}), 17: (1, {'@': 115}), 19: (1, {'@': 115}), 42: (1, {'@': 115}), 25: (1, {'@': 115}), 43: (1, {'@': 115}), 26: (1, {'@': 115}), 44: (1, {'@': 115}), 45: (1, {'@': 115}), 46: (1, {'@': 115}), 2: (1, {'@': 115}), 28: (1, {'@': 115}), 29: (1, {'@': 115}), 30: (1, {'@': 115}), 47: (1, {'@': 115}), 48: (1, {'@': 115}), 31: (1, {'@': 115}), 49: (1, {'@': 115}), 6: (1, {'@': 115}), 50: (1, {'@': 115}), 12: (1, {'@': 115}), 51: (1, {'@': 115})}, 103: {3: (0, 2), 76: (0, 80), 27: (0, 81), 38: (0, 82), 7: (0, 4), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 29: (0, 155), 51: (0, 88), 45: (0, 89), 1: (0, 10), 46: (0, 90), 14: (0, 156), 43: (0, 92), 39: (0, 93), 48: (0, 94), 2: (0, 14), 41: (0, 95), 35: (0, 96)}, 104: {18: (0, 34), 53: (0, 157), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 105: {23: (0, 41), 55: (0, 158)}, 106: {16: (1, {'@': 116}), 33: (1, {'@': 116}), 18: (1, {'@': 116}), 21: (1, {'@': 116}), 23: (1, {'@': 116}), 34: (1, {'@': 116}), 4: (1, {'@': 116}), 35: (1, {'@': 116}), 24: (1, {'@': 116}), 0: (1, {'@': 116}), 36: (1, {'@': 116}), 37: (1, {'@': 116}), 1: (1, {'@': 116}), 38: (1, {'@': 116}), 27: (1, {'@': 116}), 39: (1, {'@': 116}), 3: (1, {'@': 116}), 40: (1, {'@': 116}), 32: (1, {'@': 116}), 41: (1, {'@': 116}), 79: (1, {'@': 116}), 17: (1, {'@': 116}), 19: (1, {'@': 116}), 42: (1, {'@': 116}), 25: (1, {'@': 116}), 43: (1, {'@': 116}), 26: (1, {'@': 116}), 44: (1, {'@': 116}), 45: (1, {'@': 116}), 46: (1, {'@': 116}), 2: (1, {'@': 116}), 28: (1, {'@': 116}), 29: (1, {'@': 116}), 30: (1, {'@': 116}), 47: (1, {'@': 116}), 48: (1, {'@': 116}), 31: (1, {'@': 116}), 49: (1, {'@': 116}), 6: (1, {'@': 116}), 50: (1, {'@': 116}), 12: (1, {'@': 116}), 51: (1, {'@': 116})}, 107: {23: (0, 41), 55: (0, 159)}, 108: {16: (1, {'@': 117}), 33: (1, {'@': 117}), 18: (0, 111), 21: (1, {'@': 117}), 23: (1, {'@': 117}), 4: (1, {'@': 117}), 35: (1, {'@': 117}), 24: (1, {'@': 117}), 0: (1, {'@': 117}), 36: (1, {'@': 117}), 37: (1, {'@': 117}), 1: (1, {'@': 117}), 38: (1, {'@': 117}), 27: (1, {'@': 117}), 39: (1, {'@': 117}), 3: (1, {'@': 117}), 32: (1, {'@': 117}), 41: (1, {'@': 117}), 17: (1, {'@': 117}), 19: (1, {'@': 117}), 42: (1, {'@': 117}), 25: (1, {'@': 117}), 43: (1, {'@': 117}), 26: (1, {'@': 117}), 44: (1, {'@': 117}), 45: (1, {'@': 117}), 46: (1, {'@': 117}), 2: (1, {'@': 117}), 28: (1, {'@': 117}), 29: (1, {'@': 117}), 30: (1, {'@': 117}), 47: (1, {'@': 117}), 48: (1, {'@': 117}), 31: (1, {'@': 117}), 49: (1, {'@': 117}), 6: (1, {'@': 117}), 50: (1, {'@': 117}), 12: (1, {'@': 117}), 51: (1, {'@': 117}), 40: (0, 109), 34: (0, 110), 80: (0, 112), 81: (0, 113), 82: (0, 114), 83: (0, 115)}, 109: {16: (1, {'@': 118}), 33: (1, {'@': 118}), 18: (1, {'@': 118}), 21: (1, {'@': 118}), 23: (1, {'@': 118}), 34: (0, 160), 4: (1, {'@': 118}), 35: (1, {'@': 118}), 24: (1, {'@': 118}), 0: (1, {'@': 118}), 36: (1, {'@': 118}), 37: (1, {'@': 118}), 1: (1, {'@': 118}), 38: (1, {'@': 118}), 27: (1, {'@': 118}), 39: (1, {'@': 118}), 3: (1, {'@': 118}), 40: (1, {'@': 118}), 32: (1, {'@': 118}), 41: (1, {'@': 118}), 17: (1, {'@': 118}), 19: (1, {'@': 118}), 42: (1, {'@': 118}), 25: (1, {'@': 118}), 43: (1, {'@': 118}), 26: (1, {'@': 118}), 44: (1, {'@': 118}), 45: (1, {'@': 118}), 46: (1, {'@': 118}), 2: (1, {'@': 118}), 28: (1, {'@': 118}), 29: (1, {'@': 118}), 30: (1, {'@': 118}), 47: (1, {'@': 118}), 48: (1, {'@': 118}), 31: (1, {'@': 118}), 49: (1, {'@': 118}), 6: (1, {'@': 118}), 50: (1, {'@': 118}), 12: (1, {'@': 118}), 51: (1, {'@': 118}), 87: (0, 161), 83: (0, 162)}, 110: {6: (0, 3), 23: (0, 41), 55: (0, 163), 8: (0, 164)}, 111: {18: (0, 34), 53: (0, 165), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 14: (0, 166), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 51: (0, 167), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 112: {16: (1, {'@': 119}), 33: (1, {'@': 119}), 18: (1, {'@': 119}), 21: (1, {'@': 119}), 23: (1, {'@': 119}), 34: (1, {'@': 119}), 4: (1, {'@': 119}), 35: (1, {'@': 119}), 24: (1, {'@': 119}), 0: (1, {'@': 119}), 36: (1, {'@': 119}), 37: (1, {'@': 119}), 1: (1, {'@': 119}), 38: (1, {'@': 119}), 27: (1, {'@': 119}), 39: (1, {'@': 119}), 3: (1, {'@': 119}), 40: (1, {'@': 119}), 32: (1, {'@': 119}), 41: (1, {'@': 119}), 17: (1, {'@': 119}), 19: (1, {'@': 119}), 42: (1, {'@': 119}), 25: (1, {'@': 119}), 43: (1, {'@': 119}), 26: (1, {'@': 119}), 44: (1, {'@': 119}), 45: (1, {'@': 119}), 46: (1, {'@': 119}), 2: (1, {'@': 119}), 28: (1, {'@': 119}), 29: (1, {'@': 119}), 30: (1, {'@': 119}), 47: (1, {'@': 119}), 48: (1, {'@': 119}), 31: (1, {'@': 119}), 49: (1, {'@': 119}), 6: (1, {'@': 119}), 50: (1, {'@': 119}), 12: (1, {'@': 119}), 51: (1, {'@': 119})}, 113: {16: (1, {'@': 120}), 33: (1, {'@': 120}), 18: (1, {'@': 120}), 21: (1, {'@': 120}), 23: (1, {'@': 120}), 34: (1, {'@': 120}), 4: (1, {'@': 120}), 35: (1, {'@': 120}), 24: (1, {'@': 120}), 0: (1, {'@': 120}), 36: (1, {'@': 120}), 37: (1, {'@': 120}), 1: (1, {'@': 120}), 38: (1, {'@': 120}), 27: (1, {'@': 120}), 39: (1, {'@': 120}), 3: (1, {'@': 120}), 40: (1, {'@': 120}), 32: (1, {'@': 120}), 41: (1, {'@': 120}), 17: (1, {'@': 120}), 19: (1, {'@': 120}), 42: (1, {'@': 120}), 25: (1, {'@': 120}), 43: (1, {'@': 120}), 26: (1, {'@': 120}), 44: (1, {'@': 120}), 45: (1, {'@': 120}), 46: (1, {'@': 120}), 2: (1, {'@': 120}), 28: (1, {'@': 120}), 29: (1, {'@': 120}), 30: (1, {'@': 120}), 47: (1, {'@': 120}), 48: (1, {'@': 120}), 31: (1, {'@': 120}), 49: (1, {'@': 120}), 6: (1, {'@': 120}), 50: (1, {'@': 120}), 12: (1, {'@': 120}), 51: (1, {'@': 120})}, 114: {16: (1, {'@': 121}), 33: (1, {'@': 121}), 18: (1, {'@': 121}), 21: (1, {'@': 121}), 23: (1, {'@': 121}), 34: (1, {'@': 121}), 4: (1, {'@': 121}), 35: (1, {'@': 121}), 24: (1, {'@': 121}), 0: (1, {'@': 121}), 36: (1, {'@': 121}), 37: (1, {'@': 121}), 1: (1, {'@': 121}), 38: (1, {'@': 121}), 27: (1, {'@': 121}), 39: (1, {'@': 121}), 3: (1, {'@': 121}), 40: (1, {'@': 121}), 32: (1, {'@': 121}), 41: (1, {'@': 121}), 17: (1, {'@': 121}), 19: (1, {'@': 121}), 42: (1, {'@': 121}), 25: (1, {'@': 121}), 43: (1, {'@': 121}), 26: (1, {'@': 121}), 44: (1, {'@': 121}), 45: (1, {'@': 121}), 46: (1, {'@': 121}), 2: (1, {'@': 121}), 28: (1, {'@': 121}), 29: (1, {'@': 121}), 30: (1, {'@': 121}), 47: (1, {'@': 121}), 48: (1, {'@': 121}), 31: (1, {'@': 121}), 49: (1, {'@': 121}), 6: (1, {'@': 121}), 50: (1, {'@': 121}), 12: (1, {'@': 121}), 51: (1, {'@': 121})}, 115: {16: (1, {'@': 122}), 33: (1, {'@': 122}), 18: (1, {'@': 122}), 21: (1, {'@': 122}), 23: (1, {'@': 122}), 34: (1, {'@': 122}), 4: (1, {'@': 122}), 35: (1, {'@': 122}), 24: (1, {'@': 122}), 0: (1, {'@': 122}), 36: (1, {'@': 122}), 37: (1, {'@': 122}), 1: (1, {'@': 122}), 38: (1, {'@': 122}), 27: (1, {'@': 122}), 39: (1, {'@': 122}), 3: (1, {'@': 122}), 40: (1, {'@': 122}), 32: (1, {'@': 122}), 41: (1, {'@': 122}), 17: (1, {'@': 122}), 19: (1, {'@': 122}), 42: (1, {'@': 122}), 25: (1, {'@': 122}), 43: (1, {'@': 122}), 26: (1, {'@': 122}), 44: (1, {'@': 122}), 45: (1, {'@': 122}), 46: (1, {'@': 122}), 2: (1, {'@': 122}), 28: (1, {'@': 122}), 29: (1, {'@': 122}), 30: (1, {'@': 122}), 47: (1, {'@': 122}), 48: (1, {'@': 122}), 31: (1, {'@': 122}), 49: (1, {'@': 122}), 6: (1, {'@': 122}), 50: (1, {'@': 122}), 12: (1, {'@': 122}), 51: (1, {'@': 122})}, 116: {18: (0, 34), 53: (0, 168), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 169), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 88: (0, 170), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 29: (0, 171), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 117: {16: (1, {'@': 123}), 33: (1, {'@': 123}), 18: (0, 111), 21: (1, {'@': 123}), 23: (1, {'@': 123}), 4: (1, {'@': 123}), 35: (1, {'@': 123}), 24: (1, {'@': 123}), 0: (1, {'@': 123}), 36: (1, {'@': 123}), 37: (1, {'@': 123}), 1: (1, {'@': 123}), 38: (1, {'@': 123}), 27: (1, {'@': 123}), 39: (1, {'@': 123}), 3: (1, {'@': 123}), 32: (1, {'@': 123}), 41: (1, {'@': 123}), 17: (1, {'@': 123}), 19: (1, {'@': 123}), 42: (1, {'@': 123}), 25: (1, {'@': 123}), 43: (1, {'@': 123}), 26: (1, {'@': 123}), 44: (1, {'@': 123}), 45: (1, {'@': 123}), 46: (1, {'@': 123}), 2: (1, {'@': 123}), 28: (1, {'@': 123}), 29: (1, {'@': 123}), 30: (1, {'@': 123}), 47: (1, {'@': 123}), 48: (1, {'@': 123}), 31: (1, {'@': 123}), 49: (1, {'@': 123}), 6: (1, {'@': 123}), 50: (1, {'@': 123}), 12: (1, {'@': 123}), 51: (1, {'@': 123}), 40: (0, 109), 34: (0, 110), 80: (0, 112), 81: (0, 113), 82: (0, 114), 83: (0, 115)}, 118: {1: (1, {'@': 124}), 2: (1, {'@': 124}), 6: (1, {'@': 124}), 0: (1, {'@': 124}), 12: (1, {'@': 124}), 3: (1, {'@': 124}), 4: (1, {'@': 124})}, 119: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 172), 2: (0, 14)}, 120: {4: (0, 173)}, 121: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 174), 2: (0, 14)}, 122: {1: (1, {'@': 125}), 2: (1, {'@': 125}), 6: (1, {'@': 125}), 0: (1, {'@': 125}), 12: (1, {'@': 125}), 3: (1, {'@': 125}), 4: (1, {'@': 125})}, 123: {3: (0, 2), 76: (0, 80), 27: (0, 81), 14: (0, 175), 44: (0, 86), 51: (0, 88), 84: (0, 176), 24: (0, 177), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 17: (0, 178), 35: (0, 96)}, 124: {18: (0, 34), 53: (0, 179), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 180), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 125: {16: (1, {'@': 126}), 33: (1, {'@': 126}), 18: (1, {'@': 126}), 21: (1, {'@': 126}), 23: (1, {'@': 126}), 34: (1, {'@': 126}), 4: (1, {'@': 126}), 35: (1, {'@': 126}), 24: (1, {'@': 126}), 0: (1, {'@': 126}), 36: (1, {'@': 126}), 37: (1, {'@': 126}), 1: (1, {'@': 126}), 38: (1, {'@': 126}), 27: (1, {'@': 126}), 39: (1, {'@': 126}), 3: (1, {'@': 126}), 40: (1, {'@': 126}), 32: (1, {'@': 126}), 41: (1, {'@': 126}), 17: (1, {'@': 126}), 19: (1, {'@': 126}), 42: (1, {'@': 126}), 25: (1, {'@': 126}), 43: (1, {'@': 126}), 26: (1, {'@': 126}), 44: (1, {'@': 126}), 45: (1, {'@': 126}), 46: (1, {'@': 126}), 2: (1, {'@': 126}), 28: (1, {'@': 126}), 29: (1, {'@': 126}), 30: (1, {'@': 126}), 47: (1, {'@': 126}), 48: (1, {'@': 126}), 31: (1, {'@': 126}), 49: (1, {'@': 126}), 6: (1, {'@': 126}), 50: (1, {'@': 126}), 12: (1, {'@': 126}), 51: (1, {'@': 126})}, 126: {3: (0, 2), 24: (0, 181), 7: (0, 4), 14: (0, 182), 22: (0, 183), 1: (0, 10), 2: (0, 14)}, 127: {6: (0, 3), 8: (0, 184)}, 128: {3: (0, 2), 76: (0, 80), 27: (0, 81), 44: (0, 86), 14: (0, 185), 51: (0, 88), 21: (0, 186), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 89: (0, 187), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 35: (0, 96), 17: (0, 188)}, 129: {18: (0, 34), 53: (0, 189), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 130: {3: (0, 2), 7: (0, 4), 14: (0, 190), 24: (0, 191), 1: (0, 10), 17: (0, 192), 2: (0, 14)}, 131: {24: (0, 193), 3: (0, 2), 1: (0, 10), 7: (0, 4), 2: (0, 14), 17: (0, 194), 14: (0, 195)}, 132: {18: (0, 34), 53: (0, 196), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 197), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 17: (0, 198), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 133: {16: (1, {'@': 127}), 33: (1, {'@': 127}), 18: (1, {'@': 127}), 21: (1, {'@': 127}), 23: (1, {'@': 127}), 34: (1, {'@': 127}), 4: (1, {'@': 127}), 35: (1, {'@': 127}), 24: (1, {'@': 127}), 0: (1, {'@': 127}), 36: (1, {'@': 127}), 37: (1, {'@': 127}), 1: (1, {'@': 127}), 38: (1, {'@': 127}), 27: (1, {'@': 127}), 39: (1, {'@': 127}), 3: (1, {'@': 127}), 40: (1, {'@': 127}), 32: (1, {'@': 127}), 41: (1, {'@': 127}), 17: (1, {'@': 127}), 19: (1, {'@': 127}), 42: (1, {'@': 127}), 25: (1, {'@': 127}), 43: (1, {'@': 127}), 26: (1, {'@': 127}), 44: (1, {'@': 127}), 45: (1, {'@': 127}), 46: (1, {'@': 127}), 2: (1, {'@': 127}), 28: (1, {'@': 127}), 29: (1, {'@': 127}), 30: (1, {'@': 127}), 47: (1, {'@': 127}), 48: (1, {'@': 127}), 31: (1, {'@': 127}), 49: (1, {'@': 127}), 6: (1, {'@': 127}), 50: (1, {'@': 127}), 12: (1, {'@': 127}), 51: (1, {'@': 127})}, 134: {16: (1, {'@': 128}), 33: (0, 84), 18: (1, {'@': 128}), 21: (1, {'@': 128}), 23: (1, {'@': 128}), 4: (1, {'@': 128}), 35: (0, 96), 24: (1, {'@': 128}), 0: (1, {'@': 128}), 36: (0, 87), 37: (1, {'@': 128}), 1: (1, {'@': 128}), 38: (0, 82), 27: (0, 81), 39: (0, 93), 3: (1, {'@': 128}), 32: (1, {'@': 128}), 41: (0, 95), 17: (1, {'@': 128}), 19: (1, {'@': 128}), 42: (1, {'@': 128}), 25: (1, {'@': 128}), 43: (0, 92), 26: (1, {'@': 128}), 44: (0, 86), 45: (0, 89), 46: (0, 90), 2: (1, {'@': 128}), 28: (1, {'@': 128}), 29: (1, {'@': 128}), 30: (1, {'@': 128}), 47: (1, {'@': 128}), 48: (0, 94), 31: (1, {'@': 128}), 49: (0, 85), 6: (1, {'@': 128}), 50: (1, {'@': 128}), 12: (1, {'@': 128}), 51: (0, 88), 76: (0, 80), 77: (0, 83)}, 135: {18: (0, 34), 53: (0, 199), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 136: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 47: (0, 200), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 137: {18: (0, 34), 53: (0, 201), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 138: {18: (0, 34), 53: (0, 99), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 8: (0, 101), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 58: (0, 47), 4: (0, 202), 59: (0, 48), 78: (0, 203), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 139: {3: (0, 2), 1: (0, 10), 7: (0, 4), 24: (0, 141), 4: (0, 204), 14: (0, 142), 85: (0, 205), 2: (0, 14)}, 140: {16: (1, {'@': 129}), 33: (1, {'@': 129}), 18: (1, {'@': 129}), 21: (1, {'@': 129}), 23: (1, {'@': 129}), 34: (1, {'@': 129}), 4: (1, {'@': 129}), 35: (1, {'@': 129}), 24: (1, {'@': 129}), 0: (1, {'@': 129}), 36: (1, {'@': 129}), 37: (1, {'@': 129}), 1: (1, {'@': 129}), 38: (1, {'@': 129}), 27: (1, {'@': 129}), 39: (1, {'@': 129}), 3: (1, {'@': 129}), 40: (1, {'@': 129}), 32: (1, {'@': 129}), 41: (1, {'@': 129}), 17: (1, {'@': 129}), 19: (1, {'@': 129}), 42: (1, {'@': 129}), 25: (1, {'@': 129}), 43: (1, {'@': 129}), 26: (1, {'@': 129}), 44: (1, {'@': 129}), 45: (1, {'@': 129}), 46: (1, {'@': 129}), 2: (1, {'@': 129}), 28: (1, {'@': 129}), 29: (1, {'@': 129}), 30: (1, {'@': 129}), 47: (1, {'@': 129}), 48: (1, {'@': 129}), 31: (1, {'@': 129}), 49: (1, {'@': 129}), 6: (1, {'@': 129}), 50: (1, {'@': 129}), 12: (1, {'@': 129}), 51: (1, {'@': 129})}, 141: {16: (1, {'@': 130}), 31: (1, {'@': 130}), 18: (1, {'@': 130}), 27: (1, {'@': 130}), 6: (1, {'@': 130}), 19: (1, {'@': 130}), 28: (1, {'@': 130}), 30: (1, {'@': 130}), 23: (1, {'@': 130}), 25: (1, {'@': 130}), 26: (1, {'@': 130}), 12: (1, {'@': 130}), 4: (1, {'@': 130}), 32: (1, {'@': 130}), 3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 206), 2: (0, 14)}, 142: {16: (1, {'@': 131}), 31: (1, {'@': 131}), 18: (1, {'@': 131}), 27: (1, {'@': 131}), 6: (1, {'@': 131}), 19: (1, {'@': 131}), 28: (1, {'@': 131}), 30: (1, {'@': 131}), 23: (1, {'@': 131}), 25: (1, {'@': 131}), 26: (1, {'@': 131}), 12: (1, {'@': 131}), 4: (1, {'@': 131}), 32: (1, {'@': 131})}, 143: {76: (0, 80), 27: (0, 81), 37: (0, 207), 44: (0, 86), 51: (0, 88), 43: (0, 92), 48: (0, 94), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 144: {1: (1, {'@': 132}), 2: (1, {'@': 132}), 24: (1, {'@': 132}), 3: (1, {'@': 132}), 4: (1, {'@': 132}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 145: {18: (0, 34), 53: (0, 208), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 146: {16: (0, 40), 18: (0, 34), 1: (1, {'@': 101}), 2: (1, {'@': 101}), 27: (1, {'@': 101}), 19: (0, 54), 28: (0, 36), 30: (0, 39), 23: (0, 41), 32: (1, {'@': 101}), 31: (0, 38), 6: (0, 3), 25: (0, 57), 12: (0, 9), 3: (1, {'@': 101}), 26: (0, 59), 54: (0, 37), 55: (0, 42), 56: (0, 44), 57: (0, 117), 8: (0, 46), 59: (0, 48), 60: (0, 49), 63: (0, 52), 64: (0, 53), 65: (0, 55), 11: (0, 56), 67: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 73: (0, 67), 74: (0, 68)}, 147: {18: (0, 34), 53: (0, 209), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 148: {18: (0, 34), 53: (0, 210), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 149: {16: (1, {'@': 133}), 33: (1, {'@': 133}), 18: (1, {'@': 133}), 21: (1, {'@': 133}), 23: (1, {'@': 133}), 34: (1, {'@': 133}), 4: (1, {'@': 133}), 35: (1, {'@': 133}), 24: (1, {'@': 133}), 0: (1, {'@': 133}), 36: (1, {'@': 133}), 37: (1, {'@': 133}), 1: (1, {'@': 133}), 38: (1, {'@': 133}), 27: (1, {'@': 133}), 39: (1, {'@': 133}), 3: (1, {'@': 133}), 40: (1, {'@': 133}), 32: (1, {'@': 133}), 41: (1, {'@': 133}), 17: (1, {'@': 133}), 19: (1, {'@': 133}), 42: (1, {'@': 133}), 25: (1, {'@': 133}), 43: (1, {'@': 133}), 26: (1, {'@': 133}), 44: (1, {'@': 133}), 45: (1, {'@': 133}), 46: (1, {'@': 133}), 2: (1, {'@': 133}), 28: (1, {'@': 133}), 29: (1, {'@': 133}), 30: (1, {'@': 133}), 47: (1, {'@': 133}), 48: (1, {'@': 133}), 31: (1, {'@': 133}), 49: (1, {'@': 133}), 6: (1, {'@': 133}), 50: (1, {'@': 133}), 12: (1, {'@': 133}), 51: (1, {'@': 133})}, 150: {4: (0, 211), 3: (0, 2), 7: (0, 4), 86: (0, 212), 85: (0, 213), 1: (0, 10), 24: (0, 141), 14: (0, 142), 2: (0, 14)}, 151: {1: (1, {'@': 134}), 2: (1, {'@': 134}), 24: (1, {'@': 134}), 3: (1, {'@': 134}), 4: (1, {'@': 134}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 152: {18: (0, 34), 53: (0, 214), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 215), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 88: (0, 170), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 29: (0, 171), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 153: {18: (0, 34), 53: (0, 216), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 154: {18: (0, 34), 53: (0, 217), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 155: {16: (1, {'@': 135}), 33: (1, {'@': 135}), 18: (1, {'@': 135}), 21: (1, {'@': 135}), 23: (1, {'@': 135}), 34: (1, {'@': 135}), 4: (1, {'@': 135}), 35: (1, {'@': 135}), 24: (1, {'@': 135}), 0: (1, {'@': 135}), 36: (1, {'@': 135}), 37: (1, {'@': 135}), 1: (1, {'@': 135}), 38: (1, {'@': 135}), 27: (1, {'@': 135}), 39: (1, {'@': 135}), 3: (1, {'@': 135}), 40: (1, {'@': 135}), 32: (1, {'@': 135}), 41: (1, {'@': 135}), 17: (1, {'@': 135}), 19: (1, {'@': 135}), 42: (1, {'@': 135}), 25: (1, {'@': 135}), 43: (1, {'@': 135}), 26: (1, {'@': 135}), 44: (1, {'@': 135}), 45: (1, {'@': 135}), 46: (1, {'@': 135}), 2: (1, {'@': 135}), 28: (1, {'@': 135}), 29: (1, {'@': 135}), 30: (1, {'@': 135}), 47: (1, {'@': 135}), 48: (1, {'@': 135}), 31: (1, {'@': 135}), 49: (1, {'@': 135}), 6: (1, {'@': 135}), 50: (1, {'@': 135}), 12: (1, {'@': 135}), 51: (1, {'@': 135})}, 156: {29: (0, 218)}, 157: {3: (0, 2), 76: (0, 80), 27: (0, 81), 38: (0, 82), 7: (0, 4), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 29: (0, 219), 51: (0, 88), 45: (0, 89), 1: (0, 10), 46: (0, 90), 14: (0, 220), 43: (0, 92), 39: (0, 93), 48: (0, 94), 2: (0, 14), 41: (0, 95), 35: (0, 96)}, 158: {16: (1, {'@': 136}), 33: (1, {'@': 136}), 18: (1, {'@': 136}), 21: (1, {'@': 136}), 23: (0, 106), 34: (1, {'@': 136}), 4: (1, {'@': 136}), 35: (1, {'@': 136}), 24: (1, {'@': 136}), 0: (1, {'@': 136}), 36: (1, {'@': 136}), 37: (1, {'@': 136}), 1: (1, {'@': 136}), 38: (1, {'@': 136}), 27: (1, {'@': 136}), 39: (1, {'@': 136}), 3: (1, {'@': 136}), 40: (1, {'@': 136}), 32: (1, {'@': 136}), 41: (1, {'@': 136}), 17: (1, {'@': 136}), 19: (1, {'@': 136}), 42: (1, {'@': 136}), 25: (1, {'@': 136}), 43: (1, {'@': 136}), 26: (1, {'@': 136}), 44: (1, {'@': 136}), 45: (1, {'@': 136}), 46: (1, {'@': 136}), 2: (1, {'@': 136}), 28: (1, {'@': 136}), 29: (1, {'@': 136}), 30: (1, {'@': 136}), 47: (1, {'@': 136}), 48: (1, {'@': 136}), 31: (1, {'@': 136}), 49: (1, {'@': 136}), 6: (1, {'@': 136}), 50: (1, {'@': 136}), 12: (1, {'@': 136}), 51: (1, {'@': 136}), 79: (0, 221)}, 159: {16: (1, {'@': 137}), 33: (1, {'@': 137}), 18: (1, {'@': 137}), 21: (1, {'@': 137}), 23: (0, 106), 34: (1, {'@': 137}), 4: (1, {'@': 137}), 35: (1, {'@': 137}), 24: (1, {'@': 137}), 0: (1, {'@': 137}), 36: (1, {'@': 137}), 37: (1, {'@': 137}), 1: (1, {'@': 137}), 38: (1, {'@': 137}), 27: (1, {'@': 137}), 39: (1, {'@': 137}), 3: (1, {'@': 137}), 40: (1, {'@': 137}), 32: (1, {'@': 137}), 41: (1, {'@': 137}), 17: (1, {'@': 137}), 19: (1, {'@': 137}), 42: (1, {'@': 137}), 25: (1, {'@': 137}), 43: (1, {'@': 137}), 26: (1, {'@': 137}), 44: (1, {'@': 137}), 45: (1, {'@': 137}), 46: (1, {'@': 137}), 2: (1, {'@': 137}), 28: (1, {'@': 137}), 29: (1, {'@': 137}), 30: (1, {'@': 137}), 47: (1, {'@': 137}), 48: (1, {'@': 137}), 31: (1, {'@': 137}), 49: (1, {'@': 137}), 6: (1, {'@': 137}), 50: (1, {'@': 137}), 12: (1, {'@': 137}), 51: (1, {'@': 137})}, 160: {6: (0, 3), 8: (0, 164)}, 161: {16: (1, {'@': 138}), 33: (1, {'@': 138}), 18: (1, {'@': 138}), 21: (1, {'@': 138}), 23: (1, {'@': 138}), 34: (0, 160), 4: (1, {'@': 138}), 35: (1, {'@': 138}), 24: (1, {'@': 138}), 0: (1, {'@': 138}), 36: (1, {'@': 138}), 37: (1, {'@': 138}), 1: (1, {'@': 138}), 38: (1, {'@': 138}), 27: (1, {'@': 138}), 39: (1, {'@': 138}), 3: (1, {'@': 138}), 40: (1, {'@': 138}), 32: (1, {'@': 138}), 41: (1, {'@': 138}), 17: (1, {'@': 138}), 19: (1, {'@': 138}), 42: (1, {'@': 138}), 25: (1, {'@': 138}), 43: (1, {'@': 138}), 26: (1, {'@': 138}), 44: (1, {'@': 138}), 45: (1, {'@': 138}), 46: (1, {'@': 138}), 2: (1, {'@': 138}), 28: (1, {'@': 138}), 29: (1, {'@': 138}), 30: (1, {'@': 138}), 47: (1, {'@': 138}), 48: (1, {'@': 138}), 31: (1, {'@': 138}), 49: (1, {'@': 138}), 6: (1, {'@': 138}), 50: (1, {'@': 138}), 12: (1, {'@': 138}), 51: (1, {'@': 138}), 83: (0, 222)}, 162: {16: (1, {'@': 139}), 33: (1, {'@': 139}), 18: (1, {'@': 139}), 21: (1, {'@': 139}), 23: (1, {'@': 139}), 34: (1, {'@': 139}), 4: (1, {'@': 139}), 35: (1, {'@': 139}), 24: (1, {'@': 139}), 0: (1, {'@': 139}), 36: (1, {'@': 139}), 37: (1, {'@': 139}), 1: (1, {'@': 139}), 38: (1, {'@': 139}), 27: (1, {'@': 139}), 39: (1, {'@': 139}), 3: (1, {'@': 139}), 40: (1, {'@': 139}), 32: (1, {'@': 139}), 41: (1, {'@': 139}), 17: (1, {'@': 139}), 19: (1, {'@': 139}), 42: (1, {'@': 139}), 25: (1, {'@': 139}), 43: (1, {'@': 139}), 26: (1, {'@': 139}), 44: (1, {'@': 139}), 45: (1, {'@': 139}), 46: (1, {'@': 139}), 2: (1, {'@': 139}), 28: (1, {'@': 139}), 29: (1, {'@': 139}), 30: (1, {'@': 139}), 47: (1, {'@': 139}), 48: (1, {'@': 139}), 31: (1, {'@': 139}), 49: (1, {'@': 139}), 6: (1, {'@': 139}), 50: (1, {'@': 139}), 12: (1, {'@': 139}), 51: (1, {'@': 139})}, 163: {16: (1, {'@': 140}), 33: (1, {'@': 140}), 18: (1, {'@': 140}), 21: (1, {'@': 140}), 23: (0, 106), 34: (1, {'@': 140}), 4: (1, {'@': 140}), 35: (1, {'@': 140}), 24: (1, {'@': 140}), 0: (1, {'@': 140}), 36: (1, {'@': 140}), 37: (1, {'@': 140}), 1: (1, {'@': 140}), 38: (1, {'@': 140}), 27: (1, {'@': 140}), 39: (1, {'@': 140}), 3: (1, {'@': 140}), 40: (1, {'@': 140}), 32: (1, {'@': 140}), 41: (1, {'@': 140}), 17: (1, {'@': 140}), 19: (1, {'@': 140}), 42: (1, {'@': 140}), 25: (1, {'@': 140}), 43: (1, {'@': 140}), 26: (1, {'@': 140}), 44: (1, {'@': 140}), 45: (1, {'@': 140}), 46: (1, {'@': 140}), 2: (1, {'@': 140}), 28: (1, {'@': 140}), 29: (1, {'@': 140}), 30: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 31: (1, {'@': 140}), 49: (1, {'@': 140}), 6: (1, {'@': 140}), 50: (1, {'@': 140}), 12: (1, {'@': 140}), 51: (1, {'@': 140})}, 164: {16: (1, {'@': 141}), 33: (1, {'@': 141}), 18: (1, {'@': 141}), 21: (1, {'@': 141}), 23: (1, {'@': 141}), 34: (1, {'@': 141}), 4: (1, {'@': 141}), 35: (1, {'@': 141}), 24: (1, {'@': 141}), 0: (1, {'@': 141}), 36: (1, {'@': 141}), 37: (1, {'@': 141}), 1: (1, {'@': 141}), 38: (1, {'@': 141}), 27: (1, {'@': 141}), 39: (1, {'@': 141}), 3: (1, {'@': 141}), 40: (1, {'@': 141}), 32: (1, {'@': 141}), 41: (1, {'@': 141}), 17: (1, {'@': 141}), 19: (1, {'@': 141}), 42: (1, {'@': 141}), 25: (1, {'@': 141}), 43: (1, {'@': 141}), 26: (1, {'@': 141}), 44: (1, {'@': 141}), 45: (1, {'@': 141}), 46: (1, {'@': 141}), 2: (1, {'@': 141}), 28: (1, {'@': 141}), 29: (1, {'@': 141}), 30: (1, {'@': 141}), 47: (1, {'@': 141}), 48: (1, {'@': 141}), 31: (1, {'@': 141}), 49: (1, {'@': 141}), 6: (1, {'@': 141}), 50: (1, {'@': 141}), 12: (1, {'@': 141}), 51: (1, {'@': 141})}, 165: {3: (0, 2), 76: (0, 80), 27: (0, 81), 38: (0, 82), 7: (0, 4), 17: (0, 223), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 1: (0, 10), 46: (0, 90), 14: (0, 224), 43: (0, 92), 39: (0, 93), 48: (0, 94), 2: (0, 14), 41: (0, 95), 35: (0, 96)}, 166: {18: (0, 34), 53: (0, 225), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 167: {17: (0, 226)}, 168: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (1, {'@': 142}), 76: (0, 80), 27: (0, 81), 14: (0, 227), 84: (0, 228), 42: (0, 229), 44: (0, 86), 51: (0, 88), 7: (0, 4), 43: (0, 92), 48: (0, 94), 41: (0, 95), 77: (0, 83), 38: (0, 82), 24: (0, 230), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 169: {18: (0, 34), 53: (0, 168), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 14: (0, 231), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 29: (0, 232), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 88: (0, 233), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 170: {3: (0, 2), 1: (0, 10), 29: (0, 234), 7: (0, 4), 14: (0, 235), 2: (0, 14)}, 171: {16: (1, {'@': 143}), 33: (1, {'@': 143}), 18: (1, {'@': 143}), 21: (1, {'@': 143}), 23: (1, {'@': 143}), 34: (1, {'@': 143}), 4: (1, {'@': 143}), 35: (1, {'@': 143}), 24: (1, {'@': 143}), 0: (1, {'@': 143}), 36: (1, {'@': 143}), 37: (1, {'@': 143}), 1: (1, {'@': 143}), 38: (1, {'@': 143}), 27: (1, {'@': 143}), 39: (1, {'@': 143}), 3: (1, {'@': 143}), 40: (1, {'@': 143}), 32: (1, {'@': 143}), 41: (1, {'@': 143}), 17: (1, {'@': 143}), 19: (1, {'@': 143}), 42: (1, {'@': 143}), 25: (1, {'@': 143}), 43: (1, {'@': 143}), 26: (1, {'@': 143}), 44: (1, {'@': 143}), 45: (1, {'@': 143}), 46: (1, {'@': 143}), 2: (1, {'@': 143}), 28: (1, {'@': 143}), 29: (1, {'@': 143}), 30: (1, {'@': 143}), 47: (1, {'@': 143}), 48: (1, {'@': 143}), 31: (1, {'@': 143}), 49: (1, {'@': 143}), 6: (1, {'@': 143}), 50: (1, {'@': 143}), 12: (1, {'@': 143}), 51: (1, {'@': 143})}, 172: {1: (1, {'@': 144}), 2: (1, {'@': 144}), 6: (1, {'@': 144}), 0: (1, {'@': 144}), 12: (1, {'@': 144}), 3: (1, {'@': 144}), 4: (1, {'@': 144})}, 173: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 236), 2: (0, 14)}, 174: {1: (1, {'@': 145}), 2: (1, {'@': 145}), 6: (1, {'@': 145}), 0: (1, {'@': 145}), 12: (1, {'@': 145}), 3: (1, {'@': 145}), 4: (1, {'@': 145})}, 175: {3: (0, 2), 24: (0, 237), 1: (0, 10), 7: (0, 4), 14: (0, 238), 17: (0, 239), 2: (0, 14)}, 176: {3: (0, 2), 7: (0, 4), 14: (0, 240), 24: (0, 241), 1: (0, 10), 2: (0, 14), 17: (0, 242)}, 177: {18: (0, 34), 53: (0, 196), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 14: (0, 243), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 17: (0, 244), 74: (0, 68)}, 178: {16: (1, {'@': 146}), 33: (1, {'@': 146}), 18: (1, {'@': 146}), 21: (1, {'@': 146}), 23: (1, {'@': 146}), 34: (1, {'@': 146}), 4: (1, {'@': 146}), 35: (1, {'@': 146}), 24: (1, {'@': 146}), 0: (1, {'@': 146}), 36: (1, {'@': 146}), 37: (1, {'@': 146}), 1: (1, {'@': 146}), 38: (1, {'@': 146}), 27: (1, {'@': 146}), 39: (1, {'@': 146}), 3: (1, {'@': 146}), 40: (1, {'@': 146}), 32: (1, {'@': 146}), 41: (1, {'@': 146}), 17: (1, {'@': 146}), 19: (1, {'@': 146}), 42: (1, {'@': 146}), 25: (1, {'@': 146}), 43: (1, {'@': 146}), 26: (1, {'@': 146}), 44: (1, {'@': 146}), 45: (1, {'@': 146}), 46: (1, {'@': 146}), 2: (1, {'@': 146}), 28: (1, {'@': 146}), 29: (1, {'@': 146}), 30: (1, {'@': 146}), 47: (1, {'@': 146}), 48: (1, {'@': 146}), 31: (1, {'@': 146}), 49: (1, {'@': 146}), 6: (1, {'@': 146}), 50: (1, {'@': 146}), 12: (1, {'@': 146}), 51: (1, {'@': 146})}, 179: {3: (0, 2), 76: (0, 80), 27: (0, 81), 14: (0, 245), 17: (0, 246), 44: (0, 86), 51: (0, 88), 21: (0, 186), 89: (0, 247), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 180: {18: (0, 34), 53: (0, 248), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 181: {6: (0, 3), 8: (0, 249)}, 182: {22: (0, 250)}, 183: {18: (0, 34), 53: (0, 251), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 14: (0, 252), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 184: {3: (0, 2), 24: (0, 253), 7: (0, 4), 22: (0, 254), 14: (0, 255), 1: (0, 10), 2: (0, 14)}, 185: {3: (0, 2), 1: (0, 10), 17: (0, 256), 7: (0, 4), 89: (0, 257), 14: (0, 258), 2: (0, 14), 21: (0, 186)}, 186: {18: (0, 34), 53: (0, 259), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 260), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 187: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 261), 2: (0, 14), 17: (0, 262)}, 188: {16: (1, {'@': 147}), 33: (1, {'@': 147}), 18: (1, {'@': 147}), 21: (1, {'@': 147}), 23: (1, {'@': 147}), 34: (1, {'@': 147}), 4: (1, {'@': 147}), 35: (1, {'@': 147}), 24: (1, {'@': 147}), 0: (1, {'@': 147}), 36: (1, {'@': 147}), 37: (1, {'@': 147}), 1: (1, {'@': 147}), 38: (1, {'@': 147}), 27: (1, {'@': 147}), 39: (1, {'@': 147}), 3: (1, {'@': 147}), 40: (1, {'@': 147}), 32: (1, {'@': 147}), 41: (1, {'@': 147}), 17: (1, {'@': 147}), 19: (1, {'@': 147}), 42: (1, {'@': 147}), 25: (1, {'@': 147}), 43: (1, {'@': 147}), 26: (1, {'@': 147}), 44: (1, {'@': 147}), 45: (1, {'@': 147}), 46: (1, {'@': 147}), 2: (1, {'@': 147}), 28: (1, {'@': 147}), 29: (1, {'@': 147}), 30: (1, {'@': 147}), 47: (1, {'@': 147}), 48: (1, {'@': 147}), 31: (1, {'@': 147}), 49: (1, {'@': 147}), 6: (1, {'@': 147}), 50: (1, {'@': 147}), 12: (1, {'@': 147}), 51: (1, {'@': 147})}, 189: {3: (0, 2), 76: (0, 80), 89: (0, 263), 27: (0, 81), 17: (0, 264), 44: (0, 86), 51: (0, 88), 21: (0, 186), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 14: (0, 265), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 190: {3: (0, 2), 1: (0, 10), 7: (0, 4), 17: (0, 266), 14: (0, 267), 24: (0, 268), 2: (0, 14)}, 191: {18: (0, 34), 53: (0, 269), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 14: (0, 270), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 17: (0, 271), 73: (0, 67), 74: (0, 68)}, 192: {16: (1, {'@': 148}), 33: (1, {'@': 148}), 18: (1, {'@': 148}), 21: (1, {'@': 148}), 23: (1, {'@': 148}), 34: (1, {'@': 148}), 4: (1, {'@': 148}), 35: (1, {'@': 148}), 24: (1, {'@': 148}), 0: (1, {'@': 148}), 36: (1, {'@': 148}), 37: (1, {'@': 148}), 1: (1, {'@': 148}), 38: (1, {'@': 148}), 27: (1, {'@': 148}), 39: (1, {'@': 148}), 3: (1, {'@': 148}), 40: (1, {'@': 148}), 32: (1, {'@': 148}), 41: (1, {'@': 148}), 17: (1, {'@': 148}), 19: (1, {'@': 148}), 42: (1, {'@': 148}), 25: (1, {'@': 148}), 43: (1, {'@': 148}), 26: (1, {'@': 148}), 44: (1, {'@': 148}), 45: (1, {'@': 148}), 46: (1, {'@': 148}), 2: (1, {'@': 148}), 28: (1, {'@': 148}), 29: (1, {'@': 148}), 30: (1, {'@': 148}), 47: (1, {'@': 148}), 48: (1, {'@': 148}), 31: (1, {'@': 148}), 49: (1, {'@': 148}), 6: (1, {'@': 148}), 50: (1, {'@': 148}), 12: (1, {'@': 148}), 51: (1, {'@': 148})}, 193: {18: (0, 34), 53: (0, 272), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 14: (0, 273), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 17: (0, 274), 73: (0, 67), 74: (0, 68)}, 194: {16: (1, {'@': 149}), 33: (1, {'@': 149}), 18: (1, {'@': 149}), 21: (1, {'@': 149}), 23: (1, {'@': 149}), 34: (1, {'@': 149}), 4: (1, {'@': 149}), 35: (1, {'@': 149}), 24: (1, {'@': 149}), 0: (1, {'@': 149}), 36: (1, {'@': 149}), 37: (1, {'@': 149}), 1: (1, {'@': 149}), 38: (1, {'@': 149}), 27: (1, {'@': 149}), 39: (1, {'@': 149}), 3: (1, {'@': 149}), 40: (1, {'@': 149}), 32: (1, {'@': 149}), 41: (1, {'@': 149}), 17: (1, {'@': 149}), 19: (1, {'@': 149}), 42: (1, {'@': 149}), 25: (1, {'@': 149}), 43: (1, {'@': 149}), 26: (1, {'@': 149}), 44: (1, {'@': 149}), 45: (1, {'@': 149}), 46: (1, {'@': 149}), 2: (1, {'@': 149}), 28: (1, {'@': 149}), 29: (1, {'@': 149}), 30: (1, {'@': 149}), 47: (1, {'@': 149}), 48: (1, {'@': 149}), 31: (1, {'@': 149}), 49: (1, {'@': 149}), 6: (1, {'@': 149}), 50: (1, {'@': 149}), 12: (1, {'@': 149}), 51: (1, {'@': 149})}, 195: {17: (0, 275)}, 196: {17: (1, {'@': 150}), 24: (1, {'@': 150}), 1: (1, {'@': 150}), 2: (1, {'@': 150}), 29: (1, {'@': 150}), 3: (1, {'@': 150}), 42: (1, {'@': 150}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 197: {18: (0, 34), 53: (0, 276), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 17: (0, 277), 73: (0, 67), 74: (0, 68)}, 198: {16: (1, {'@': 151}), 33: (1, {'@': 151}), 18: (1, {'@': 151}), 21: (1, {'@': 151}), 23: (1, {'@': 151}), 34: (1, {'@': 151}), 4: (1, {'@': 151}), 35: (1, {'@': 151}), 24: (1, {'@': 151}), 0: (1, {'@': 151}), 36: (1, {'@': 151}), 37: (1, {'@': 151}), 1: (1, {'@': 151}), 38: (1, {'@': 151}), 27: (1, {'@': 151}), 39: (1, {'@': 151}), 3: (1, {'@': 151}), 40: (1, {'@': 151}), 32: (1, {'@': 151}), 41: (1, {'@': 151}), 17: (1, {'@': 151}), 19: (1, {'@': 151}), 42: (1, {'@': 151}), 25: (1, {'@': 151}), 43: (1, {'@': 151}), 26: (1, {'@': 151}), 44: (1, {'@': 151}), 45: (1, {'@': 151}), 46: (1, {'@': 151}), 2: (1, {'@': 151}), 28: (1, {'@': 151}), 29: (1, {'@': 151}), 30: (1, {'@': 151}), 47: (1, {'@': 151}), 48: (1, {'@': 151}), 31: (1, {'@': 151}), 49: (1, {'@': 151}), 6: (1, {'@': 151}), 50: (1, {'@': 151}), 12: (1, {'@': 151}), 51: (1, {'@': 151})}, 199: {16: (1, {'@': 152}), 33: (0, 84), 18: (1, {'@': 152}), 21: (1, {'@': 152}), 23: (1, {'@': 152}), 4: (1, {'@': 152}), 35: (0, 96), 24: (1, {'@': 152}), 0: (1, {'@': 152}), 36: (0, 87), 37: (1, {'@': 152}), 1: (1, {'@': 152}), 38: (0, 82), 27: (0, 81), 39: (0, 93), 3: (1, {'@': 152}), 32: (1, {'@': 152}), 41: (0, 95), 17: (1, {'@': 152}), 19: (1, {'@': 152}), 42: (1, {'@': 152}), 25: (1, {'@': 152}), 43: (0, 92), 26: (1, {'@': 152}), 44: (0, 86), 45: (0, 89), 46: (0, 90), 2: (1, {'@': 152}), 28: (1, {'@': 152}), 29: (1, {'@': 152}), 30: (1, {'@': 152}), 47: (1, {'@': 152}), 48: (0, 94), 31: (1, {'@': 152}), 49: (0, 85), 6: (1, {'@': 152}), 50: (1, {'@': 152}), 12: (1, {'@': 152}), 51: (0, 88), 76: (0, 80), 77: (0, 83)}, 200: {18: (0, 34), 53: (0, 278), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 201: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 47: (0, 279), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 202: {16: (1, {'@': 153}), 33: (1, {'@': 153}), 18: (1, {'@': 153}), 21: (1, {'@': 153}), 23: (1, {'@': 153}), 34: (1, {'@': 153}), 4: (1, {'@': 153}), 35: (1, {'@': 153}), 24: (1, {'@': 153}), 0: (1, {'@': 153}), 36: (1, {'@': 153}), 37: (1, {'@': 153}), 1: (1, {'@': 153}), 38: (1, {'@': 153}), 27: (1, {'@': 153}), 39: (1, {'@': 153}), 3: (1, {'@': 153}), 40: (1, {'@': 153}), 32: (1, {'@': 153}), 41: (1, {'@': 153}), 17: (1, {'@': 153}), 19: (1, {'@': 153}), 42: (1, {'@': 153}), 25: (1, {'@': 153}), 43: (1, {'@': 153}), 26: (1, {'@': 153}), 44: (1, {'@': 153}), 45: (1, {'@': 153}), 46: (1, {'@': 153}), 2: (1, {'@': 153}), 28: (1, {'@': 153}), 29: (1, {'@': 153}), 30: (1, {'@': 153}), 47: (1, {'@': 153}), 48: (1, {'@': 153}), 31: (1, {'@': 153}), 49: (1, {'@': 153}), 6: (1, {'@': 153}), 50: (1, {'@': 153}), 12: (1, {'@': 153}), 51: (1, {'@': 153})}, 203: {24: (1, {'@': 154}), 1: (1, {'@': 154}), 2: (1, {'@': 154}), 3: (1, {'@': 154}), 4: (1, {'@': 154})}, 204: {16: (1, {'@': 155}), 33: (1, {'@': 155}), 18: (1, {'@': 155}), 21: (1, {'@': 155}), 23: (1, {'@': 155}), 34: (1, {'@': 155}), 4: (1, {'@': 155}), 35: (1, {'@': 155}), 24: (1, {'@': 155}), 0: (1, {'@': 155}), 36: (1, {'@': 155}), 37: (1, {'@': 155}), 1: (1, {'@': 155}), 38: (1, {'@': 155}), 27: (1, {'@': 155}), 39: (1, {'@': 155}), 3: (1, {'@': 155}), 40: (1, {'@': 155}), 32: (1, {'@': 155}), 41: (1, {'@': 155}), 17: (1, {'@': 155}), 19: (1, {'@': 155}), 42: (1, {'@': 155}), 25: (1, {'@': 155}), 43: (1, {'@': 155}), 26: (1, {'@': 155}), 44: (1, {'@': 155}), 45: (1, {'@': 155}), 46: (1, {'@': 155}), 2: (1, {'@': 155}), 28: (1, {'@': 155}), 29: (1, {'@': 155}), 30: (1, {'@': 155}), 47: (1, {'@': 155}), 48: (1, {'@': 155}), 31: (1, {'@': 155}), 49: (1, {'@': 155}), 6: (1, {'@': 155}), 50: (1, {'@': 155}), 12: (1, {'@': 155}), 51: (1, {'@': 155})}, 205: {18: (0, 34), 53: (0, 99), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 8: (0, 101), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 4: (0, 280), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 78: (0, 281), 73: (0, 67), 74: (0, 68)}, 206: {16: (1, {'@': 156}), 31: (1, {'@': 156}), 18: (1, {'@': 156}), 27: (1, {'@': 156}), 6: (1, {'@': 156}), 19: (1, {'@': 156}), 28: (1, {'@': 156}), 30: (1, {'@': 156}), 23: (1, {'@': 156}), 25: (1, {'@': 156}), 26: (1, {'@': 156}), 12: (1, {'@': 156}), 4: (1, {'@': 156}), 32: (1, {'@': 156})}, 207: {18: (0, 34), 53: (0, 282), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 208: {1: (1, {'@': 157}), 2: (1, {'@': 157}), 24: (1, {'@': 157}), 3: (1, {'@': 157}), 4: (1, {'@': 157}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 209: {1: (1, {'@': 158}), 2: (1, {'@': 158}), 24: (1, {'@': 158}), 3: (1, {'@': 158}), 4: (1, {'@': 158}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 210: {76: (0, 80), 27: (0, 81), 44: (0, 86), 37: (0, 283), 51: (0, 88), 43: (0, 92), 48: (0, 94), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 211: {16: (1, {'@': 159}), 33: (1, {'@': 159}), 18: (1, {'@': 159}), 21: (1, {'@': 159}), 23: (1, {'@': 159}), 34: (1, {'@': 159}), 4: (1, {'@': 159}), 35: (1, {'@': 159}), 24: (1, {'@': 159}), 0: (1, {'@': 159}), 36: (1, {'@': 159}), 37: (1, {'@': 159}), 1: (1, {'@': 159}), 38: (1, {'@': 159}), 27: (1, {'@': 159}), 39: (1, {'@': 159}), 3: (1, {'@': 159}), 40: (1, {'@': 159}), 32: (1, {'@': 159}), 41: (1, {'@': 159}), 17: (1, {'@': 159}), 19: (1, {'@': 159}), 42: (1, {'@': 159}), 25: (1, {'@': 159}), 43: (1, {'@': 159}), 26: (1, {'@': 159}), 44: (1, {'@': 159}), 45: (1, {'@': 159}), 46: (1, {'@': 159}), 2: (1, {'@': 159}), 28: (1, {'@': 159}), 29: (1, {'@': 159}), 30: (1, {'@': 159}), 47: (1, {'@': 159}), 48: (1, {'@': 159}), 31: (1, {'@': 159}), 49: (1, {'@': 159}), 6: (1, {'@': 159}), 50: (1, {'@': 159}), 12: (1, {'@': 159}), 51: (1, {'@': 159})}, 212: {3: (0, 2), 1: (0, 10), 7: (0, 4), 24: (0, 141), 4: (0, 284), 14: (0, 142), 85: (0, 285), 2: (0, 14)}, 213: {18: (0, 34), 53: (0, 99), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 8: (0, 101), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 58: (0, 47), 59: (0, 48), 78: (0, 203), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 4: (0, 286), 73: (0, 67), 74: (0, 68)}, 214: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (0, 155), 76: (0, 80), 27: (0, 81), 14: (0, 287), 84: (0, 228), 42: (0, 229), 44: (0, 86), 51: (0, 88), 7: (0, 4), 43: (0, 92), 48: (0, 94), 41: (0, 95), 77: (0, 83), 38: (0, 82), 24: (0, 230), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 215: {18: (0, 34), 53: (0, 288), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 14: (0, 231), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 29: (0, 232), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 88: (0, 233), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 216: {1: (1, {'@': 160}), 2: (1, {'@': 160}), 24: (1, {'@': 160}), 3: (1, {'@': 160}), 4: (1, {'@': 160}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 217: {1: (1, {'@': 161}), 2: (1, {'@': 161}), 24: (1, {'@': 161}), 3: (1, {'@': 161}), 4: (1, {'@': 161}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 218: {16: (1, {'@': 162}), 33: (1, {'@': 162}), 18: (1, {'@': 162}), 21: (1, {'@': 162}), 23: (1, {'@': 162}), 34: (1, {'@': 162}), 4: (1, {'@': 162}), 35: (1, {'@': 162}), 24: (1, {'@': 162}), 0: (1, {'@': 162}), 36: (1, {'@': 162}), 37: (1, {'@': 162}), 1: (1, {'@': 162}), 38: (1, {'@': 162}), 27: (1, {'@': 162}), 39: (1, {'@': 162}), 3: (1, {'@': 162}), 40: (1, {'@': 162}), 32: (1, {'@': 162}), 41: (1, {'@': 162}), 17: (1, {'@': 162}), 19: (1, {'@': 162}), 42: (1, {'@': 162}), 25: (1, {'@': 162}), 43: (1, {'@': 162}), 26: (1, {'@': 162}), 44: (1, {'@': 162}), 45: (1, {'@': 162}), 46: (1, {'@': 162}), 2: (1, {'@': 162}), 28: (1, {'@': 162}), 29: (1, {'@': 162}), 30: (1, {'@': 162}), 47: (1, {'@': 162}), 48: (1, {'@': 162}), 31: (1, {'@': 162}), 49: (1, {'@': 162}), 6: (1, {'@': 162}), 50: (1, {'@': 162}), 12: (1, {'@': 162}), 51: (1, {'@': 162})}, 219: {16: (1, {'@': 163}), 33: (1, {'@': 163}), 18: (1, {'@': 163}), 21: (1, {'@': 163}), 23: (1, {'@': 163}), 34: (1, {'@': 163}), 4: (1, {'@': 163}), 35: (1, {'@': 163}), 24: (1, {'@': 163}), 0: (1, {'@': 163}), 36: (1, {'@': 163}), 37: (1, {'@': 163}), 1: (1, {'@': 163}), 38: (1, {'@': 163}), 27: (1, {'@': 163}), 39: (1, {'@': 163}), 3: (1, {'@': 163}), 40: (1, {'@': 163}), 32: (1, {'@': 163}), 41: (1, {'@': 163}), 17: (1, {'@': 163}), 19: (1, {'@': 163}), 42: (1, {'@': 163}), 25: (1, {'@': 163}), 43: (1, {'@': 163}), 26: (1, {'@': 163}), 44: (1, {'@': 163}), 45: (1, {'@': 163}), 46: (1, {'@': 163}), 2: (1, {'@': 163}), 28: (1, {'@': 163}), 29: (1, {'@': 163}), 30: (1, {'@': 163}), 47: (1, {'@': 163}), 48: (1, {'@': 163}), 31: (1, {'@': 163}), 49: (1, {'@': 163}), 6: (1, {'@': 163}), 50: (1, {'@': 163}), 12: (1, {'@': 163}), 51: (1, {'@': 163})}, 220: {29: (0, 289)}, 221: {23: (0, 41), 55: (0, 290)}, 222: {16: (1, {'@': 164}), 33: (1, {'@': 164}), 18: (1, {'@': 164}), 21: (1, {'@': 164}), 23: (1, {'@': 164}), 34: (1, {'@': 164}), 4: (1, {'@': 164}), 35: (1, {'@': 164}), 24: (1, {'@': 164}), 0: (1, {'@': 164}), 36: (1, {'@': 164}), 37: (1, {'@': 164}), 1: (1, {'@': 164}), 38: (1, {'@': 164}), 27: (1, {'@': 164}), 39: (1, {'@': 164}), 3: (1, {'@': 164}), 40: (1, {'@': 164}), 32: (1, {'@': 164}), 41: (1, {'@': 164}), 17: (1, {'@': 164}), 19: (1, {'@': 164}), 42: (1, {'@': 164}), 25: (1, {'@': 164}), 43: (1, {'@': 164}), 26: (1, {'@': 164}), 44: (1, {'@': 164}), 45: (1, {'@': 164}), 46: (1, {'@': 164}), 2: (1, {'@': 164}), 28: (1, {'@': 164}), 29: (1, {'@': 164}), 30: (1, {'@': 164}), 47: (1, {'@': 164}), 48: (1, {'@': 164}), 31: (1, {'@': 164}), 49: (1, {'@': 164}), 6: (1, {'@': 164}), 50: (1, {'@': 164}), 12: (1, {'@': 164}), 51: (1, {'@': 164})}, 223: {16: (1, {'@': 165}), 33: (1, {'@': 165}), 18: (1, {'@': 165}), 21: (1, {'@': 165}), 23: (1, {'@': 165}), 34: (1, {'@': 165}), 4: (1, {'@': 165}), 35: (1, {'@': 165}), 24: (1, {'@': 165}), 0: (1, {'@': 165}), 36: (1, {'@': 165}), 37: (1, {'@': 165}), 1: (1, {'@': 165}), 38: (1, {'@': 165}), 27: (1, {'@': 165}), 39: (1, {'@': 165}), 3: (1, {'@': 165}), 40: (1, {'@': 165}), 32: (1, {'@': 165}), 41: (1, {'@': 165}), 17: (1, {'@': 165}), 19: (1, {'@': 165}), 42: (1, {'@': 165}), 25: (1, {'@': 165}), 43: (1, {'@': 165}), 26: (1, {'@': 165}), 44: (1, {'@': 165}), 45: (1, {'@': 165}), 46: (1, {'@': 165}), 2: (1, {'@': 165}), 28: (1, {'@': 165}), 29: (1, {'@': 165}), 30: (1, {'@': 165}), 47: (1, {'@': 165}), 48: (1, {'@': 165}), 31: (1, {'@': 165}), 49: (1, {'@': 165}), 6: (1, {'@': 165}), 50: (1, {'@': 165}), 12: (1, {'@': 165}), 51: (1, {'@': 165})}, 224: {17: (0, 291)}, 225: {3: (0, 2), 76: (0, 80), 27: (0, 81), 14: (0, 292), 38: (0, 82), 77: (0, 83), 7: (0, 4), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 1: (0, 10), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 2: (0, 14), 17: (0, 293), 41: (0, 95), 35: (0, 96)}, 226: {16: (1, {'@': 166}), 33: (1, {'@': 166}), 18: (0, 296), 21: (1, {'@': 166}), 23: (1, {'@': 166}), 34: (0, 110), 4: (1, {'@': 166}), 35: (1, {'@': 166}), 24: (1, {'@': 166}), 0: (1, {'@': 166}), 36: (1, {'@': 166}), 37: (1, {'@': 166}), 1: (1, {'@': 166}), 38: (1, {'@': 166}), 27: (1, {'@': 166}), 39: (1, {'@': 166}), 3: (1, {'@': 166}), 40: (1, {'@': 166}), 32: (1, {'@': 166}), 41: (1, {'@': 166}), 17: (1, {'@': 166}), 19: (1, {'@': 166}), 42: (1, {'@': 166}), 25: (1, {'@': 166}), 43: (1, {'@': 166}), 26: (1, {'@': 166}), 44: (1, {'@': 166}), 45: (1, {'@': 166}), 46: (1, {'@': 166}), 2: (1, {'@': 166}), 28: (1, {'@': 166}), 29: (1, {'@': 166}), 30: (1, {'@': 166}), 47: (1, {'@': 166}), 48: (1, {'@': 166}), 31: (1, {'@': 166}), 49: (1, {'@': 166}), 6: (1, {'@': 166}), 50: (1, {'@': 166}), 12: (1, {'@': 166}), 51: (1, {'@': 166}), 90: (0, 294), 82: (0, 295), 83: (0, 297)}, 227: {1: (1, {'@': 167}), 2: (1, {'@': 167}), 3: (1, {'@': 167}), 29: (1, {'@': 167}), 24: (0, 298)}, 228: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (1, {'@': 168}), 7: (0, 4), 42: (0, 299), 24: (0, 300), 14: (0, 301)}, 229: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (1, {'@': 169}), 14: (0, 302), 7: (0, 4)}, 230: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (1, {'@': 170}), 18: (0, 34), 53: (0, 196), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 14: (0, 303), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 231: {29: (0, 304)}, 232: {16: (1, {'@': 171}), 33: (1, {'@': 171}), 18: (1, {'@': 171}), 21: (1, {'@': 171}), 23: (1, {'@': 171}), 34: (1, {'@': 171}), 4: (1, {'@': 171}), 35: (1, {'@': 171}), 24: (1, {'@': 171}), 0: (1, {'@': 171}), 36: (1, {'@': 171}), 37: (1, {'@': 171}), 1: (1, {'@': 171}), 38: (1, {'@': 171}), 27: (1, {'@': 171}), 39: (1, {'@': 171}), 3: (1, {'@': 171}), 40: (1, {'@': 171}), 32: (1, {'@': 171}), 41: (1, {'@': 171}), 17: (1, {'@': 171}), 19: (1, {'@': 171}), 42: (1, {'@': 171}), 25: (1, {'@': 171}), 43: (1, {'@': 171}), 26: (1, {'@': 171}), 44: (1, {'@': 171}), 45: (1, {'@': 171}), 46: (1, {'@': 171}), 2: (1, {'@': 171}), 28: (1, {'@': 171}), 29: (1, {'@': 171}), 30: (1, {'@': 171}), 47: (1, {'@': 171}), 48: (1, {'@': 171}), 31: (1, {'@': 171}), 49: (1, {'@': 171}), 6: (1, {'@': 171}), 50: (1, {'@': 171}), 12: (1, {'@': 171}), 51: (1, {'@': 171})}, 233: {3: (0, 2), 1: (0, 10), 14: (0, 305), 7: (0, 4), 2: (0, 14), 29: (0, 306)}, 234: {16: (1, {'@': 172}), 33: (1, {'@': 172}), 18: (1, {'@': 172}), 21: (1, {'@': 172}), 23: (1, {'@': 172}), 34: (1, {'@': 172}), 4: (1, {'@': 172}), 35: (1, {'@': 172}), 24: (1, {'@': 172}), 0: (1, {'@': 172}), 36: (1, {'@': 172}), 37: (1, {'@': 172}), 1: (1, {'@': 172}), 38: (1, {'@': 172}), 27: (1, {'@': 172}), 39: (1, {'@': 172}), 3: (1, {'@': 172}), 40: (1, {'@': 172}), 32: (1, {'@': 172}), 41: (1, {'@': 172}), 17: (1, {'@': 172}), 19: (1, {'@': 172}), 42: (1, {'@': 172}), 25: (1, {'@': 172}), 43: (1, {'@': 172}), 26: (1, {'@': 172}), 44: (1, {'@': 172}), 45: (1, {'@': 172}), 46: (1, {'@': 172}), 2: (1, {'@': 172}), 28: (1, {'@': 172}), 29: (1, {'@': 172}), 30: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 31: (1, {'@': 172}), 49: (1, {'@': 172}), 6: (1, {'@': 172}), 50: (1, {'@': 172}), 12: (1, {'@': 172}), 51: (1, {'@': 172})}, 235: {29: (0, 307)}, 236: {1: (1, {'@': 173}), 2: (1, {'@': 173}), 6: (1, {'@': 173}), 0: (1, {'@': 173}), 12: (1, {'@': 173}), 3: (1, {'@': 173}), 4: (1, {'@': 173})}, 237: {18: (0, 34), 53: (0, 272), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 14: (0, 308), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 17: (0, 309), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 238: {17: (0, 310)}, 239: {16: (1, {'@': 174}), 33: (1, {'@': 174}), 18: (1, {'@': 174}), 21: (1, {'@': 174}), 23: (1, {'@': 174}), 34: (1, {'@': 174}), 4: (1, {'@': 174}), 35: (1, {'@': 174}), 24: (1, {'@': 174}), 0: (1, {'@': 174}), 36: (1, {'@': 174}), 37: (1, {'@': 174}), 1: (1, {'@': 174}), 38: (1, {'@': 174}), 27: (1, {'@': 174}), 39: (1, {'@': 174}), 3: (1, {'@': 174}), 40: (1, {'@': 174}), 32: (1, {'@': 174}), 41: (1, {'@': 174}), 17: (1, {'@': 174}), 19: (1, {'@': 174}), 42: (1, {'@': 174}), 25: (1, {'@': 174}), 43: (1, {'@': 174}), 26: (1, {'@': 174}), 44: (1, {'@': 174}), 45: (1, {'@': 174}), 46: (1, {'@': 174}), 2: (1, {'@': 174}), 28: (1, {'@': 174}), 29: (1, {'@': 174}), 30: (1, {'@': 174}), 47: (1, {'@': 174}), 48: (1, {'@': 174}), 31: (1, {'@': 174}), 49: (1, {'@': 174}), 6: (1, {'@': 174}), 50: (1, {'@': 174}), 12: (1, {'@': 174}), 51: (1, {'@': 174})}, 240: {3: (0, 2), 1: (0, 10), 7: (0, 4), 24: (0, 311), 2: (0, 14), 14: (0, 312), 17: (0, 313)}, 241: {18: (0, 34), 53: (0, 269), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 14: (0, 314), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 17: (0, 315), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 242: {16: (1, {'@': 175}), 33: (1, {'@': 175}), 18: (1, {'@': 175}), 21: (1, {'@': 175}), 23: (1, {'@': 175}), 34: (1, {'@': 175}), 4: (1, {'@': 175}), 35: (1, {'@': 175}), 24: (1, {'@': 175}), 0: (1, {'@': 175}), 36: (1, {'@': 175}), 37: (1, {'@': 175}), 1: (1, {'@': 175}), 38: (1, {'@': 175}), 27: (1, {'@': 175}), 39: (1, {'@': 175}), 3: (1, {'@': 175}), 40: (1, {'@': 175}), 32: (1, {'@': 175}), 41: (1, {'@': 175}), 17: (1, {'@': 175}), 19: (1, {'@': 175}), 42: (1, {'@': 175}), 25: (1, {'@': 175}), 43: (1, {'@': 175}), 26: (1, {'@': 175}), 44: (1, {'@': 175}), 45: (1, {'@': 175}), 46: (1, {'@': 175}), 2: (1, {'@': 175}), 28: (1, {'@': 175}), 29: (1, {'@': 175}), 30: (1, {'@': 175}), 47: (1, {'@': 175}), 48: (1, {'@': 175}), 31: (1, {'@': 175}), 49: (1, {'@': 175}), 6: (1, {'@': 175}), 50: (1, {'@': 175}), 12: (1, {'@': 175}), 51: (1, {'@': 175})}, 243: {18: (0, 34), 53: (0, 276), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 17: (0, 316), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 244: {16: (1, {'@': 176}), 33: (1, {'@': 176}), 18: (1, {'@': 176}), 21: (1, {'@': 176}), 23: (1, {'@': 176}), 34: (1, {'@': 176}), 4: (1, {'@': 176}), 35: (1, {'@': 176}), 24: (1, {'@': 176}), 0: (1, {'@': 176}), 36: (1, {'@': 176}), 37: (1, {'@': 176}), 1: (1, {'@': 176}), 38: (1, {'@': 176}), 27: (1, {'@': 176}), 39: (1, {'@': 176}), 3: (1, {'@': 176}), 40: (1, {'@': 176}), 32: (1, {'@': 176}), 41: (1, {'@': 176}), 17: (1, {'@': 176}), 19: (1, {'@': 176}), 42: (1, {'@': 176}), 25: (1, {'@': 176}), 43: (1, {'@': 176}), 26: (1, {'@': 176}), 44: (1, {'@': 176}), 45: (1, {'@': 176}), 46: (1, {'@': 176}), 2: (1, {'@': 176}), 28: (1, {'@': 176}), 29: (1, {'@': 176}), 30: (1, {'@': 176}), 47: (1, {'@': 176}), 48: (1, {'@': 176}), 31: (1, {'@': 176}), 49: (1, {'@': 176}), 6: (1, {'@': 176}), 50: (1, {'@': 176}), 12: (1, {'@': 176}), 51: (1, {'@': 176})}, 245: {3: (0, 2), 1: (0, 10), 7: (0, 4), 89: (0, 317), 21: (0, 186), 2: (0, 14), 17: (0, 318), 14: (0, 319)}, 246: {16: (1, {'@': 177}), 33: (1, {'@': 177}), 18: (1, {'@': 177}), 21: (1, {'@': 177}), 23: (1, {'@': 177}), 34: (1, {'@': 177}), 4: (1, {'@': 177}), 35: (1, {'@': 177}), 24: (1, {'@': 177}), 0: (1, {'@': 177}), 36: (1, {'@': 177}), 37: (1, {'@': 177}), 1: (1, {'@': 177}), 38: (1, {'@': 177}), 27: (1, {'@': 177}), 39: (1, {'@': 177}), 3: (1, {'@': 177}), 40: (1, {'@': 177}), 32: (1, {'@': 177}), 41: (1, {'@': 177}), 17: (1, {'@': 177}), 19: (1, {'@': 177}), 42: (1, {'@': 177}), 25: (1, {'@': 177}), 43: (1, {'@': 177}), 26: (1, {'@': 177}), 44: (1, {'@': 177}), 45: (1, {'@': 177}), 46: (1, {'@': 177}), 2: (1, {'@': 177}), 28: (1, {'@': 177}), 29: (1, {'@': 177}), 30: (1, {'@': 177}), 47: (1, {'@': 177}), 48: (1, {'@': 177}), 31: (1, {'@': 177}), 49: (1, {'@': 177}), 6: (1, {'@': 177}), 50: (1, {'@': 177}), 12: (1, {'@': 177}), 51: (1, {'@': 177})}, 247: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 320), 2: (0, 14), 17: (0, 321)}, 248: {3: (0, 2), 76: (0, 80), 27: (0, 81), 17: (0, 322), 14: (0, 323), 89: (0, 324), 44: (0, 86), 51: (0, 88), 21: (0, 186), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 249: {3: (0, 2), 14: (0, 325), 7: (0, 4), 22: (0, 326), 1: (0, 10), 2: (0, 14)}, 250: {18: (0, 34), 53: (0, 327), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 328), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 251: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 47: (0, 329), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 35: (0, 96), 41: (0, 95)}, 252: {18: (0, 34), 53: (0, 330), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 253: {8: (0, 331), 6: (0, 3)}, 254: {18: (0, 34), 53: (0, 332), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 333), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 255: {22: (0, 334)}, 256: {16: (1, {'@': 178}), 33: (1, {'@': 178}), 18: (1, {'@': 178}), 21: (1, {'@': 178}), 23: (1, {'@': 178}), 34: (1, {'@': 178}), 4: (1, {'@': 178}), 35: (1, {'@': 178}), 24: (1, {'@': 178}), 0: (1, {'@': 178}), 36: (1, {'@': 178}), 37: (1, {'@': 178}), 1: (1, {'@': 178}), 38: (1, {'@': 178}), 27: (1, {'@': 178}), 39: (1, {'@': 178}), 3: (1, {'@': 178}), 40: (1, {'@': 178}), 32: (1, {'@': 178}), 41: (1, {'@': 178}), 17: (1, {'@': 178}), 19: (1, {'@': 178}), 42: (1, {'@': 178}), 25: (1, {'@': 178}), 43: (1, {'@': 178}), 26: (1, {'@': 178}), 44: (1, {'@': 178}), 45: (1, {'@': 178}), 46: (1, {'@': 178}), 2: (1, {'@': 178}), 28: (1, {'@': 178}), 29: (1, {'@': 178}), 30: (1, {'@': 178}), 47: (1, {'@': 178}), 48: (1, {'@': 178}), 31: (1, {'@': 178}), 49: (1, {'@': 178}), 6: (1, {'@': 178}), 50: (1, {'@': 178}), 12: (1, {'@': 178}), 51: (1, {'@': 178})}, 257: {17: (0, 335), 3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 336), 2: (0, 14)}, 258: {17: (0, 337)}, 259: {17: (1, {'@': 179}), 1: (1, {'@': 179}), 2: (1, {'@': 179}), 3: (1, {'@': 179}), 4: (1, {'@': 179}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 260: {18: (0, 34), 53: (0, 338), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 261: {17: (0, 339)}, 262: {16: (1, {'@': 180}), 33: (1, {'@': 180}), 18: (1, {'@': 180}), 21: (1, {'@': 180}), 23: (1, {'@': 180}), 34: (1, {'@': 180}), 4: (1, {'@': 180}), 35: (1, {'@': 180}), 24: (1, {'@': 180}), 0: (1, {'@': 180}), 36: (1, {'@': 180}), 37: (1, {'@': 180}), 1: (1, {'@': 180}), 38: (1, {'@': 180}), 27: (1, {'@': 180}), 39: (1, {'@': 180}), 3: (1, {'@': 180}), 40: (1, {'@': 180}), 32: (1, {'@': 180}), 41: (1, {'@': 180}), 17: (1, {'@': 180}), 19: (1, {'@': 180}), 42: (1, {'@': 180}), 25: (1, {'@': 180}), 43: (1, {'@': 180}), 26: (1, {'@': 180}), 44: (1, {'@': 180}), 45: (1, {'@': 180}), 46: (1, {'@': 180}), 2: (1, {'@': 180}), 28: (1, {'@': 180}), 29: (1, {'@': 180}), 30: (1, {'@': 180}), 47: (1, {'@': 180}), 48: (1, {'@': 180}), 31: (1, {'@': 180}), 49: (1, {'@': 180}), 6: (1, {'@': 180}), 50: (1, {'@': 180}), 12: (1, {'@': 180}), 51: (1, {'@': 180})}, 263: {3: (0, 2), 1: (0, 10), 7: (0, 4), 17: (0, 340), 2: (0, 14), 14: (0, 341)}, 264: {16: (1, {'@': 181}), 33: (1, {'@': 181}), 18: (1, {'@': 181}), 21: (1, {'@': 181}), 23: (1, {'@': 181}), 34: (1, {'@': 181}), 4: (1, {'@': 181}), 35: (1, {'@': 181}), 24: (1, {'@': 181}), 0: (1, {'@': 181}), 36: (1, {'@': 181}), 37: (1, {'@': 181}), 1: (1, {'@': 181}), 38: (1, {'@': 181}), 27: (1, {'@': 181}), 39: (1, {'@': 181}), 3: (1, {'@': 181}), 40: (1, {'@': 181}), 32: (1, {'@': 181}), 41: (1, {'@': 181}), 17: (1, {'@': 181}), 19: (1, {'@': 181}), 42: (1, {'@': 181}), 25: (1, {'@': 181}), 43: (1, {'@': 181}), 26: (1, {'@': 181}), 44: (1, {'@': 181}), 45: (1, {'@': 181}), 46: (1, {'@': 181}), 2: (1, {'@': 181}), 28: (1, {'@': 181}), 29: (1, {'@': 181}), 30: (1, {'@': 181}), 47: (1, {'@': 181}), 48: (1, {'@': 181}), 31: (1, {'@': 181}), 49: (1, {'@': 181}), 6: (1, {'@': 181}), 50: (1, {'@': 181}), 12: (1, {'@': 181}), 51: (1, {'@': 181})}, 265: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 342), 21: (0, 186), 17: (0, 343), 2: (0, 14), 89: (0, 344)}, 266: {16: (1, {'@': 182}), 33: (1, {'@': 182}), 18: (1, {'@': 182}), 21: (1, {'@': 182}), 23: (1, {'@': 182}), 34: (1, {'@': 182}), 4: (1, {'@': 182}), 35: (1, {'@': 182}), 24: (1, {'@': 182}), 0: (1, {'@': 182}), 36: (1, {'@': 182}), 37: (1, {'@': 182}), 1: (1, {'@': 182}), 38: (1, {'@': 182}), 27: (1, {'@': 182}), 39: (1, {'@': 182}), 3: (1, {'@': 182}), 40: (1, {'@': 182}), 32: (1, {'@': 182}), 41: (1, {'@': 182}), 17: (1, {'@': 182}), 19: (1, {'@': 182}), 42: (1, {'@': 182}), 25: (1, {'@': 182}), 43: (1, {'@': 182}), 26: (1, {'@': 182}), 44: (1, {'@': 182}), 45: (1, {'@': 182}), 46: (1, {'@': 182}), 2: (1, {'@': 182}), 28: (1, {'@': 182}), 29: (1, {'@': 182}), 30: (1, {'@': 182}), 47: (1, {'@': 182}), 48: (1, {'@': 182}), 31: (1, {'@': 182}), 49: (1, {'@': 182}), 6: (1, {'@': 182}), 50: (1, {'@': 182}), 12: (1, {'@': 182}), 51: (1, {'@': 182})}, 267: {17: (0, 345)}, 268: {18: (0, 34), 53: (0, 346), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 14: (0, 347), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 17: (0, 348), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 269: {17: (1, {'@': 183}), 24: (1, {'@': 183}), 1: (1, {'@': 183}), 2: (1, {'@': 183}), 29: (1, {'@': 183}), 3: (1, {'@': 183}), 42: (1, {'@': 183}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 270: {18: (0, 34), 53: (0, 349), 28: (0, 36), 54: (0, 37), 17: (0, 350), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 271: {16: (1, {'@': 184}), 33: (1, {'@': 184}), 18: (1, {'@': 184}), 21: (1, {'@': 184}), 23: (1, {'@': 184}), 34: (1, {'@': 184}), 4: (1, {'@': 184}), 35: (1, {'@': 184}), 24: (1, {'@': 184}), 0: (1, {'@': 184}), 36: (1, {'@': 184}), 37: (1, {'@': 184}), 1: (1, {'@': 184}), 38: (1, {'@': 184}), 27: (1, {'@': 184}), 39: (1, {'@': 184}), 3: (1, {'@': 184}), 40: (1, {'@': 184}), 32: (1, {'@': 184}), 41: (1, {'@': 184}), 17: (1, {'@': 184}), 19: (1, {'@': 184}), 42: (1, {'@': 184}), 25: (1, {'@': 184}), 43: (1, {'@': 184}), 26: (1, {'@': 184}), 44: (1, {'@': 184}), 45: (1, {'@': 184}), 46: (1, {'@': 184}), 2: (1, {'@': 184}), 28: (1, {'@': 184}), 29: (1, {'@': 184}), 30: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 31: (1, {'@': 184}), 49: (1, {'@': 184}), 6: (1, {'@': 184}), 50: (1, {'@': 184}), 12: (1, {'@': 184}), 51: (1, {'@': 184})}, 272: {17: (1, {'@': 185}), 24: (1, {'@': 185}), 1: (1, {'@': 185}), 2: (1, {'@': 185}), 29: (1, {'@': 185}), 3: (1, {'@': 185}), 42: (1, {'@': 185}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 273: {18: (0, 34), 53: (0, 351), 28: (0, 36), 54: (0, 37), 17: (0, 352), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 274: {16: (1, {'@': 186}), 33: (1, {'@': 186}), 18: (1, {'@': 186}), 21: (1, {'@': 186}), 23: (1, {'@': 186}), 34: (1, {'@': 186}), 4: (1, {'@': 186}), 35: (1, {'@': 186}), 24: (1, {'@': 186}), 0: (1, {'@': 186}), 36: (1, {'@': 186}), 37: (1, {'@': 186}), 1: (1, {'@': 186}), 38: (1, {'@': 186}), 27: (1, {'@': 186}), 39: (1, {'@': 186}), 3: (1, {'@': 186}), 40: (1, {'@': 186}), 32: (1, {'@': 186}), 41: (1, {'@': 186}), 17: (1, {'@': 186}), 19: (1, {'@': 186}), 42: (1, {'@': 186}), 25: (1, {'@': 186}), 43: (1, {'@': 186}), 26: (1, {'@': 186}), 44: (1, {'@': 186}), 45: (1, {'@': 186}), 46: (1, {'@': 186}), 2: (1, {'@': 186}), 28: (1, {'@': 186}), 29: (1, {'@': 186}), 30: (1, {'@': 186}), 47: (1, {'@': 186}), 48: (1, {'@': 186}), 31: (1, {'@': 186}), 49: (1, {'@': 186}), 6: (1, {'@': 186}), 50: (1, {'@': 186}), 12: (1, {'@': 186}), 51: (1, {'@': 186})}, 275: {16: (1, {'@': 187}), 33: (1, {'@': 187}), 18: (1, {'@': 187}), 21: (1, {'@': 187}), 23: (1, {'@': 187}), 34: (1, {'@': 187}), 4: (1, {'@': 187}), 35: (1, {'@': 187}), 24: (1, {'@': 187}), 0: (1, {'@': 187}), 36: (1, {'@': 187}), 37: (1, {'@': 187}), 1: (1, {'@': 187}), 38: (1, {'@': 187}), 27: (1, {'@': 187}), 39: (1, {'@': 187}), 3: (1, {'@': 187}), 40: (1, {'@': 187}), 32: (1, {'@': 187}), 41: (1, {'@': 187}), 17: (1, {'@': 187}), 19: (1, {'@': 187}), 42: (1, {'@': 187}), 25: (1, {'@': 187}), 43: (1, {'@': 187}), 26: (1, {'@': 187}), 44: (1, {'@': 187}), 45: (1, {'@': 187}), 46: (1, {'@': 187}), 2: (1, {'@': 187}), 28: (1, {'@': 187}), 29: (1, {'@': 187}), 30: (1, {'@': 187}), 47: (1, {'@': 187}), 48: (1, {'@': 187}), 31: (1, {'@': 187}), 49: (1, {'@': 187}), 6: (1, {'@': 187}), 50: (1, {'@': 187}), 12: (1, {'@': 187}), 51: (1, {'@': 187})}, 276: {17: (1, {'@': 188}), 24: (1, {'@': 188}), 1: (1, {'@': 188}), 2: (1, {'@': 188}), 29: (1, {'@': 188}), 3: (1, {'@': 188}), 42: (1, {'@': 188}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 277: {16: (1, {'@': 189}), 33: (1, {'@': 189}), 18: (1, {'@': 189}), 21: (1, {'@': 189}), 23: (1, {'@': 189}), 34: (1, {'@': 189}), 4: (1, {'@': 189}), 35: (1, {'@': 189}), 24: (1, {'@': 189}), 0: (1, {'@': 189}), 36: (1, {'@': 189}), 37: (1, {'@': 189}), 1: (1, {'@': 189}), 38: (1, {'@': 189}), 27: (1, {'@': 189}), 39: (1, {'@': 189}), 3: (1, {'@': 189}), 40: (1, {'@': 189}), 32: (1, {'@': 189}), 41: (1, {'@': 189}), 17: (1, {'@': 189}), 19: (1, {'@': 189}), 42: (1, {'@': 189}), 25: (1, {'@': 189}), 43: (1, {'@': 189}), 26: (1, {'@': 189}), 44: (1, {'@': 189}), 45: (1, {'@': 189}), 46: (1, {'@': 189}), 2: (1, {'@': 189}), 28: (1, {'@': 189}), 29: (1, {'@': 189}), 30: (1, {'@': 189}), 47: (1, {'@': 189}), 48: (1, {'@': 189}), 31: (1, {'@': 189}), 49: (1, {'@': 189}), 6: (1, {'@': 189}), 50: (1, {'@': 189}), 12: (1, {'@': 189}), 51: (1, {'@': 189})}, 278: {16: (1, {'@': 190}), 33: (0, 84), 18: (1, {'@': 190}), 21: (1, {'@': 190}), 23: (1, {'@': 190}), 4: (1, {'@': 190}), 35: (0, 96), 24: (1, {'@': 190}), 0: (1, {'@': 190}), 36: (0, 87), 37: (1, {'@': 190}), 1: (1, {'@': 190}), 38: (0, 82), 27: (0, 81), 39: (0, 93), 3: (1, {'@': 190}), 32: (1, {'@': 190}), 41: (0, 95), 17: (1, {'@': 190}), 19: (1, {'@': 190}), 42: (1, {'@': 190}), 25: (1, {'@': 190}), 43: (0, 92), 26: (1, {'@': 190}), 44: (0, 86), 45: (0, 89), 46: (0, 90), 2: (1, {'@': 190}), 28: (1, {'@': 190}), 29: (1, {'@': 190}), 30: (1, {'@': 190}), 47: (1, {'@': 190}), 48: (0, 94), 31: (1, {'@': 190}), 49: (0, 85), 6: (1, {'@': 190}), 50: (1, {'@': 190}), 12: (1, {'@': 190}), 51: (0, 88), 76: (0, 80), 77: (0, 83)}, 279: {18: (0, 34), 53: (0, 353), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 280: {16: (1, {'@': 191}), 33: (1, {'@': 191}), 18: (1, {'@': 191}), 21: (1, {'@': 191}), 23: (1, {'@': 191}), 34: (1, {'@': 191}), 4: (1, {'@': 191}), 35: (1, {'@': 191}), 24: (1, {'@': 191}), 0: (1, {'@': 191}), 36: (1, {'@': 191}), 37: (1, {'@': 191}), 1: (1, {'@': 191}), 38: (1, {'@': 191}), 27: (1, {'@': 191}), 39: (1, {'@': 191}), 3: (1, {'@': 191}), 40: (1, {'@': 191}), 32: (1, {'@': 191}), 41: (1, {'@': 191}), 17: (1, {'@': 191}), 19: (1, {'@': 191}), 42: (1, {'@': 191}), 25: (1, {'@': 191}), 43: (1, {'@': 191}), 26: (1, {'@': 191}), 44: (1, {'@': 191}), 45: (1, {'@': 191}), 46: (1, {'@': 191}), 2: (1, {'@': 191}), 28: (1, {'@': 191}), 29: (1, {'@': 191}), 30: (1, {'@': 191}), 47: (1, {'@': 191}), 48: (1, {'@': 191}), 31: (1, {'@': 191}), 49: (1, {'@': 191}), 6: (1, {'@': 191}), 50: (1, {'@': 191}), 12: (1, {'@': 191}), 51: (1, {'@': 191})}, 281: {24: (1, {'@': 192}), 1: (1, {'@': 192}), 2: (1, {'@': 192}), 3: (1, {'@': 192}), 4: (1, {'@': 192})}, 282: {3: (0, 2), 76: (0, 80), 89: (0, 354), 42: (0, 355), 27: (0, 81), 4: (0, 356), 14: (0, 357), 44: (0, 86), 51: (0, 88), 21: (0, 186), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 283: {18: (0, 34), 53: (0, 358), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 284: {16: (1, {'@': 193}), 33: (1, {'@': 193}), 18: (1, {'@': 193}), 21: (1, {'@': 193}), 23: (1, {'@': 193}), 34: (1, {'@': 193}), 4: (1, {'@': 193}), 35: (1, {'@': 193}), 24: (1, {'@': 193}), 0: (1, {'@': 193}), 36: (1, {'@': 193}), 37: (1, {'@': 193}), 1: (1, {'@': 193}), 38: (1, {'@': 193}), 27: (1, {'@': 193}), 39: (1, {'@': 193}), 3: (1, {'@': 193}), 40: (1, {'@': 193}), 32: (1, {'@': 193}), 41: (1, {'@': 193}), 17: (1, {'@': 193}), 19: (1, {'@': 193}), 42: (1, {'@': 193}), 25: (1, {'@': 193}), 43: (1, {'@': 193}), 26: (1, {'@': 193}), 44: (1, {'@': 193}), 45: (1, {'@': 193}), 46: (1, {'@': 193}), 2: (1, {'@': 193}), 28: (1, {'@': 193}), 29: (1, {'@': 193}), 30: (1, {'@': 193}), 47: (1, {'@': 193}), 48: (1, {'@': 193}), 31: (1, {'@': 193}), 49: (1, {'@': 193}), 6: (1, {'@': 193}), 50: (1, {'@': 193}), 12: (1, {'@': 193}), 51: (1, {'@': 193})}, 285: {18: (0, 34), 53: (0, 99), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 8: (0, 101), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 58: (0, 47), 59: (0, 48), 6: (0, 3), 4: (0, 359), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 78: (0, 281), 73: (0, 67), 74: (0, 68)}, 286: {16: (1, {'@': 194}), 33: (1, {'@': 194}), 18: (1, {'@': 194}), 21: (1, {'@': 194}), 23: (1, {'@': 194}), 34: (1, {'@': 194}), 4: (1, {'@': 194}), 35: (1, {'@': 194}), 24: (1, {'@': 194}), 0: (1, {'@': 194}), 36: (1, {'@': 194}), 37: (1, {'@': 194}), 1: (1, {'@': 194}), 38: (1, {'@': 194}), 27: (1, {'@': 194}), 39: (1, {'@': 194}), 3: (1, {'@': 194}), 40: (1, {'@': 194}), 32: (1, {'@': 194}), 41: (1, {'@': 194}), 17: (1, {'@': 194}), 19: (1, {'@': 194}), 42: (1, {'@': 194}), 25: (1, {'@': 194}), 43: (1, {'@': 194}), 26: (1, {'@': 194}), 44: (1, {'@': 194}), 45: (1, {'@': 194}), 46: (1, {'@': 194}), 2: (1, {'@': 194}), 28: (1, {'@': 194}), 29: (1, {'@': 194}), 30: (1, {'@': 194}), 47: (1, {'@': 194}), 48: (1, {'@': 194}), 31: (1, {'@': 194}), 49: (1, {'@': 194}), 6: (1, {'@': 194}), 50: (1, {'@': 194}), 12: (1, {'@': 194}), 51: (1, {'@': 194})}, 287: {1: (1, {'@': 167}), 2: (1, {'@': 167}), 3: (1, {'@': 167}), 29: (0, 218), 24: (0, 298)}, 288: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (0, 219), 76: (0, 80), 27: (0, 81), 14: (0, 360), 84: (0, 228), 42: (0, 229), 44: (0, 86), 51: (0, 88), 7: (0, 4), 43: (0, 92), 48: (0, 94), 41: (0, 95), 77: (0, 83), 38: (0, 82), 24: (0, 230), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 289: {16: (1, {'@': 195}), 33: (1, {'@': 195}), 18: (1, {'@': 195}), 21: (1, {'@': 195}), 23: (1, {'@': 195}), 34: (1, {'@': 195}), 4: (1, {'@': 195}), 35: (1, {'@': 195}), 24: (1, {'@': 195}), 0: (1, {'@': 195}), 36: (1, {'@': 195}), 37: (1, {'@': 195}), 1: (1, {'@': 195}), 38: (1, {'@': 195}), 27: (1, {'@': 195}), 39: (1, {'@': 195}), 3: (1, {'@': 195}), 40: (1, {'@': 195}), 32: (1, {'@': 195}), 41: (1, {'@': 195}), 17: (1, {'@': 195}), 19: (1, {'@': 195}), 42: (1, {'@': 195}), 25: (1, {'@': 195}), 43: (1, {'@': 195}), 26: (1, {'@': 195}), 44: (1, {'@': 195}), 45: (1, {'@': 195}), 46: (1, {'@': 195}), 2: (1, {'@': 195}), 28: (1, {'@': 195}), 29: (1, {'@': 195}), 30: (1, {'@': 195}), 47: (1, {'@': 195}), 48: (1, {'@': 195}), 31: (1, {'@': 195}), 49: (1, {'@': 195}), 6: (1, {'@': 195}), 50: (1, {'@': 195}), 12: (1, {'@': 195}), 51: (1, {'@': 195})}, 290: {16: (1, {'@': 196}), 33: (1, {'@': 196}), 18: (1, {'@': 196}), 21: (1, {'@': 196}), 23: (0, 106), 34: (1, {'@': 196}), 4: (1, {'@': 196}), 35: (1, {'@': 196}), 24: (1, {'@': 196}), 0: (1, {'@': 196}), 36: (1, {'@': 196}), 37: (1, {'@': 196}), 1: (1, {'@': 196}), 38: (1, {'@': 196}), 27: (1, {'@': 196}), 39: (1, {'@': 196}), 3: (1, {'@': 196}), 40: (1, {'@': 196}), 32: (1, {'@': 196}), 41: (1, {'@': 196}), 17: (1, {'@': 196}), 19: (1, {'@': 196}), 42: (1, {'@': 196}), 25: (1, {'@': 196}), 43: (1, {'@': 196}), 26: (1, {'@': 196}), 44: (1, {'@': 196}), 45: (1, {'@': 196}), 46: (1, {'@': 196}), 2: (1, {'@': 196}), 28: (1, {'@': 196}), 29: (1, {'@': 196}), 30: (1, {'@': 196}), 47: (1, {'@': 196}), 48: (1, {'@': 196}), 31: (1, {'@': 196}), 49: (1, {'@': 196}), 6: (1, {'@': 196}), 50: (1, {'@': 196}), 12: (1, {'@': 196}), 51: (1, {'@': 196})}, 291: {16: (1, {'@': 197}), 33: (1, {'@': 197}), 18: (1, {'@': 197}), 21: (1, {'@': 197}), 23: (1, {'@': 197}), 34: (1, {'@': 197}), 4: (1, {'@': 197}), 35: (1, {'@': 197}), 24: (1, {'@': 197}), 0: (1, {'@': 197}), 36: (1, {'@': 197}), 37: (1, {'@': 197}), 1: (1, {'@': 197}), 38: (1, {'@': 197}), 27: (1, {'@': 197}), 39: (1, {'@': 197}), 3: (1, {'@': 197}), 40: (1, {'@': 197}), 32: (1, {'@': 197}), 41: (1, {'@': 197}), 17: (1, {'@': 197}), 19: (1, {'@': 197}), 42: (1, {'@': 197}), 25: (1, {'@': 197}), 43: (1, {'@': 197}), 26: (1, {'@': 197}), 44: (1, {'@': 197}), 45: (1, {'@': 197}), 46: (1, {'@': 197}), 2: (1, {'@': 197}), 28: (1, {'@': 197}), 29: (1, {'@': 197}), 30: (1, {'@': 197}), 47: (1, {'@': 197}), 48: (1, {'@': 197}), 31: (1, {'@': 197}), 49: (1, {'@': 197}), 6: (1, {'@': 197}), 50: (1, {'@': 197}), 12: (1, {'@': 197}), 51: (1, {'@': 197})}, 292: {17: (0, 361)}, 293: {16: (1, {'@': 198}), 33: (1, {'@': 198}), 18: (1, {'@': 198}), 21: (1, {'@': 198}), 23: (1, {'@': 198}), 34: (1, {'@': 198}), 4: (1, {'@': 198}), 35: (1, {'@': 198}), 24: (1, {'@': 198}), 0: (1, {'@': 198}), 36: (1, {'@': 198}), 37: (1, {'@': 198}), 1: (1, {'@': 198}), 38: (1, {'@': 198}), 27: (1, {'@': 198}), 39: (1, {'@': 198}), 3: (1, {'@': 198}), 40: (1, {'@': 198}), 32: (1, {'@': 198}), 41: (1, {'@': 198}), 17: (1, {'@': 198}), 19: (1, {'@': 198}), 42: (1, {'@': 198}), 25: (1, {'@': 198}), 43: (1, {'@': 198}), 26: (1, {'@': 198}), 44: (1, {'@': 198}), 45: (1, {'@': 198}), 46: (1, {'@': 198}), 2: (1, {'@': 198}), 28: (1, {'@': 198}), 29: (1, {'@': 198}), 30: (1, {'@': 198}), 47: (1, {'@': 198}), 48: (1, {'@': 198}), 31: (1, {'@': 198}), 49: (1, {'@': 198}), 6: (1, {'@': 198}), 50: (1, {'@': 198}), 12: (1, {'@': 198}), 51: (1, {'@': 198})}, 294: {16: (1, {'@': 199}), 33: (1, {'@': 199}), 18: (0, 296), 21: (1, {'@': 199}), 23: (1, {'@': 199}), 34: (0, 110), 4: (1, {'@': 199}), 35: (1, {'@': 199}), 24: (1, {'@': 199}), 0: (1, {'@': 199}), 36: (1, {'@': 199}), 37: (1, {'@': 199}), 1: (1, {'@': 199}), 38: (1, {'@': 199}), 27: (1, {'@': 199}), 39: (1, {'@': 199}), 3: (1, {'@': 199}), 40: (1, {'@': 199}), 32: (1, {'@': 199}), 41: (1, {'@': 199}), 17: (1, {'@': 199}), 19: (1, {'@': 199}), 42: (1, {'@': 199}), 25: (1, {'@': 199}), 43: (1, {'@': 199}), 26: (1, {'@': 199}), 44: (1, {'@': 199}), 45: (1, {'@': 199}), 46: (1, {'@': 199}), 2: (1, {'@': 199}), 28: (1, {'@': 199}), 29: (1, {'@': 199}), 30: (1, {'@': 199}), 47: (1, {'@': 199}), 48: (1, {'@': 199}), 31: (1, {'@': 199}), 49: (1, {'@': 199}), 6: (1, {'@': 199}), 50: (1, {'@': 199}), 12: (1, {'@': 199}), 51: (1, {'@': 199}), 82: (0, 362), 83: (0, 363)}, 295: {16: (1, {'@': 200}), 33: (1, {'@': 200}), 18: (1, {'@': 200}), 21: (1, {'@': 200}), 23: (1, {'@': 200}), 34: (1, {'@': 200}), 4: (1, {'@': 200}), 35: (1, {'@': 200}), 24: (1, {'@': 200}), 0: (1, {'@': 200}), 36: (1, {'@': 200}), 37: (1, {'@': 200}), 1: (1, {'@': 200}), 38: (1, {'@': 200}), 27: (1, {'@': 200}), 39: (1, {'@': 200}), 3: (1, {'@': 200}), 40: (1, {'@': 200}), 32: (1, {'@': 200}), 41: (1, {'@': 200}), 17: (1, {'@': 200}), 19: (1, {'@': 200}), 42: (1, {'@': 200}), 25: (1, {'@': 200}), 43: (1, {'@': 200}), 26: (1, {'@': 200}), 44: (1, {'@': 200}), 45: (1, {'@': 200}), 46: (1, {'@': 200}), 2: (1, {'@': 200}), 28: (1, {'@': 200}), 29: (1, {'@': 200}), 30: (1, {'@': 200}), 47: (1, {'@': 200}), 48: (1, {'@': 200}), 31: (1, {'@': 200}), 49: (1, {'@': 200}), 6: (1, {'@': 200}), 50: (1, {'@': 200}), 12: (1, {'@': 200}), 51: (1, {'@': 200})}, 296: {18: (0, 34), 53: (0, 165), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 14: (0, 166), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 297: {16: (1, {'@': 201}), 33: (1, {'@': 201}), 18: (1, {'@': 201}), 21: (1, {'@': 201}), 23: (1, {'@': 201}), 34: (1, {'@': 201}), 4: (1, {'@': 201}), 35: (1, {'@': 201}), 24: (1, {'@': 201}), 0: (1, {'@': 201}), 36: (1, {'@': 201}), 37: (1, {'@': 201}), 1: (1, {'@': 201}), 38: (1, {'@': 201}), 27: (1, {'@': 201}), 39: (1, {'@': 201}), 3: (1, {'@': 201}), 40: (1, {'@': 201}), 32: (1, {'@': 201}), 41: (1, {'@': 201}), 17: (1, {'@': 201}), 19: (1, {'@': 201}), 42: (1, {'@': 201}), 25: (1, {'@': 201}), 43: (1, {'@': 201}), 26: (1, {'@': 201}), 44: (1, {'@': 201}), 45: (1, {'@': 201}), 46: (1, {'@': 201}), 2: (1, {'@': 201}), 28: (1, {'@': 201}), 29: (1, {'@': 201}), 30: (1, {'@': 201}), 47: (1, {'@': 201}), 48: (1, {'@': 201}), 31: (1, {'@': 201}), 49: (1, {'@': 201}), 6: (1, {'@': 201}), 50: (1, {'@': 201}), 12: (1, {'@': 201}), 51: (1, {'@': 201})}, 298: {18: (0, 34), 53: (0, 272), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 14: (0, 364), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 299: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (1, {'@': 202}), 7: (0, 4), 14: (0, 365)}, 300: {1: (0, 10), 2: (0, 14), 3: (0, 2), 29: (1, {'@': 203}), 18: (0, 34), 53: (0, 269), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 14: (0, 366), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 301: {1: (1, {'@': 204}), 2: (1, {'@': 204}), 3: (1, {'@': 204}), 29: (1, {'@': 204}), 24: (0, 367)}, 302: {1: (1, {'@': 205}), 2: (1, {'@': 205}), 3: (1, {'@': 205}), 29: (1, {'@': 205})}, 303: {1: (1, {'@': 206}), 2: (1, {'@': 206}), 3: (1, {'@': 206}), 29: (1, {'@': 206}), 18: (0, 34), 53: (0, 276), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 304: {16: (1, {'@': 207}), 33: (1, {'@': 207}), 18: (1, {'@': 207}), 21: (1, {'@': 207}), 23: (1, {'@': 207}), 34: (1, {'@': 207}), 4: (1, {'@': 207}), 35: (1, {'@': 207}), 24: (1, {'@': 207}), 0: (1, {'@': 207}), 36: (1, {'@': 207}), 37: (1, {'@': 207}), 1: (1, {'@': 207}), 38: (1, {'@': 207}), 27: (1, {'@': 207}), 39: (1, {'@': 207}), 3: (1, {'@': 207}), 40: (1, {'@': 207}), 32: (1, {'@': 207}), 41: (1, {'@': 207}), 17: (1, {'@': 207}), 19: (1, {'@': 207}), 42: (1, {'@': 207}), 25: (1, {'@': 207}), 43: (1, {'@': 207}), 26: (1, {'@': 207}), 44: (1, {'@': 207}), 45: (1, {'@': 207}), 46: (1, {'@': 207}), 2: (1, {'@': 207}), 28: (1, {'@': 207}), 29: (1, {'@': 207}), 30: (1, {'@': 207}), 47: (1, {'@': 207}), 48: (1, {'@': 207}), 31: (1, {'@': 207}), 49: (1, {'@': 207}), 6: (1, {'@': 207}), 50: (1, {'@': 207}), 12: (1, {'@': 207}), 51: (1, {'@': 207})}, 305: {29: (0, 368)}, 306: {16: (1, {'@': 208}), 33: (1, {'@': 208}), 18: (1, {'@': 208}), 21: (1, {'@': 208}), 23: (1, {'@': 208}), 34: (1, {'@': 208}), 4: (1, {'@': 208}), 35: (1, {'@': 208}), 24: (1, {'@': 208}), 0: (1, {'@': 208}), 36: (1, {'@': 208}), 37: (1, {'@': 208}), 1: (1, {'@': 208}), 38: (1, {'@': 208}), 27: (1, {'@': 208}), 39: (1, {'@': 208}), 3: (1, {'@': 208}), 40: (1, {'@': 208}), 32: (1, {'@': 208}), 41: (1, {'@': 208}), 17: (1, {'@': 208}), 19: (1, {'@': 208}), 42: (1, {'@': 208}), 25: (1, {'@': 208}), 43: (1, {'@': 208}), 26: (1, {'@': 208}), 44: (1, {'@': 208}), 45: (1, {'@': 208}), 46: (1, {'@': 208}), 2: (1, {'@': 208}), 28: (1, {'@': 208}), 29: (1, {'@': 208}), 30: (1, {'@': 208}), 47: (1, {'@': 208}), 48: (1, {'@': 208}), 31: (1, {'@': 208}), 49: (1, {'@': 208}), 6: (1, {'@': 208}), 50: (1, {'@': 208}), 12: (1, {'@': 208}), 51: (1, {'@': 208})}, 307: {16: (1, {'@': 209}), 33: (1, {'@': 209}), 18: (1, {'@': 209}), 21: (1, {'@': 209}), 23: (1, {'@': 209}), 34: (1, {'@': 209}), 4: (1, {'@': 209}), 35: (1, {'@': 209}), 24: (1, {'@': 209}), 0: (1, {'@': 209}), 36: (1, {'@': 209}), 37: (1, {'@': 209}), 1: (1, {'@': 209}), 38: (1, {'@': 209}), 27: (1, {'@': 209}), 39: (1, {'@': 209}), 3: (1, {'@': 209}), 40: (1, {'@': 209}), 32: (1, {'@': 209}), 41: (1, {'@': 209}), 17: (1, {'@': 209}), 19: (1, {'@': 209}), 42: (1, {'@': 209}), 25: (1, {'@': 209}), 43: (1, {'@': 209}), 26: (1, {'@': 209}), 44: (1, {'@': 209}), 45: (1, {'@': 209}), 46: (1, {'@': 209}), 2: (1, {'@': 209}), 28: (1, {'@': 209}), 29: (1, {'@': 209}), 30: (1, {'@': 209}), 47: (1, {'@': 209}), 48: (1, {'@': 209}), 31: (1, {'@': 209}), 49: (1, {'@': 209}), 6: (1, {'@': 209}), 50: (1, {'@': 209}), 12: (1, {'@': 209}), 51: (1, {'@': 209})}, 308: {18: (0, 34), 53: (0, 351), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 17: (0, 369), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 309: {16: (1, {'@': 210}), 33: (1, {'@': 210}), 18: (1, {'@': 210}), 21: (1, {'@': 210}), 23: (1, {'@': 210}), 34: (1, {'@': 210}), 4: (1, {'@': 210}), 35: (1, {'@': 210}), 24: (1, {'@': 210}), 0: (1, {'@': 210}), 36: (1, {'@': 210}), 37: (1, {'@': 210}), 1: (1, {'@': 210}), 38: (1, {'@': 210}), 27: (1, {'@': 210}), 39: (1, {'@': 210}), 3: (1, {'@': 210}), 40: (1, {'@': 210}), 32: (1, {'@': 210}), 41: (1, {'@': 210}), 17: (1, {'@': 210}), 19: (1, {'@': 210}), 42: (1, {'@': 210}), 25: (1, {'@': 210}), 43: (1, {'@': 210}), 26: (1, {'@': 210}), 44: (1, {'@': 210}), 45: (1, {'@': 210}), 46: (1, {'@': 210}), 2: (1, {'@': 210}), 28: (1, {'@': 210}), 29: (1, {'@': 210}), 30: (1, {'@': 210}), 47: (1, {'@': 210}), 48: (1, {'@': 210}), 31: (1, {'@': 210}), 49: (1, {'@': 210}), 6: (1, {'@': 210}), 50: (1, {'@': 210}), 12: (1, {'@': 210}), 51: (1, {'@': 210})}, 310: {16: (1, {'@': 211}), 33: (1, {'@': 211}), 18: (1, {'@': 211}), 21: (1, {'@': 211}), 23: (1, {'@': 211}), 34: (1, {'@': 211}), 4: (1, {'@': 211}), 35: (1, {'@': 211}), 24: (1, {'@': 211}), 0: (1, {'@': 211}), 36: (1, {'@': 211}), 37: (1, {'@': 211}), 1: (1, {'@': 211}), 38: (1, {'@': 211}), 27: (1, {'@': 211}), 39: (1, {'@': 211}), 3: (1, {'@': 211}), 40: (1, {'@': 211}), 32: (1, {'@': 211}), 41: (1, {'@': 211}), 17: (1, {'@': 211}), 19: (1, {'@': 211}), 42: (1, {'@': 211}), 25: (1, {'@': 211}), 43: (1, {'@': 211}), 26: (1, {'@': 211}), 44: (1, {'@': 211}), 45: (1, {'@': 211}), 46: (1, {'@': 211}), 2: (1, {'@': 211}), 28: (1, {'@': 211}), 29: (1, {'@': 211}), 30: (1, {'@': 211}), 47: (1, {'@': 211}), 48: (1, {'@': 211}), 31: (1, {'@': 211}), 49: (1, {'@': 211}), 6: (1, {'@': 211}), 50: (1, {'@': 211}), 12: (1, {'@': 211}), 51: (1, {'@': 211})}, 311: {17: (0, 370), 18: (0, 34), 53: (0, 346), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 14: (0, 371), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 312: {17: (0, 372)}, 313: {16: (1, {'@': 212}), 33: (1, {'@': 212}), 18: (1, {'@': 212}), 21: (1, {'@': 212}), 23: (1, {'@': 212}), 34: (1, {'@': 212}), 4: (1, {'@': 212}), 35: (1, {'@': 212}), 24: (1, {'@': 212}), 0: (1, {'@': 212}), 36: (1, {'@': 212}), 37: (1, {'@': 212}), 1: (1, {'@': 212}), 38: (1, {'@': 212}), 27: (1, {'@': 212}), 39: (1, {'@': 212}), 3: (1, {'@': 212}), 40: (1, {'@': 212}), 32: (1, {'@': 212}), 41: (1, {'@': 212}), 17: (1, {'@': 212}), 19: (1, {'@': 212}), 42: (1, {'@': 212}), 25: (1, {'@': 212}), 43: (1, {'@': 212}), 26: (1, {'@': 212}), 44: (1, {'@': 212}), 45: (1, {'@': 212}), 46: (1, {'@': 212}), 2: (1, {'@': 212}), 28: (1, {'@': 212}), 29: (1, {'@': 212}), 30: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 31: (1, {'@': 212}), 49: (1, {'@': 212}), 6: (1, {'@': 212}), 50: (1, {'@': 212}), 12: (1, {'@': 212}), 51: (1, {'@': 212})}, 314: {18: (0, 34), 53: (0, 349), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 17: (0, 373), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 315: {16: (1, {'@': 213}), 33: (1, {'@': 213}), 18: (1, {'@': 213}), 21: (1, {'@': 213}), 23: (1, {'@': 213}), 34: (1, {'@': 213}), 4: (1, {'@': 213}), 35: (1, {'@': 213}), 24: (1, {'@': 213}), 0: (1, {'@': 213}), 36: (1, {'@': 213}), 37: (1, {'@': 213}), 1: (1, {'@': 213}), 38: (1, {'@': 213}), 27: (1, {'@': 213}), 39: (1, {'@': 213}), 3: (1, {'@': 213}), 40: (1, {'@': 213}), 32: (1, {'@': 213}), 41: (1, {'@': 213}), 17: (1, {'@': 213}), 19: (1, {'@': 213}), 42: (1, {'@': 213}), 25: (1, {'@': 213}), 43: (1, {'@': 213}), 26: (1, {'@': 213}), 44: (1, {'@': 213}), 45: (1, {'@': 213}), 46: (1, {'@': 213}), 2: (1, {'@': 213}), 28: (1, {'@': 213}), 29: (1, {'@': 213}), 30: (1, {'@': 213}), 47: (1, {'@': 213}), 48: (1, {'@': 213}), 31: (1, {'@': 213}), 49: (1, {'@': 213}), 6: (1, {'@': 213}), 50: (1, {'@': 213}), 12: (1, {'@': 213}), 51: (1, {'@': 213})}, 316: {16: (1, {'@': 214}), 33: (1, {'@': 214}), 18: (1, {'@': 214}), 21: (1, {'@': 214}), 23: (1, {'@': 214}), 34: (1, {'@': 214}), 4: (1, {'@': 214}), 35: (1, {'@': 214}), 24: (1, {'@': 214}), 0: (1, {'@': 214}), 36: (1, {'@': 214}), 37: (1, {'@': 214}), 1: (1, {'@': 214}), 38: (1, {'@': 214}), 27: (1, {'@': 214}), 39: (1, {'@': 214}), 3: (1, {'@': 214}), 40: (1, {'@': 214}), 32: (1, {'@': 214}), 41: (1, {'@': 214}), 17: (1, {'@': 214}), 19: (1, {'@': 214}), 42: (1, {'@': 214}), 25: (1, {'@': 214}), 43: (1, {'@': 214}), 26: (1, {'@': 214}), 44: (1, {'@': 214}), 45: (1, {'@': 214}), 46: (1, {'@': 214}), 2: (1, {'@': 214}), 28: (1, {'@': 214}), 29: (1, {'@': 214}), 30: (1, {'@': 214}), 47: (1, {'@': 214}), 48: (1, {'@': 214}), 31: (1, {'@': 214}), 49: (1, {'@': 214}), 6: (1, {'@': 214}), 50: (1, {'@': 214}), 12: (1, {'@': 214}), 51: (1, {'@': 214})}, 317: {14: (0, 374), 3: (0, 2), 1: (0, 10), 7: (0, 4), 17: (0, 375), 2: (0, 14)}, 318: {16: (1, {'@': 215}), 33: (1, {'@': 215}), 18: (1, {'@': 215}), 21: (1, {'@': 215}), 23: (1, {'@': 215}), 34: (1, {'@': 215}), 4: (1, {'@': 215}), 35: (1, {'@': 215}), 24: (1, {'@': 215}), 0: (1, {'@': 215}), 36: (1, {'@': 215}), 37: (1, {'@': 215}), 1: (1, {'@': 215}), 38: (1, {'@': 215}), 27: (1, {'@': 215}), 39: (1, {'@': 215}), 3: (1, {'@': 215}), 40: (1, {'@': 215}), 32: (1, {'@': 215}), 41: (1, {'@': 215}), 17: (1, {'@': 215}), 19: (1, {'@': 215}), 42: (1, {'@': 215}), 25: (1, {'@': 215}), 43: (1, {'@': 215}), 26: (1, {'@': 215}), 44: (1, {'@': 215}), 45: (1, {'@': 215}), 46: (1, {'@': 215}), 2: (1, {'@': 215}), 28: (1, {'@': 215}), 29: (1, {'@': 215}), 30: (1, {'@': 215}), 47: (1, {'@': 215}), 48: (1, {'@': 215}), 31: (1, {'@': 215}), 49: (1, {'@': 215}), 6: (1, {'@': 215}), 50: (1, {'@': 215}), 12: (1, {'@': 215}), 51: (1, {'@': 215})}, 319: {17: (0, 376)}, 320: {17: (0, 377)}, 321: {16: (1, {'@': 216}), 33: (1, {'@': 216}), 18: (1, {'@': 216}), 21: (1, {'@': 216}), 23: (1, {'@': 216}), 34: (1, {'@': 216}), 4: (1, {'@': 216}), 35: (1, {'@': 216}), 24: (1, {'@': 216}), 0: (1, {'@': 216}), 36: (1, {'@': 216}), 37: (1, {'@': 216}), 1: (1, {'@': 216}), 38: (1, {'@': 216}), 27: (1, {'@': 216}), 39: (1, {'@': 216}), 3: (1, {'@': 216}), 40: (1, {'@': 216}), 32: (1, {'@': 216}), 41: (1, {'@': 216}), 17: (1, {'@': 216}), 19: (1, {'@': 216}), 42: (1, {'@': 216}), 25: (1, {'@': 216}), 43: (1, {'@': 216}), 26: (1, {'@': 216}), 44: (1, {'@': 216}), 45: (1, {'@': 216}), 46: (1, {'@': 216}), 2: (1, {'@': 216}), 28: (1, {'@': 216}), 29: (1, {'@': 216}), 30: (1, {'@': 216}), 47: (1, {'@': 216}), 48: (1, {'@': 216}), 31: (1, {'@': 216}), 49: (1, {'@': 216}), 6: (1, {'@': 216}), 50: (1, {'@': 216}), 12: (1, {'@': 216}), 51: (1, {'@': 216})}, 322: {16: (1, {'@': 217}), 33: (1, {'@': 217}), 18: (1, {'@': 217}), 21: (1, {'@': 217}), 23: (1, {'@': 217}), 34: (1, {'@': 217}), 4: (1, {'@': 217}), 35: (1, {'@': 217}), 24: (1, {'@': 217}), 0: (1, {'@': 217}), 36: (1, {'@': 217}), 37: (1, {'@': 217}), 1: (1, {'@': 217}), 38: (1, {'@': 217}), 27: (1, {'@': 217}), 39: (1, {'@': 217}), 3: (1, {'@': 217}), 40: (1, {'@': 217}), 32: (1, {'@': 217}), 41: (1, {'@': 217}), 17: (1, {'@': 217}), 19: (1, {'@': 217}), 42: (1, {'@': 217}), 25: (1, {'@': 217}), 43: (1, {'@': 217}), 26: (1, {'@': 217}), 44: (1, {'@': 217}), 45: (1, {'@': 217}), 46: (1, {'@': 217}), 2: (1, {'@': 217}), 28: (1, {'@': 217}), 29: (1, {'@': 217}), 30: (1, {'@': 217}), 47: (1, {'@': 217}), 48: (1, {'@': 217}), 31: (1, {'@': 217}), 49: (1, {'@': 217}), 6: (1, {'@': 217}), 50: (1, {'@': 217}), 12: (1, {'@': 217}), 51: (1, {'@': 217})}, 323: {3: (0, 2), 1: (0, 10), 7: (0, 4), 89: (0, 378), 14: (0, 379), 17: (0, 380), 2: (0, 14), 21: (0, 186)}, 324: {3: (0, 2), 1: (0, 10), 17: (0, 381), 14: (0, 382), 7: (0, 4), 2: (0, 14)}, 325: {3: (0, 2), 1: (0, 10), 7: (0, 4), 22: (0, 383), 14: (0, 384), 2: (0, 14)}, 326: {18: (0, 34), 53: (0, 385), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 2: (0, 14), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 14: (0, 386), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 327: {76: (0, 80), 27: (0, 81), 38: (0, 82), 41: (0, 95), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 47: (0, 387), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 35: (0, 96)}, 328: {18: (0, 34), 53: (0, 388), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 329: {16: (1, {'@': 218}), 18: (1, {'@': 218}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 218}), 19: (1, {'@': 218}), 28: (1, {'@': 218}), 30: (1, {'@': 218}), 23: (1, {'@': 218}), 32: (1, {'@': 218}), 31: (1, {'@': 218}), 6: (1, {'@': 218}), 25: (1, {'@': 218}), 12: (1, {'@': 218}), 3: (0, 2), 26: (1, {'@': 218}), 7: (0, 4), 14: (0, 389)}, 330: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 47: (0, 390), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 331: {3: (0, 2), 14: (0, 391), 7: (0, 4), 22: (0, 392), 1: (0, 10), 2: (0, 14)}, 332: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 47: (0, 393), 41: (0, 95), 35: (0, 96)}, 333: {18: (0, 34), 53: (0, 394), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 334: {18: (0, 34), 53: (0, 395), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 14: (0, 396), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 335: {16: (1, {'@': 219}), 33: (1, {'@': 219}), 18: (1, {'@': 219}), 21: (1, {'@': 219}), 23: (1, {'@': 219}), 34: (1, {'@': 219}), 4: (1, {'@': 219}), 35: (1, {'@': 219}), 24: (1, {'@': 219}), 0: (1, {'@': 219}), 36: (1, {'@': 219}), 37: (1, {'@': 219}), 1: (1, {'@': 219}), 38: (1, {'@': 219}), 27: (1, {'@': 219}), 39: (1, {'@': 219}), 3: (1, {'@': 219}), 40: (1, {'@': 219}), 32: (1, {'@': 219}), 41: (1, {'@': 219}), 17: (1, {'@': 219}), 19: (1, {'@': 219}), 42: (1, {'@': 219}), 25: (1, {'@': 219}), 43: (1, {'@': 219}), 26: (1, {'@': 219}), 44: (1, {'@': 219}), 45: (1, {'@': 219}), 46: (1, {'@': 219}), 2: (1, {'@': 219}), 28: (1, {'@': 219}), 29: (1, {'@': 219}), 30: (1, {'@': 219}), 47: (1, {'@': 219}), 48: (1, {'@': 219}), 31: (1, {'@': 219}), 49: (1, {'@': 219}), 6: (1, {'@': 219}), 50: (1, {'@': 219}), 12: (1, {'@': 219}), 51: (1, {'@': 219})}, 336: {17: (0, 397)}, 337: {16: (1, {'@': 220}), 33: (1, {'@': 220}), 18: (1, {'@': 220}), 21: (1, {'@': 220}), 23: (1, {'@': 220}), 34: (1, {'@': 220}), 4: (1, {'@': 220}), 35: (1, {'@': 220}), 24: (1, {'@': 220}), 0: (1, {'@': 220}), 36: (1, {'@': 220}), 37: (1, {'@': 220}), 1: (1, {'@': 220}), 38: (1, {'@': 220}), 27: (1, {'@': 220}), 39: (1, {'@': 220}), 3: (1, {'@': 220}), 40: (1, {'@': 220}), 32: (1, {'@': 220}), 41: (1, {'@': 220}), 17: (1, {'@': 220}), 19: (1, {'@': 220}), 42: (1, {'@': 220}), 25: (1, {'@': 220}), 43: (1, {'@': 220}), 26: (1, {'@': 220}), 44: (1, {'@': 220}), 45: (1, {'@': 220}), 46: (1, {'@': 220}), 2: (1, {'@': 220}), 28: (1, {'@': 220}), 29: (1, {'@': 220}), 30: (1, {'@': 220}), 47: (1, {'@': 220}), 48: (1, {'@': 220}), 31: (1, {'@': 220}), 49: (1, {'@': 220}), 6: (1, {'@': 220}), 50: (1, {'@': 220}), 12: (1, {'@': 220}), 51: (1, {'@': 220})}, 338: {17: (1, {'@': 221}), 1: (1, {'@': 221}), 2: (1, {'@': 221}), 3: (1, {'@': 221}), 4: (1, {'@': 221}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 339: {16: (1, {'@': 222}), 33: (1, {'@': 222}), 18: (1, {'@': 222}), 21: (1, {'@': 222}), 23: (1, {'@': 222}), 34: (1, {'@': 222}), 4: (1, {'@': 222}), 35: (1, {'@': 222}), 24: (1, {'@': 222}), 0: (1, {'@': 222}), 36: (1, {'@': 222}), 37: (1, {'@': 222}), 1: (1, {'@': 222}), 38: (1, {'@': 222}), 27: (1, {'@': 222}), 39: (1, {'@': 222}), 3: (1, {'@': 222}), 40: (1, {'@': 222}), 32: (1, {'@': 222}), 41: (1, {'@': 222}), 17: (1, {'@': 222}), 19: (1, {'@': 222}), 42: (1, {'@': 222}), 25: (1, {'@': 222}), 43: (1, {'@': 222}), 26: (1, {'@': 222}), 44: (1, {'@': 222}), 45: (1, {'@': 222}), 46: (1, {'@': 222}), 2: (1, {'@': 222}), 28: (1, {'@': 222}), 29: (1, {'@': 222}), 30: (1, {'@': 222}), 47: (1, {'@': 222}), 48: (1, {'@': 222}), 31: (1, {'@': 222}), 49: (1, {'@': 222}), 6: (1, {'@': 222}), 50: (1, {'@': 222}), 12: (1, {'@': 222}), 51: (1, {'@': 222})}, 340: {16: (1, {'@': 223}), 33: (1, {'@': 223}), 18: (1, {'@': 223}), 21: (1, {'@': 223}), 23: (1, {'@': 223}), 34: (1, {'@': 223}), 4: (1, {'@': 223}), 35: (1, {'@': 223}), 24: (1, {'@': 223}), 0: (1, {'@': 223}), 36: (1, {'@': 223}), 37: (1, {'@': 223}), 1: (1, {'@': 223}), 38: (1, {'@': 223}), 27: (1, {'@': 223}), 39: (1, {'@': 223}), 3: (1, {'@': 223}), 40: (1, {'@': 223}), 32: (1, {'@': 223}), 41: (1, {'@': 223}), 17: (1, {'@': 223}), 19: (1, {'@': 223}), 42: (1, {'@': 223}), 25: (1, {'@': 223}), 43: (1, {'@': 223}), 26: (1, {'@': 223}), 44: (1, {'@': 223}), 45: (1, {'@': 223}), 46: (1, {'@': 223}), 2: (1, {'@': 223}), 28: (1, {'@': 223}), 29: (1, {'@': 223}), 30: (1, {'@': 223}), 47: (1, {'@': 223}), 48: (1, {'@': 223}), 31: (1, {'@': 223}), 49: (1, {'@': 223}), 6: (1, {'@': 223}), 50: (1, {'@': 223}), 12: (1, {'@': 223}), 51: (1, {'@': 223})}, 341: {17: (0, 398)}, 342: {17: (0, 399)}, 343: {16: (1, {'@': 224}), 33: (1, {'@': 224}), 18: (1, {'@': 224}), 21: (1, {'@': 224}), 23: (1, {'@': 224}), 34: (1, {'@': 224}), 4: (1, {'@': 224}), 35: (1, {'@': 224}), 24: (1, {'@': 224}), 0: (1, {'@': 224}), 36: (1, {'@': 224}), 37: (1, {'@': 224}), 1: (1, {'@': 224}), 38: (1, {'@': 224}), 27: (1, {'@': 224}), 39: (1, {'@': 224}), 3: (1, {'@': 224}), 40: (1, {'@': 224}), 32: (1, {'@': 224}), 41: (1, {'@': 224}), 17: (1, {'@': 224}), 19: (1, {'@': 224}), 42: (1, {'@': 224}), 25: (1, {'@': 224}), 43: (1, {'@': 224}), 26: (1, {'@': 224}), 44: (1, {'@': 224}), 45: (1, {'@': 224}), 46: (1, {'@': 224}), 2: (1, {'@': 224}), 28: (1, {'@': 224}), 29: (1, {'@': 224}), 30: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 31: (1, {'@': 224}), 49: (1, {'@': 224}), 6: (1, {'@': 224}), 50: (1, {'@': 224}), 12: (1, {'@': 224}), 51: (1, {'@': 224})}, 344: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 400), 17: (0, 401), 2: (0, 14)}, 345: {16: (1, {'@': 225}), 33: (1, {'@': 225}), 18: (1, {'@': 225}), 21: (1, {'@': 225}), 23: (1, {'@': 225}), 34: (1, {'@': 225}), 4: (1, {'@': 225}), 35: (1, {'@': 225}), 24: (1, {'@': 225}), 0: (1, {'@': 225}), 36: (1, {'@': 225}), 37: (1, {'@': 225}), 1: (1, {'@': 225}), 38: (1, {'@': 225}), 27: (1, {'@': 225}), 39: (1, {'@': 225}), 3: (1, {'@': 225}), 40: (1, {'@': 225}), 32: (1, {'@': 225}), 41: (1, {'@': 225}), 17: (1, {'@': 225}), 19: (1, {'@': 225}), 42: (1, {'@': 225}), 25: (1, {'@': 225}), 43: (1, {'@': 225}), 26: (1, {'@': 225}), 44: (1, {'@': 225}), 45: (1, {'@': 225}), 46: (1, {'@': 225}), 2: (1, {'@': 225}), 28: (1, {'@': 225}), 29: (1, {'@': 225}), 30: (1, {'@': 225}), 47: (1, {'@': 225}), 48: (1, {'@': 225}), 31: (1, {'@': 225}), 49: (1, {'@': 225}), 6: (1, {'@': 225}), 50: (1, {'@': 225}), 12: (1, {'@': 225}), 51: (1, {'@': 225})}, 346: {17: (1, {'@': 226}), 24: (1, {'@': 226}), 1: (1, {'@': 226}), 2: (1, {'@': 226}), 29: (1, {'@': 226}), 3: (1, {'@': 226}), 42: (1, {'@': 226}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 347: {18: (0, 34), 53: (0, 402), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 17: (0, 403), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 348: {16: (1, {'@': 227}), 33: (1, {'@': 227}), 18: (1, {'@': 227}), 21: (1, {'@': 227}), 23: (1, {'@': 227}), 34: (1, {'@': 227}), 4: (1, {'@': 227}), 35: (1, {'@': 227}), 24: (1, {'@': 227}), 0: (1, {'@': 227}), 36: (1, {'@': 227}), 37: (1, {'@': 227}), 1: (1, {'@': 227}), 38: (1, {'@': 227}), 27: (1, {'@': 227}), 39: (1, {'@': 227}), 3: (1, {'@': 227}), 40: (1, {'@': 227}), 32: (1, {'@': 227}), 41: (1, {'@': 227}), 17: (1, {'@': 227}), 19: (1, {'@': 227}), 42: (1, {'@': 227}), 25: (1, {'@': 227}), 43: (1, {'@': 227}), 26: (1, {'@': 227}), 44: (1, {'@': 227}), 45: (1, {'@': 227}), 46: (1, {'@': 227}), 2: (1, {'@': 227}), 28: (1, {'@': 227}), 29: (1, {'@': 227}), 30: (1, {'@': 227}), 47: (1, {'@': 227}), 48: (1, {'@': 227}), 31: (1, {'@': 227}), 49: (1, {'@': 227}), 6: (1, {'@': 227}), 50: (1, {'@': 227}), 12: (1, {'@': 227}), 51: (1, {'@': 227})}, 349: {17: (1, {'@': 228}), 24: (1, {'@': 228}), 1: (1, {'@': 228}), 2: (1, {'@': 228}), 29: (1, {'@': 228}), 3: (1, {'@': 228}), 42: (1, {'@': 228}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 350: {16: (1, {'@': 229}), 33: (1, {'@': 229}), 18: (1, {'@': 229}), 21: (1, {'@': 229}), 23: (1, {'@': 229}), 34: (1, {'@': 229}), 4: (1, {'@': 229}), 35: (1, {'@': 229}), 24: (1, {'@': 229}), 0: (1, {'@': 229}), 36: (1, {'@': 229}), 37: (1, {'@': 229}), 1: (1, {'@': 229}), 38: (1, {'@': 229}), 27: (1, {'@': 229}), 39: (1, {'@': 229}), 3: (1, {'@': 229}), 40: (1, {'@': 229}), 32: (1, {'@': 229}), 41: (1, {'@': 229}), 17: (1, {'@': 229}), 19: (1, {'@': 229}), 42: (1, {'@': 229}), 25: (1, {'@': 229}), 43: (1, {'@': 229}), 26: (1, {'@': 229}), 44: (1, {'@': 229}), 45: (1, {'@': 229}), 46: (1, {'@': 229}), 2: (1, {'@': 229}), 28: (1, {'@': 229}), 29: (1, {'@': 229}), 30: (1, {'@': 229}), 47: (1, {'@': 229}), 48: (1, {'@': 229}), 31: (1, {'@': 229}), 49: (1, {'@': 229}), 6: (1, {'@': 229}), 50: (1, {'@': 229}), 12: (1, {'@': 229}), 51: (1, {'@': 229})}, 351: {17: (1, {'@': 230}), 24: (1, {'@': 230}), 1: (1, {'@': 230}), 2: (1, {'@': 230}), 29: (1, {'@': 230}), 3: (1, {'@': 230}), 42: (1, {'@': 230}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 352: {16: (1, {'@': 231}), 33: (1, {'@': 231}), 18: (1, {'@': 231}), 21: (1, {'@': 231}), 23: (1, {'@': 231}), 34: (1, {'@': 231}), 4: (1, {'@': 231}), 35: (1, {'@': 231}), 24: (1, {'@': 231}), 0: (1, {'@': 231}), 36: (1, {'@': 231}), 37: (1, {'@': 231}), 1: (1, {'@': 231}), 38: (1, {'@': 231}), 27: (1, {'@': 231}), 39: (1, {'@': 231}), 3: (1, {'@': 231}), 40: (1, {'@': 231}), 32: (1, {'@': 231}), 41: (1, {'@': 231}), 17: (1, {'@': 231}), 19: (1, {'@': 231}), 42: (1, {'@': 231}), 25: (1, {'@': 231}), 43: (1, {'@': 231}), 26: (1, {'@': 231}), 44: (1, {'@': 231}), 45: (1, {'@': 231}), 46: (1, {'@': 231}), 2: (1, {'@': 231}), 28: (1, {'@': 231}), 29: (1, {'@': 231}), 30: (1, {'@': 231}), 47: (1, {'@': 231}), 48: (1, {'@': 231}), 31: (1, {'@': 231}), 49: (1, {'@': 231}), 6: (1, {'@': 231}), 50: (1, {'@': 231}), 12: (1, {'@': 231}), 51: (1, {'@': 231})}, 353: {16: (1, {'@': 232}), 33: (0, 84), 18: (1, {'@': 232}), 21: (1, {'@': 232}), 23: (1, {'@': 232}), 4: (1, {'@': 232}), 35: (0, 96), 24: (1, {'@': 232}), 0: (1, {'@': 232}), 36: (0, 87), 37: (1, {'@': 232}), 1: (1, {'@': 232}), 38: (0, 82), 27: (0, 81), 39: (0, 93), 3: (1, {'@': 232}), 32: (1, {'@': 232}), 41: (0, 95), 17: (1, {'@': 232}), 19: (1, {'@': 232}), 42: (1, {'@': 232}), 25: (1, {'@': 232}), 43: (0, 92), 26: (1, {'@': 232}), 44: (0, 86), 45: (0, 89), 46: (0, 90), 2: (1, {'@': 232}), 28: (1, {'@': 232}), 29: (1, {'@': 232}), 30: (1, {'@': 232}), 47: (1, {'@': 232}), 48: (0, 94), 31: (1, {'@': 232}), 49: (0, 85), 6: (1, {'@': 232}), 50: (1, {'@': 232}), 12: (1, {'@': 232}), 51: (0, 88), 76: (0, 80), 77: (0, 83)}, 354: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 404), 4: (0, 405), 2: (0, 14)}, 355: {14: (0, 406), 3: (0, 2), 7: (0, 4), 89: (0, 407), 21: (0, 186), 1: (0, 10), 4: (0, 408), 2: (0, 14)}, 356: {16: (1, {'@': 233}), 33: (1, {'@': 233}), 18: (1, {'@': 233}), 21: (1, {'@': 233}), 23: (1, {'@': 233}), 34: (1, {'@': 233}), 4: (1, {'@': 233}), 35: (1, {'@': 233}), 24: (1, {'@': 233}), 0: (1, {'@': 233}), 36: (1, {'@': 233}), 37: (1, {'@': 233}), 1: (1, {'@': 233}), 38: (1, {'@': 233}), 27: (1, {'@': 233}), 39: (1, {'@': 233}), 3: (1, {'@': 233}), 40: (1, {'@': 233}), 32: (1, {'@': 233}), 41: (1, {'@': 233}), 17: (1, {'@': 233}), 19: (1, {'@': 233}), 42: (1, {'@': 233}), 25: (1, {'@': 233}), 43: (1, {'@': 233}), 26: (1, {'@': 233}), 44: (1, {'@': 233}), 45: (1, {'@': 233}), 46: (1, {'@': 233}), 2: (1, {'@': 233}), 28: (1, {'@': 233}), 29: (1, {'@': 233}), 30: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 31: (1, {'@': 233}), 49: (1, {'@': 233}), 6: (1, {'@': 233}), 50: (1, {'@': 233}), 12: (1, {'@': 233}), 51: (1, {'@': 233})}, 357: {3: (0, 2), 89: (0, 409), 1: (0, 10), 7: (0, 4), 14: (0, 410), 4: (0, 411), 2: (0, 14), 21: (0, 186)}, 358: {3: (0, 2), 76: (0, 80), 27: (0, 81), 42: (0, 412), 14: (0, 413), 89: (0, 414), 44: (0, 86), 51: (0, 88), 21: (0, 186), 7: (0, 4), 43: (0, 92), 48: (0, 94), 2: (0, 14), 41: (0, 95), 77: (0, 83), 4: (0, 415), 38: (0, 82), 33: (0, 84), 49: (0, 85), 36: (0, 87), 45: (0, 89), 1: (0, 10), 46: (0, 90), 39: (0, 93), 35: (0, 96)}, 359: {16: (1, {'@': 234}), 33: (1, {'@': 234}), 18: (1, {'@': 234}), 21: (1, {'@': 234}), 23: (1, {'@': 234}), 34: (1, {'@': 234}), 4: (1, {'@': 234}), 35: (1, {'@': 234}), 24: (1, {'@': 234}), 0: (1, {'@': 234}), 36: (1, {'@': 234}), 37: (1, {'@': 234}), 1: (1, {'@': 234}), 38: (1, {'@': 234}), 27: (1, {'@': 234}), 39: (1, {'@': 234}), 3: (1, {'@': 234}), 40: (1, {'@': 234}), 32: (1, {'@': 234}), 41: (1, {'@': 234}), 17: (1, {'@': 234}), 19: (1, {'@': 234}), 42: (1, {'@': 234}), 25: (1, {'@': 234}), 43: (1, {'@': 234}), 26: (1, {'@': 234}), 44: (1, {'@': 234}), 45: (1, {'@': 234}), 46: (1, {'@': 234}), 2: (1, {'@': 234}), 28: (1, {'@': 234}), 29: (1, {'@': 234}), 30: (1, {'@': 234}), 47: (1, {'@': 234}), 48: (1, {'@': 234}), 31: (1, {'@': 234}), 49: (1, {'@': 234}), 6: (1, {'@': 234}), 50: (1, {'@': 234}), 12: (1, {'@': 234}), 51: (1, {'@': 234})}, 360: {1: (1, {'@': 167}), 2: (1, {'@': 167}), 3: (1, {'@': 167}), 29: (0, 289), 24: (0, 298)}, 361: {16: (1, {'@': 235}), 33: (1, {'@': 235}), 18: (1, {'@': 235}), 21: (1, {'@': 235}), 23: (1, {'@': 235}), 34: (1, {'@': 235}), 4: (1, {'@': 235}), 35: (1, {'@': 235}), 24: (1, {'@': 235}), 0: (1, {'@': 235}), 36: (1, {'@': 235}), 37: (1, {'@': 235}), 1: (1, {'@': 235}), 38: (1, {'@': 235}), 27: (1, {'@': 235}), 39: (1, {'@': 235}), 3: (1, {'@': 235}), 40: (1, {'@': 235}), 32: (1, {'@': 235}), 41: (1, {'@': 235}), 17: (1, {'@': 235}), 19: (1, {'@': 235}), 42: (1, {'@': 235}), 25: (1, {'@': 235}), 43: (1, {'@': 235}), 26: (1, {'@': 235}), 44: (1, {'@': 235}), 45: (1, {'@': 235}), 46: (1, {'@': 235}), 2: (1, {'@': 235}), 28: (1, {'@': 235}), 29: (1, {'@': 235}), 30: (1, {'@': 235}), 47: (1, {'@': 235}), 48: (1, {'@': 235}), 31: (1, {'@': 235}), 49: (1, {'@': 235}), 6: (1, {'@': 235}), 50: (1, {'@': 235}), 12: (1, {'@': 235}), 51: (1, {'@': 235})}, 362: {16: (1, {'@': 236}), 33: (1, {'@': 236}), 18: (1, {'@': 236}), 21: (1, {'@': 236}), 23: (1, {'@': 236}), 34: (1, {'@': 236}), 4: (1, {'@': 236}), 35: (1, {'@': 236}), 24: (1, {'@': 236}), 0: (1, {'@': 236}), 36: (1, {'@': 236}), 37: (1, {'@': 236}), 1: (1, {'@': 236}), 38: (1, {'@': 236}), 27: (1, {'@': 236}), 39: (1, {'@': 236}), 3: (1, {'@': 236}), 40: (1, {'@': 236}), 32: (1, {'@': 236}), 41: (1, {'@': 236}), 17: (1, {'@': 236}), 19: (1, {'@': 236}), 42: (1, {'@': 236}), 25: (1, {'@': 236}), 43: (1, {'@': 236}), 26: (1, {'@': 236}), 44: (1, {'@': 236}), 45: (1, {'@': 236}), 46: (1, {'@': 236}), 2: (1, {'@': 236}), 28: (1, {'@': 236}), 29: (1, {'@': 236}), 30: (1, {'@': 236}), 47: (1, {'@': 236}), 48: (1, {'@': 236}), 31: (1, {'@': 236}), 49: (1, {'@': 236}), 6: (1, {'@': 236}), 50: (1, {'@': 236}), 12: (1, {'@': 236}), 51: (1, {'@': 236})}, 363: {16: (1, {'@': 237}), 33: (1, {'@': 237}), 18: (1, {'@': 237}), 21: (1, {'@': 237}), 23: (1, {'@': 237}), 34: (1, {'@': 237}), 4: (1, {'@': 237}), 35: (1, {'@': 237}), 24: (1, {'@': 237}), 0: (1, {'@': 237}), 36: (1, {'@': 237}), 37: (1, {'@': 237}), 1: (1, {'@': 237}), 38: (1, {'@': 237}), 27: (1, {'@': 237}), 39: (1, {'@': 237}), 3: (1, {'@': 237}), 40: (1, {'@': 237}), 32: (1, {'@': 237}), 41: (1, {'@': 237}), 17: (1, {'@': 237}), 19: (1, {'@': 237}), 42: (1, {'@': 237}), 25: (1, {'@': 237}), 43: (1, {'@': 237}), 26: (1, {'@': 237}), 44: (1, {'@': 237}), 45: (1, {'@': 237}), 46: (1, {'@': 237}), 2: (1, {'@': 237}), 28: (1, {'@': 237}), 29: (1, {'@': 237}), 30: (1, {'@': 237}), 47: (1, {'@': 237}), 48: (1, {'@': 237}), 31: (1, {'@': 237}), 49: (1, {'@': 237}), 6: (1, {'@': 237}), 50: (1, {'@': 237}), 12: (1, {'@': 237}), 51: (1, {'@': 237})}, 364: {18: (0, 34), 53: (0, 351), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 365: {1: (1, {'@': 238}), 2: (1, {'@': 238}), 3: (1, {'@': 238}), 29: (1, {'@': 238})}, 366: {1: (1, {'@': 239}), 2: (1, {'@': 239}), 3: (1, {'@': 239}), 29: (1, {'@': 239}), 18: (0, 34), 53: (0, 349), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 367: {18: (0, 34), 53: (0, 346), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 14: (0, 416), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 368: {16: (1, {'@': 240}), 33: (1, {'@': 240}), 18: (1, {'@': 240}), 21: (1, {'@': 240}), 23: (1, {'@': 240}), 34: (1, {'@': 240}), 4: (1, {'@': 240}), 35: (1, {'@': 240}), 24: (1, {'@': 240}), 0: (1, {'@': 240}), 36: (1, {'@': 240}), 37: (1, {'@': 240}), 1: (1, {'@': 240}), 38: (1, {'@': 240}), 27: (1, {'@': 240}), 39: (1, {'@': 240}), 3: (1, {'@': 240}), 40: (1, {'@': 240}), 32: (1, {'@': 240}), 41: (1, {'@': 240}), 17: (1, {'@': 240}), 19: (1, {'@': 240}), 42: (1, {'@': 240}), 25: (1, {'@': 240}), 43: (1, {'@': 240}), 26: (1, {'@': 240}), 44: (1, {'@': 240}), 45: (1, {'@': 240}), 46: (1, {'@': 240}), 2: (1, {'@': 240}), 28: (1, {'@': 240}), 29: (1, {'@': 240}), 30: (1, {'@': 240}), 47: (1, {'@': 240}), 48: (1, {'@': 240}), 31: (1, {'@': 240}), 49: (1, {'@': 240}), 6: (1, {'@': 240}), 50: (1, {'@': 240}), 12: (1, {'@': 240}), 51: (1, {'@': 240})}, 369: {16: (1, {'@': 241}), 33: (1, {'@': 241}), 18: (1, {'@': 241}), 21: (1, {'@': 241}), 23: (1, {'@': 241}), 34: (1, {'@': 241}), 4: (1, {'@': 241}), 35: (1, {'@': 241}), 24: (1, {'@': 241}), 0: (1, {'@': 241}), 36: (1, {'@': 241}), 37: (1, {'@': 241}), 1: (1, {'@': 241}), 38: (1, {'@': 241}), 27: (1, {'@': 241}), 39: (1, {'@': 241}), 3: (1, {'@': 241}), 40: (1, {'@': 241}), 32: (1, {'@': 241}), 41: (1, {'@': 241}), 17: (1, {'@': 241}), 19: (1, {'@': 241}), 42: (1, {'@': 241}), 25: (1, {'@': 241}), 43: (1, {'@': 241}), 26: (1, {'@': 241}), 44: (1, {'@': 241}), 45: (1, {'@': 241}), 46: (1, {'@': 241}), 2: (1, {'@': 241}), 28: (1, {'@': 241}), 29: (1, {'@': 241}), 30: (1, {'@': 241}), 47: (1, {'@': 241}), 48: (1, {'@': 241}), 31: (1, {'@': 241}), 49: (1, {'@': 241}), 6: (1, {'@': 241}), 50: (1, {'@': 241}), 12: (1, {'@': 241}), 51: (1, {'@': 241})}, 370: {16: (1, {'@': 242}), 33: (1, {'@': 242}), 18: (1, {'@': 242}), 21: (1, {'@': 242}), 23: (1, {'@': 242}), 34: (1, {'@': 242}), 4: (1, {'@': 242}), 35: (1, {'@': 242}), 24: (1, {'@': 242}), 0: (1, {'@': 242}), 36: (1, {'@': 242}), 37: (1, {'@': 242}), 1: (1, {'@': 242}), 38: (1, {'@': 242}), 27: (1, {'@': 242}), 39: (1, {'@': 242}), 3: (1, {'@': 242}), 40: (1, {'@': 242}), 32: (1, {'@': 242}), 41: (1, {'@': 242}), 17: (1, {'@': 242}), 19: (1, {'@': 242}), 42: (1, {'@': 242}), 25: (1, {'@': 242}), 43: (1, {'@': 242}), 26: (1, {'@': 242}), 44: (1, {'@': 242}), 45: (1, {'@': 242}), 46: (1, {'@': 242}), 2: (1, {'@': 242}), 28: (1, {'@': 242}), 29: (1, {'@': 242}), 30: (1, {'@': 242}), 47: (1, {'@': 242}), 48: (1, {'@': 242}), 31: (1, {'@': 242}), 49: (1, {'@': 242}), 6: (1, {'@': 242}), 50: (1, {'@': 242}), 12: (1, {'@': 242}), 51: (1, {'@': 242})}, 371: {18: (0, 34), 53: (0, 402), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 17: (0, 417), 73: (0, 67), 74: (0, 68)}, 372: {16: (1, {'@': 243}), 33: (1, {'@': 243}), 18: (1, {'@': 243}), 21: (1, {'@': 243}), 23: (1, {'@': 243}), 34: (1, {'@': 243}), 4: (1, {'@': 243}), 35: (1, {'@': 243}), 24: (1, {'@': 243}), 0: (1, {'@': 243}), 36: (1, {'@': 243}), 37: (1, {'@': 243}), 1: (1, {'@': 243}), 38: (1, {'@': 243}), 27: (1, {'@': 243}), 39: (1, {'@': 243}), 3: (1, {'@': 243}), 40: (1, {'@': 243}), 32: (1, {'@': 243}), 41: (1, {'@': 243}), 17: (1, {'@': 243}), 19: (1, {'@': 243}), 42: (1, {'@': 243}), 25: (1, {'@': 243}), 43: (1, {'@': 243}), 26: (1, {'@': 243}), 44: (1, {'@': 243}), 45: (1, {'@': 243}), 46: (1, {'@': 243}), 2: (1, {'@': 243}), 28: (1, {'@': 243}), 29: (1, {'@': 243}), 30: (1, {'@': 243}), 47: (1, {'@': 243}), 48: (1, {'@': 243}), 31: (1, {'@': 243}), 49: (1, {'@': 243}), 6: (1, {'@': 243}), 50: (1, {'@': 243}), 12: (1, {'@': 243}), 51: (1, {'@': 243})}, 373: {16: (1, {'@': 244}), 33: (1, {'@': 244}), 18: (1, {'@': 244}), 21: (1, {'@': 244}), 23: (1, {'@': 244}), 34: (1, {'@': 244}), 4: (1, {'@': 244}), 35: (1, {'@': 244}), 24: (1, {'@': 244}), 0: (1, {'@': 244}), 36: (1, {'@': 244}), 37: (1, {'@': 244}), 1: (1, {'@': 244}), 38: (1, {'@': 244}), 27: (1, {'@': 244}), 39: (1, {'@': 244}), 3: (1, {'@': 244}), 40: (1, {'@': 244}), 32: (1, {'@': 244}), 41: (1, {'@': 244}), 17: (1, {'@': 244}), 19: (1, {'@': 244}), 42: (1, {'@': 244}), 25: (1, {'@': 244}), 43: (1, {'@': 244}), 26: (1, {'@': 244}), 44: (1, {'@': 244}), 45: (1, {'@': 244}), 46: (1, {'@': 244}), 2: (1, {'@': 244}), 28: (1, {'@': 244}), 29: (1, {'@': 244}), 30: (1, {'@': 244}), 47: (1, {'@': 244}), 48: (1, {'@': 244}), 31: (1, {'@': 244}), 49: (1, {'@': 244}), 6: (1, {'@': 244}), 50: (1, {'@': 244}), 12: (1, {'@': 244}), 51: (1, {'@': 244})}, 374: {17: (0, 418)}, 375: {16: (1, {'@': 245}), 33: (1, {'@': 245}), 18: (1, {'@': 245}), 21: (1, {'@': 245}), 23: (1, {'@': 245}), 34: (1, {'@': 245}), 4: (1, {'@': 245}), 35: (1, {'@': 245}), 24: (1, {'@': 245}), 0: (1, {'@': 245}), 36: (1, {'@': 245}), 37: (1, {'@': 245}), 1: (1, {'@': 245}), 38: (1, {'@': 245}), 27: (1, {'@': 245}), 39: (1, {'@': 245}), 3: (1, {'@': 245}), 40: (1, {'@': 245}), 32: (1, {'@': 245}), 41: (1, {'@': 245}), 17: (1, {'@': 245}), 19: (1, {'@': 245}), 42: (1, {'@': 245}), 25: (1, {'@': 245}), 43: (1, {'@': 245}), 26: (1, {'@': 245}), 44: (1, {'@': 245}), 45: (1, {'@': 245}), 46: (1, {'@': 245}), 2: (1, {'@': 245}), 28: (1, {'@': 245}), 29: (1, {'@': 245}), 30: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 31: (1, {'@': 245}), 49: (1, {'@': 245}), 6: (1, {'@': 245}), 50: (1, {'@': 245}), 12: (1, {'@': 245}), 51: (1, {'@': 245})}, 376: {16: (1, {'@': 246}), 33: (1, {'@': 246}), 18: (1, {'@': 246}), 21: (1, {'@': 246}), 23: (1, {'@': 246}), 34: (1, {'@': 246}), 4: (1, {'@': 246}), 35: (1, {'@': 246}), 24: (1, {'@': 246}), 0: (1, {'@': 246}), 36: (1, {'@': 246}), 37: (1, {'@': 246}), 1: (1, {'@': 246}), 38: (1, {'@': 246}), 27: (1, {'@': 246}), 39: (1, {'@': 246}), 3: (1, {'@': 246}), 40: (1, {'@': 246}), 32: (1, {'@': 246}), 41: (1, {'@': 246}), 17: (1, {'@': 246}), 19: (1, {'@': 246}), 42: (1, {'@': 246}), 25: (1, {'@': 246}), 43: (1, {'@': 246}), 26: (1, {'@': 246}), 44: (1, {'@': 246}), 45: (1, {'@': 246}), 46: (1, {'@': 246}), 2: (1, {'@': 246}), 28: (1, {'@': 246}), 29: (1, {'@': 246}), 30: (1, {'@': 246}), 47: (1, {'@': 246}), 48: (1, {'@': 246}), 31: (1, {'@': 246}), 49: (1, {'@': 246}), 6: (1, {'@': 246}), 50: (1, {'@': 246}), 12: (1, {'@': 246}), 51: (1, {'@': 246})}, 377: {16: (1, {'@': 247}), 33: (1, {'@': 247}), 18: (1, {'@': 247}), 21: (1, {'@': 247}), 23: (1, {'@': 247}), 34: (1, {'@': 247}), 4: (1, {'@': 247}), 35: (1, {'@': 247}), 24: (1, {'@': 247}), 0: (1, {'@': 247}), 36: (1, {'@': 247}), 37: (1, {'@': 247}), 1: (1, {'@': 247}), 38: (1, {'@': 247}), 27: (1, {'@': 247}), 39: (1, {'@': 247}), 3: (1, {'@': 247}), 40: (1, {'@': 247}), 32: (1, {'@': 247}), 41: (1, {'@': 247}), 17: (1, {'@': 247}), 19: (1, {'@': 247}), 42: (1, {'@': 247}), 25: (1, {'@': 247}), 43: (1, {'@': 247}), 26: (1, {'@': 247}), 44: (1, {'@': 247}), 45: (1, {'@': 247}), 46: (1, {'@': 247}), 2: (1, {'@': 247}), 28: (1, {'@': 247}), 29: (1, {'@': 247}), 30: (1, {'@': 247}), 47: (1, {'@': 247}), 48: (1, {'@': 247}), 31: (1, {'@': 247}), 49: (1, {'@': 247}), 6: (1, {'@': 247}), 50: (1, {'@': 247}), 12: (1, {'@': 247}), 51: (1, {'@': 247})}, 378: {3: (0, 2), 1: (0, 10), 7: (0, 4), 2: (0, 14), 14: (0, 419), 17: (0, 420)}, 379: {17: (0, 421)}, 380: {16: (1, {'@': 248}), 33: (1, {'@': 248}), 18: (1, {'@': 248}), 21: (1, {'@': 248}), 23: (1, {'@': 248}), 34: (1, {'@': 248}), 4: (1, {'@': 248}), 35: (1, {'@': 248}), 24: (1, {'@': 248}), 0: (1, {'@': 248}), 36: (1, {'@': 248}), 37: (1, {'@': 248}), 1: (1, {'@': 248}), 38: (1, {'@': 248}), 27: (1, {'@': 248}), 39: (1, {'@': 248}), 3: (1, {'@': 248}), 40: (1, {'@': 248}), 32: (1, {'@': 248}), 41: (1, {'@': 248}), 17: (1, {'@': 248}), 19: (1, {'@': 248}), 42: (1, {'@': 248}), 25: (1, {'@': 248}), 43: (1, {'@': 248}), 26: (1, {'@': 248}), 44: (1, {'@': 248}), 45: (1, {'@': 248}), 46: (1, {'@': 248}), 2: (1, {'@': 248}), 28: (1, {'@': 248}), 29: (1, {'@': 248}), 30: (1, {'@': 248}), 47: (1, {'@': 248}), 48: (1, {'@': 248}), 31: (1, {'@': 248}), 49: (1, {'@': 248}), 6: (1, {'@': 248}), 50: (1, {'@': 248}), 12: (1, {'@': 248}), 51: (1, {'@': 248})}, 381: {16: (1, {'@': 249}), 33: (1, {'@': 249}), 18: (1, {'@': 249}), 21: (1, {'@': 249}), 23: (1, {'@': 249}), 34: (1, {'@': 249}), 4: (1, {'@': 249}), 35: (1, {'@': 249}), 24: (1, {'@': 249}), 0: (1, {'@': 249}), 36: (1, {'@': 249}), 37: (1, {'@': 249}), 1: (1, {'@': 249}), 38: (1, {'@': 249}), 27: (1, {'@': 249}), 39: (1, {'@': 249}), 3: (1, {'@': 249}), 40: (1, {'@': 249}), 32: (1, {'@': 249}), 41: (1, {'@': 249}), 17: (1, {'@': 249}), 19: (1, {'@': 249}), 42: (1, {'@': 249}), 25: (1, {'@': 249}), 43: (1, {'@': 249}), 26: (1, {'@': 249}), 44: (1, {'@': 249}), 45: (1, {'@': 249}), 46: (1, {'@': 249}), 2: (1, {'@': 249}), 28: (1, {'@': 249}), 29: (1, {'@': 249}), 30: (1, {'@': 249}), 47: (1, {'@': 249}), 48: (1, {'@': 249}), 31: (1, {'@': 249}), 49: (1, {'@': 249}), 6: (1, {'@': 249}), 50: (1, {'@': 249}), 12: (1, {'@': 249}), 51: (1, {'@': 249})}, 382: {17: (0, 422)}, 383: {18: (0, 34), 53: (0, 423), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 14: (0, 424), 59: (0, 48), 6: (0, 3), 3: (0, 2), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 384: {22: (0, 425)}, 385: {76: (0, 80), 27: (0, 81), 38: (0, 82), 47: (0, 426), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 386: {18: (0, 34), 53: (0, 427), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 387: {16: (1, {'@': 250}), 18: (1, {'@': 250}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 250}), 19: (1, {'@': 250}), 28: (1, {'@': 250}), 30: (1, {'@': 250}), 23: (1, {'@': 250}), 32: (1, {'@': 250}), 31: (1, {'@': 250}), 6: (1, {'@': 250}), 25: (1, {'@': 250}), 12: (1, {'@': 250}), 3: (0, 2), 26: (1, {'@': 250}), 7: (0, 4), 14: (0, 428)}, 388: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 47: (0, 429), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 389: {16: (1, {'@': 251}), 18: (1, {'@': 251}), 1: (1, {'@': 251}), 2: (1, {'@': 251}), 27: (1, {'@': 251}), 19: (1, {'@': 251}), 28: (1, {'@': 251}), 30: (1, {'@': 251}), 23: (1, {'@': 251}), 32: (1, {'@': 251}), 31: (1, {'@': 251}), 6: (1, {'@': 251}), 25: (1, {'@': 251}), 12: (1, {'@': 251}), 3: (1, {'@': 251}), 26: (1, {'@': 251})}, 390: {16: (1, {'@': 252}), 18: (1, {'@': 252}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 252}), 19: (1, {'@': 252}), 28: (1, {'@': 252}), 30: (1, {'@': 252}), 23: (1, {'@': 252}), 32: (1, {'@': 252}), 31: (1, {'@': 252}), 6: (1, {'@': 252}), 25: (1, {'@': 252}), 12: (1, {'@': 252}), 3: (0, 2), 26: (1, {'@': 252}), 7: (0, 4), 14: (0, 430)}, 391: {3: (0, 2), 1: (0, 10), 7: (0, 4), 22: (0, 431), 14: (0, 432), 2: (0, 14)}, 392: {18: (0, 34), 53: (0, 433), 14: (0, 434), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 393: {16: (1, {'@': 253}), 18: (1, {'@': 253}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 253}), 19: (1, {'@': 253}), 28: (1, {'@': 253}), 30: (1, {'@': 253}), 23: (1, {'@': 253}), 32: (1, {'@': 253}), 31: (1, {'@': 253}), 6: (1, {'@': 253}), 25: (1, {'@': 253}), 12: (1, {'@': 253}), 3: (0, 2), 26: (1, {'@': 253}), 14: (0, 435), 7: (0, 4)}, 394: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 47: (0, 436), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 395: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 47: (0, 437), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 396: {18: (0, 34), 53: (0, 438), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 397: {16: (1, {'@': 254}), 33: (1, {'@': 254}), 18: (1, {'@': 254}), 21: (1, {'@': 254}), 23: (1, {'@': 254}), 34: (1, {'@': 254}), 4: (1, {'@': 254}), 35: (1, {'@': 254}), 24: (1, {'@': 254}), 0: (1, {'@': 254}), 36: (1, {'@': 254}), 37: (1, {'@': 254}), 1: (1, {'@': 254}), 38: (1, {'@': 254}), 27: (1, {'@': 254}), 39: (1, {'@': 254}), 3: (1, {'@': 254}), 40: (1, {'@': 254}), 32: (1, {'@': 254}), 41: (1, {'@': 254}), 17: (1, {'@': 254}), 19: (1, {'@': 254}), 42: (1, {'@': 254}), 25: (1, {'@': 254}), 43: (1, {'@': 254}), 26: (1, {'@': 254}), 44: (1, {'@': 254}), 45: (1, {'@': 254}), 46: (1, {'@': 254}), 2: (1, {'@': 254}), 28: (1, {'@': 254}), 29: (1, {'@': 254}), 30: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 31: (1, {'@': 254}), 49: (1, {'@': 254}), 6: (1, {'@': 254}), 50: (1, {'@': 254}), 12: (1, {'@': 254}), 51: (1, {'@': 254})}, 398: {16: (1, {'@': 255}), 33: (1, {'@': 255}), 18: (1, {'@': 255}), 21: (1, {'@': 255}), 23: (1, {'@': 255}), 34: (1, {'@': 255}), 4: (1, {'@': 255}), 35: (1, {'@': 255}), 24: (1, {'@': 255}), 0: (1, {'@': 255}), 36: (1, {'@': 255}), 37: (1, {'@': 255}), 1: (1, {'@': 255}), 38: (1, {'@': 255}), 27: (1, {'@': 255}), 39: (1, {'@': 255}), 3: (1, {'@': 255}), 40: (1, {'@': 255}), 32: (1, {'@': 255}), 41: (1, {'@': 255}), 17: (1, {'@': 255}), 19: (1, {'@': 255}), 42: (1, {'@': 255}), 25: (1, {'@': 255}), 43: (1, {'@': 255}), 26: (1, {'@': 255}), 44: (1, {'@': 255}), 45: (1, {'@': 255}), 46: (1, {'@': 255}), 2: (1, {'@': 255}), 28: (1, {'@': 255}), 29: (1, {'@': 255}), 30: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 31: (1, {'@': 255}), 49: (1, {'@': 255}), 6: (1, {'@': 255}), 50: (1, {'@': 255}), 12: (1, {'@': 255}), 51: (1, {'@': 255})}, 399: {16: (1, {'@': 256}), 33: (1, {'@': 256}), 18: (1, {'@': 256}), 21: (1, {'@': 256}), 23: (1, {'@': 256}), 34: (1, {'@': 256}), 4: (1, {'@': 256}), 35: (1, {'@': 256}), 24: (1, {'@': 256}), 0: (1, {'@': 256}), 36: (1, {'@': 256}), 37: (1, {'@': 256}), 1: (1, {'@': 256}), 38: (1, {'@': 256}), 27: (1, {'@': 256}), 39: (1, {'@': 256}), 3: (1, {'@': 256}), 40: (1, {'@': 256}), 32: (1, {'@': 256}), 41: (1, {'@': 256}), 17: (1, {'@': 256}), 19: (1, {'@': 256}), 42: (1, {'@': 256}), 25: (1, {'@': 256}), 43: (1, {'@': 256}), 26: (1, {'@': 256}), 44: (1, {'@': 256}), 45: (1, {'@': 256}), 46: (1, {'@': 256}), 2: (1, {'@': 256}), 28: (1, {'@': 256}), 29: (1, {'@': 256}), 30: (1, {'@': 256}), 47: (1, {'@': 256}), 48: (1, {'@': 256}), 31: (1, {'@': 256}), 49: (1, {'@': 256}), 6: (1, {'@': 256}), 50: (1, {'@': 256}), 12: (1, {'@': 256}), 51: (1, {'@': 256})}, 400: {17: (0, 439)}, 401: {16: (1, {'@': 257}), 33: (1, {'@': 257}), 18: (1, {'@': 257}), 21: (1, {'@': 257}), 23: (1, {'@': 257}), 34: (1, {'@': 257}), 4: (1, {'@': 257}), 35: (1, {'@': 257}), 24: (1, {'@': 257}), 0: (1, {'@': 257}), 36: (1, {'@': 257}), 37: (1, {'@': 257}), 1: (1, {'@': 257}), 38: (1, {'@': 257}), 27: (1, {'@': 257}), 39: (1, {'@': 257}), 3: (1, {'@': 257}), 40: (1, {'@': 257}), 32: (1, {'@': 257}), 41: (1, {'@': 257}), 17: (1, {'@': 257}), 19: (1, {'@': 257}), 42: (1, {'@': 257}), 25: (1, {'@': 257}), 43: (1, {'@': 257}), 26: (1, {'@': 257}), 44: (1, {'@': 257}), 45: (1, {'@': 257}), 46: (1, {'@': 257}), 2: (1, {'@': 257}), 28: (1, {'@': 257}), 29: (1, {'@': 257}), 30: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 31: (1, {'@': 257}), 49: (1, {'@': 257}), 6: (1, {'@': 257}), 50: (1, {'@': 257}), 12: (1, {'@': 257}), 51: (1, {'@': 257})}, 402: {17: (1, {'@': 258}), 24: (1, {'@': 258}), 1: (1, {'@': 258}), 2: (1, {'@': 258}), 29: (1, {'@': 258}), 3: (1, {'@': 258}), 42: (1, {'@': 258}), 76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 403: {16: (1, {'@': 259}), 33: (1, {'@': 259}), 18: (1, {'@': 259}), 21: (1, {'@': 259}), 23: (1, {'@': 259}), 34: (1, {'@': 259}), 4: (1, {'@': 259}), 35: (1, {'@': 259}), 24: (1, {'@': 259}), 0: (1, {'@': 259}), 36: (1, {'@': 259}), 37: (1, {'@': 259}), 1: (1, {'@': 259}), 38: (1, {'@': 259}), 27: (1, {'@': 259}), 39: (1, {'@': 259}), 3: (1, {'@': 259}), 40: (1, {'@': 259}), 32: (1, {'@': 259}), 41: (1, {'@': 259}), 17: (1, {'@': 259}), 19: (1, {'@': 259}), 42: (1, {'@': 259}), 25: (1, {'@': 259}), 43: (1, {'@': 259}), 26: (1, {'@': 259}), 44: (1, {'@': 259}), 45: (1, {'@': 259}), 46: (1, {'@': 259}), 2: (1, {'@': 259}), 28: (1, {'@': 259}), 29: (1, {'@': 259}), 30: (1, {'@': 259}), 47: (1, {'@': 259}), 48: (1, {'@': 259}), 31: (1, {'@': 259}), 49: (1, {'@': 259}), 6: (1, {'@': 259}), 50: (1, {'@': 259}), 12: (1, {'@': 259}), 51: (1, {'@': 259})}, 404: {4: (0, 440)}, 405: {16: (1, {'@': 260}), 33: (1, {'@': 260}), 18: (1, {'@': 260}), 21: (1, {'@': 260}), 23: (1, {'@': 260}), 34: (1, {'@': 260}), 4: (1, {'@': 260}), 35: (1, {'@': 260}), 24: (1, {'@': 260}), 0: (1, {'@': 260}), 36: (1, {'@': 260}), 37: (1, {'@': 260}), 1: (1, {'@': 260}), 38: (1, {'@': 260}), 27: (1, {'@': 260}), 39: (1, {'@': 260}), 3: (1, {'@': 260}), 40: (1, {'@': 260}), 32: (1, {'@': 260}), 41: (1, {'@': 260}), 17: (1, {'@': 260}), 19: (1, {'@': 260}), 42: (1, {'@': 260}), 25: (1, {'@': 260}), 43: (1, {'@': 260}), 26: (1, {'@': 260}), 44: (1, {'@': 260}), 45: (1, {'@': 260}), 46: (1, {'@': 260}), 2: (1, {'@': 260}), 28: (1, {'@': 260}), 29: (1, {'@': 260}), 30: (1, {'@': 260}), 47: (1, {'@': 260}), 48: (1, {'@': 260}), 31: (1, {'@': 260}), 49: (1, {'@': 260}), 6: (1, {'@': 260}), 50: (1, {'@': 260}), 12: (1, {'@': 260}), 51: (1, {'@': 260})}, 406: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 441), 21: (0, 186), 89: (0, 442), 2: (0, 14), 4: (0, 443)}, 407: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 444), 4: (0, 445), 2: (0, 14)}, 408: {16: (1, {'@': 261}), 33: (1, {'@': 261}), 18: (1, {'@': 261}), 21: (1, {'@': 261}), 23: (1, {'@': 261}), 34: (1, {'@': 261}), 4: (1, {'@': 261}), 35: (1, {'@': 261}), 24: (1, {'@': 261}), 0: (1, {'@': 261}), 36: (1, {'@': 261}), 37: (1, {'@': 261}), 1: (1, {'@': 261}), 38: (1, {'@': 261}), 27: (1, {'@': 261}), 39: (1, {'@': 261}), 3: (1, {'@': 261}), 40: (1, {'@': 261}), 32: (1, {'@': 261}), 41: (1, {'@': 261}), 17: (1, {'@': 261}), 19: (1, {'@': 261}), 42: (1, {'@': 261}), 25: (1, {'@': 261}), 43: (1, {'@': 261}), 26: (1, {'@': 261}), 44: (1, {'@': 261}), 45: (1, {'@': 261}), 46: (1, {'@': 261}), 2: (1, {'@': 261}), 28: (1, {'@': 261}), 29: (1, {'@': 261}), 30: (1, {'@': 261}), 47: (1, {'@': 261}), 48: (1, {'@': 261}), 31: (1, {'@': 261}), 49: (1, {'@': 261}), 6: (1, {'@': 261}), 50: (1, {'@': 261}), 12: (1, {'@': 261}), 51: (1, {'@': 261})}, 409: {3: (0, 2), 1: (0, 10), 7: (0, 4), 4: (0, 446), 2: (0, 14), 14: (0, 447)}, 410: {4: (0, 448)}, 411: {16: (1, {'@': 262}), 33: (1, {'@': 262}), 18: (1, {'@': 262}), 21: (1, {'@': 262}), 23: (1, {'@': 262}), 34: (1, {'@': 262}), 4: (1, {'@': 262}), 35: (1, {'@': 262}), 24: (1, {'@': 262}), 0: (1, {'@': 262}), 36: (1, {'@': 262}), 37: (1, {'@': 262}), 1: (1, {'@': 262}), 38: (1, {'@': 262}), 27: (1, {'@': 262}), 39: (1, {'@': 262}), 3: (1, {'@': 262}), 40: (1, {'@': 262}), 32: (1, {'@': 262}), 41: (1, {'@': 262}), 17: (1, {'@': 262}), 19: (1, {'@': 262}), 42: (1, {'@': 262}), 25: (1, {'@': 262}), 43: (1, {'@': 262}), 26: (1, {'@': 262}), 44: (1, {'@': 262}), 45: (1, {'@': 262}), 46: (1, {'@': 262}), 2: (1, {'@': 262}), 28: (1, {'@': 262}), 29: (1, {'@': 262}), 30: (1, {'@': 262}), 47: (1, {'@': 262}), 48: (1, {'@': 262}), 31: (1, {'@': 262}), 49: (1, {'@': 262}), 6: (1, {'@': 262}), 50: (1, {'@': 262}), 12: (1, {'@': 262}), 51: (1, {'@': 262})}, 412: {3: (0, 2), 7: (0, 4), 14: (0, 449), 21: (0, 186), 89: (0, 450), 1: (0, 10), 4: (0, 451), 2: (0, 14)}, 413: {3: (0, 2), 1: (0, 10), 7: (0, 4), 89: (0, 452), 4: (0, 453), 2: (0, 14), 21: (0, 186), 14: (0, 454)}, 414: {14: (0, 455), 3: (0, 2), 1: (0, 10), 7: (0, 4), 2: (0, 14), 4: (0, 456)}, 415: {16: (1, {'@': 263}), 33: (1, {'@': 263}), 18: (1, {'@': 263}), 21: (1, {'@': 263}), 23: (1, {'@': 263}), 34: (1, {'@': 263}), 4: (1, {'@': 263}), 35: (1, {'@': 263}), 24: (1, {'@': 263}), 0: (1, {'@': 263}), 36: (1, {'@': 263}), 37: (1, {'@': 263}), 1: (1, {'@': 263}), 38: (1, {'@': 263}), 27: (1, {'@': 263}), 39: (1, {'@': 263}), 3: (1, {'@': 263}), 40: (1, {'@': 263}), 32: (1, {'@': 263}), 41: (1, {'@': 263}), 17: (1, {'@': 263}), 19: (1, {'@': 263}), 42: (1, {'@': 263}), 25: (1, {'@': 263}), 43: (1, {'@': 263}), 26: (1, {'@': 263}), 44: (1, {'@': 263}), 45: (1, {'@': 263}), 46: (1, {'@': 263}), 2: (1, {'@': 263}), 28: (1, {'@': 263}), 29: (1, {'@': 263}), 30: (1, {'@': 263}), 47: (1, {'@': 263}), 48: (1, {'@': 263}), 31: (1, {'@': 263}), 49: (1, {'@': 263}), 6: (1, {'@': 263}), 50: (1, {'@': 263}), 12: (1, {'@': 263}), 51: (1, {'@': 263})}, 416: {18: (0, 34), 53: (0, 402), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 417: {16: (1, {'@': 264}), 33: (1, {'@': 264}), 18: (1, {'@': 264}), 21: (1, {'@': 264}), 23: (1, {'@': 264}), 34: (1, {'@': 264}), 4: (1, {'@': 264}), 35: (1, {'@': 264}), 24: (1, {'@': 264}), 0: (1, {'@': 264}), 36: (1, {'@': 264}), 37: (1, {'@': 264}), 1: (1, {'@': 264}), 38: (1, {'@': 264}), 27: (1, {'@': 264}), 39: (1, {'@': 264}), 3: (1, {'@': 264}), 40: (1, {'@': 264}), 32: (1, {'@': 264}), 41: (1, {'@': 264}), 17: (1, {'@': 264}), 19: (1, {'@': 264}), 42: (1, {'@': 264}), 25: (1, {'@': 264}), 43: (1, {'@': 264}), 26: (1, {'@': 264}), 44: (1, {'@': 264}), 45: (1, {'@': 264}), 46: (1, {'@': 264}), 2: (1, {'@': 264}), 28: (1, {'@': 264}), 29: (1, {'@': 264}), 30: (1, {'@': 264}), 47: (1, {'@': 264}), 48: (1, {'@': 264}), 31: (1, {'@': 264}), 49: (1, {'@': 264}), 6: (1, {'@': 264}), 50: (1, {'@': 264}), 12: (1, {'@': 264}), 51: (1, {'@': 264})}, 418: {16: (1, {'@': 265}), 33: (1, {'@': 265}), 18: (1, {'@': 265}), 21: (1, {'@': 265}), 23: (1, {'@': 265}), 34: (1, {'@': 265}), 4: (1, {'@': 265}), 35: (1, {'@': 265}), 24: (1, {'@': 265}), 0: (1, {'@': 265}), 36: (1, {'@': 265}), 37: (1, {'@': 265}), 1: (1, {'@': 265}), 38: (1, {'@': 265}), 27: (1, {'@': 265}), 39: (1, {'@': 265}), 3: (1, {'@': 265}), 40: (1, {'@': 265}), 32: (1, {'@': 265}), 41: (1, {'@': 265}), 17: (1, {'@': 265}), 19: (1, {'@': 265}), 42: (1, {'@': 265}), 25: (1, {'@': 265}), 43: (1, {'@': 265}), 26: (1, {'@': 265}), 44: (1, {'@': 265}), 45: (1, {'@': 265}), 46: (1, {'@': 265}), 2: (1, {'@': 265}), 28: (1, {'@': 265}), 29: (1, {'@': 265}), 30: (1, {'@': 265}), 47: (1, {'@': 265}), 48: (1, {'@': 265}), 31: (1, {'@': 265}), 49: (1, {'@': 265}), 6: (1, {'@': 265}), 50: (1, {'@': 265}), 12: (1, {'@': 265}), 51: (1, {'@': 265})}, 419: {17: (0, 457)}, 420: {16: (1, {'@': 266}), 33: (1, {'@': 266}), 18: (1, {'@': 266}), 21: (1, {'@': 266}), 23: (1, {'@': 266}), 34: (1, {'@': 266}), 4: (1, {'@': 266}), 35: (1, {'@': 266}), 24: (1, {'@': 266}), 0: (1, {'@': 266}), 36: (1, {'@': 266}), 37: (1, {'@': 266}), 1: (1, {'@': 266}), 38: (1, {'@': 266}), 27: (1, {'@': 266}), 39: (1, {'@': 266}), 3: (1, {'@': 266}), 40: (1, {'@': 266}), 32: (1, {'@': 266}), 41: (1, {'@': 266}), 17: (1, {'@': 266}), 19: (1, {'@': 266}), 42: (1, {'@': 266}), 25: (1, {'@': 266}), 43: (1, {'@': 266}), 26: (1, {'@': 266}), 44: (1, {'@': 266}), 45: (1, {'@': 266}), 46: (1, {'@': 266}), 2: (1, {'@': 266}), 28: (1, {'@': 266}), 29: (1, {'@': 266}), 30: (1, {'@': 266}), 47: (1, {'@': 266}), 48: (1, {'@': 266}), 31: (1, {'@': 266}), 49: (1, {'@': 266}), 6: (1, {'@': 266}), 50: (1, {'@': 266}), 12: (1, {'@': 266}), 51: (1, {'@': 266})}, 421: {16: (1, {'@': 267}), 33: (1, {'@': 267}), 18: (1, {'@': 267}), 21: (1, {'@': 267}), 23: (1, {'@': 267}), 34: (1, {'@': 267}), 4: (1, {'@': 267}), 35: (1, {'@': 267}), 24: (1, {'@': 267}), 0: (1, {'@': 267}), 36: (1, {'@': 267}), 37: (1, {'@': 267}), 1: (1, {'@': 267}), 38: (1, {'@': 267}), 27: (1, {'@': 267}), 39: (1, {'@': 267}), 3: (1, {'@': 267}), 40: (1, {'@': 267}), 32: (1, {'@': 267}), 41: (1, {'@': 267}), 17: (1, {'@': 267}), 19: (1, {'@': 267}), 42: (1, {'@': 267}), 25: (1, {'@': 267}), 43: (1, {'@': 267}), 26: (1, {'@': 267}), 44: (1, {'@': 267}), 45: (1, {'@': 267}), 46: (1, {'@': 267}), 2: (1, {'@': 267}), 28: (1, {'@': 267}), 29: (1, {'@': 267}), 30: (1, {'@': 267}), 47: (1, {'@': 267}), 48: (1, {'@': 267}), 31: (1, {'@': 267}), 49: (1, {'@': 267}), 6: (1, {'@': 267}), 50: (1, {'@': 267}), 12: (1, {'@': 267}), 51: (1, {'@': 267})}, 422: {16: (1, {'@': 268}), 33: (1, {'@': 268}), 18: (1, {'@': 268}), 21: (1, {'@': 268}), 23: (1, {'@': 268}), 34: (1, {'@': 268}), 4: (1, {'@': 268}), 35: (1, {'@': 268}), 24: (1, {'@': 268}), 0: (1, {'@': 268}), 36: (1, {'@': 268}), 37: (1, {'@': 268}), 1: (1, {'@': 268}), 38: (1, {'@': 268}), 27: (1, {'@': 268}), 39: (1, {'@': 268}), 3: (1, {'@': 268}), 40: (1, {'@': 268}), 32: (1, {'@': 268}), 41: (1, {'@': 268}), 17: (1, {'@': 268}), 19: (1, {'@': 268}), 42: (1, {'@': 268}), 25: (1, {'@': 268}), 43: (1, {'@': 268}), 26: (1, {'@': 268}), 44: (1, {'@': 268}), 45: (1, {'@': 268}), 46: (1, {'@': 268}), 2: (1, {'@': 268}), 28: (1, {'@': 268}), 29: (1, {'@': 268}), 30: (1, {'@': 268}), 47: (1, {'@': 268}), 48: (1, {'@': 268}), 31: (1, {'@': 268}), 49: (1, {'@': 268}), 6: (1, {'@': 268}), 50: (1, {'@': 268}), 12: (1, {'@': 268}), 51: (1, {'@': 268})}, 423: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 47: (0, 458), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 424: {18: (0, 34), 53: (0, 459), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 425: {18: (0, 34), 53: (0, 460), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 14: (0, 461), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 426: {16: (1, {'@': 269}), 18: (1, {'@': 269}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 269}), 19: (1, {'@': 269}), 28: (1, {'@': 269}), 30: (1, {'@': 269}), 23: (1, {'@': 269}), 32: (1, {'@': 269}), 31: (1, {'@': 269}), 6: (1, {'@': 269}), 25: (1, {'@': 269}), 12: (1, {'@': 269}), 3: (0, 2), 26: (1, {'@': 269}), 7: (0, 4), 14: (0, 462)}, 427: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 47: (0, 463), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 428: {16: (1, {'@': 270}), 18: (1, {'@': 270}), 1: (1, {'@': 270}), 2: (1, {'@': 270}), 27: (1, {'@': 270}), 19: (1, {'@': 270}), 28: (1, {'@': 270}), 30: (1, {'@': 270}), 23: (1, {'@': 270}), 32: (1, {'@': 270}), 31: (1, {'@': 270}), 6: (1, {'@': 270}), 25: (1, {'@': 270}), 12: (1, {'@': 270}), 3: (1, {'@': 270}), 26: (1, {'@': 270})}, 429: {16: (1, {'@': 271}), 18: (1, {'@': 271}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 271}), 19: (1, {'@': 271}), 28: (1, {'@': 271}), 30: (1, {'@': 271}), 23: (1, {'@': 271}), 32: (1, {'@': 271}), 31: (1, {'@': 271}), 6: (1, {'@': 271}), 25: (1, {'@': 271}), 12: (1, {'@': 271}), 3: (0, 2), 26: (1, {'@': 271}), 7: (0, 4), 14: (0, 464)}, 430: {16: (1, {'@': 272}), 18: (1, {'@': 272}), 1: (1, {'@': 272}), 2: (1, {'@': 272}), 27: (1, {'@': 272}), 19: (1, {'@': 272}), 28: (1, {'@': 272}), 30: (1, {'@': 272}), 23: (1, {'@': 272}), 32: (1, {'@': 272}), 31: (1, {'@': 272}), 6: (1, {'@': 272}), 25: (1, {'@': 272}), 12: (1, {'@': 272}), 3: (1, {'@': 272}), 26: (1, {'@': 272})}, 431: {18: (0, 34), 53: (0, 465), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 14: (0, 466), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 432: {22: (0, 467)}, 433: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 47: (0, 468), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 35: (0, 96), 41: (0, 95)}, 434: {18: (0, 34), 53: (0, 469), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 435: {16: (1, {'@': 273}), 18: (1, {'@': 273}), 1: (1, {'@': 273}), 2: (1, {'@': 273}), 27: (1, {'@': 273}), 19: (1, {'@': 273}), 28: (1, {'@': 273}), 30: (1, {'@': 273}), 23: (1, {'@': 273}), 32: (1, {'@': 273}), 31: (1, {'@': 273}), 6: (1, {'@': 273}), 25: (1, {'@': 273}), 12: (1, {'@': 273}), 3: (1, {'@': 273}), 26: (1, {'@': 273})}, 436: {16: (1, {'@': 274}), 18: (1, {'@': 274}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 274}), 19: (1, {'@': 274}), 28: (1, {'@': 274}), 30: (1, {'@': 274}), 23: (1, {'@': 274}), 32: (1, {'@': 274}), 31: (1, {'@': 274}), 6: (1, {'@': 274}), 25: (1, {'@': 274}), 12: (1, {'@': 274}), 3: (0, 2), 26: (1, {'@': 274}), 7: (0, 4), 14: (0, 470)}, 437: {16: (1, {'@': 275}), 18: (1, {'@': 275}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 275}), 19: (1, {'@': 275}), 28: (1, {'@': 275}), 30: (1, {'@': 275}), 23: (1, {'@': 275}), 32: (1, {'@': 275}), 31: (1, {'@': 275}), 6: (1, {'@': 275}), 25: (1, {'@': 275}), 12: (1, {'@': 275}), 3: (0, 2), 26: (1, {'@': 275}), 7: (0, 4), 14: (0, 471)}, 438: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 47: (0, 472), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 439: {16: (1, {'@': 276}), 33: (1, {'@': 276}), 18: (1, {'@': 276}), 21: (1, {'@': 276}), 23: (1, {'@': 276}), 34: (1, {'@': 276}), 4: (1, {'@': 276}), 35: (1, {'@': 276}), 24: (1, {'@': 276}), 0: (1, {'@': 276}), 36: (1, {'@': 276}), 37: (1, {'@': 276}), 1: (1, {'@': 276}), 38: (1, {'@': 276}), 27: (1, {'@': 276}), 39: (1, {'@': 276}), 3: (1, {'@': 276}), 40: (1, {'@': 276}), 32: (1, {'@': 276}), 41: (1, {'@': 276}), 17: (1, {'@': 276}), 19: (1, {'@': 276}), 42: (1, {'@': 276}), 25: (1, {'@': 276}), 43: (1, {'@': 276}), 26: (1, {'@': 276}), 44: (1, {'@': 276}), 45: (1, {'@': 276}), 46: (1, {'@': 276}), 2: (1, {'@': 276}), 28: (1, {'@': 276}), 29: (1, {'@': 276}), 30: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 31: (1, {'@': 276}), 49: (1, {'@': 276}), 6: (1, {'@': 276}), 50: (1, {'@': 276}), 12: (1, {'@': 276}), 51: (1, {'@': 276})}, 440: {16: (1, {'@': 277}), 33: (1, {'@': 277}), 18: (1, {'@': 277}), 21: (1, {'@': 277}), 23: (1, {'@': 277}), 34: (1, {'@': 277}), 4: (1, {'@': 277}), 35: (1, {'@': 277}), 24: (1, {'@': 277}), 0: (1, {'@': 277}), 36: (1, {'@': 277}), 37: (1, {'@': 277}), 1: (1, {'@': 277}), 38: (1, {'@': 277}), 27: (1, {'@': 277}), 39: (1, {'@': 277}), 3: (1, {'@': 277}), 40: (1, {'@': 277}), 32: (1, {'@': 277}), 41: (1, {'@': 277}), 17: (1, {'@': 277}), 19: (1, {'@': 277}), 42: (1, {'@': 277}), 25: (1, {'@': 277}), 43: (1, {'@': 277}), 26: (1, {'@': 277}), 44: (1, {'@': 277}), 45: (1, {'@': 277}), 46: (1, {'@': 277}), 2: (1, {'@': 277}), 28: (1, {'@': 277}), 29: (1, {'@': 277}), 30: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 31: (1, {'@': 277}), 49: (1, {'@': 277}), 6: (1, {'@': 277}), 50: (1, {'@': 277}), 12: (1, {'@': 277}), 51: (1, {'@': 277})}, 441: {4: (0, 473)}, 442: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 474), 4: (0, 475), 2: (0, 14)}, 443: {16: (1, {'@': 278}), 33: (1, {'@': 278}), 18: (1, {'@': 278}), 21: (1, {'@': 278}), 23: (1, {'@': 278}), 34: (1, {'@': 278}), 4: (1, {'@': 278}), 35: (1, {'@': 278}), 24: (1, {'@': 278}), 0: (1, {'@': 278}), 36: (1, {'@': 278}), 37: (1, {'@': 278}), 1: (1, {'@': 278}), 38: (1, {'@': 278}), 27: (1, {'@': 278}), 39: (1, {'@': 278}), 3: (1, {'@': 278}), 40: (1, {'@': 278}), 32: (1, {'@': 278}), 41: (1, {'@': 278}), 17: (1, {'@': 278}), 19: (1, {'@': 278}), 42: (1, {'@': 278}), 25: (1, {'@': 278}), 43: (1, {'@': 278}), 26: (1, {'@': 278}), 44: (1, {'@': 278}), 45: (1, {'@': 278}), 46: (1, {'@': 278}), 2: (1, {'@': 278}), 28: (1, {'@': 278}), 29: (1, {'@': 278}), 30: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 31: (1, {'@': 278}), 49: (1, {'@': 278}), 6: (1, {'@': 278}), 50: (1, {'@': 278}), 12: (1, {'@': 278}), 51: (1, {'@': 278})}, 444: {4: (0, 476)}, 445: {16: (1, {'@': 279}), 33: (1, {'@': 279}), 18: (1, {'@': 279}), 21: (1, {'@': 279}), 23: (1, {'@': 279}), 34: (1, {'@': 279}), 4: (1, {'@': 279}), 35: (1, {'@': 279}), 24: (1, {'@': 279}), 0: (1, {'@': 279}), 36: (1, {'@': 279}), 37: (1, {'@': 279}), 1: (1, {'@': 279}), 38: (1, {'@': 279}), 27: (1, {'@': 279}), 39: (1, {'@': 279}), 3: (1, {'@': 279}), 40: (1, {'@': 279}), 32: (1, {'@': 279}), 41: (1, {'@': 279}), 17: (1, {'@': 279}), 19: (1, {'@': 279}), 42: (1, {'@': 279}), 25: (1, {'@': 279}), 43: (1, {'@': 279}), 26: (1, {'@': 279}), 44: (1, {'@': 279}), 45: (1, {'@': 279}), 46: (1, {'@': 279}), 2: (1, {'@': 279}), 28: (1, {'@': 279}), 29: (1, {'@': 279}), 30: (1, {'@': 279}), 47: (1, {'@': 279}), 48: (1, {'@': 279}), 31: (1, {'@': 279}), 49: (1, {'@': 279}), 6: (1, {'@': 279}), 50: (1, {'@': 279}), 12: (1, {'@': 279}), 51: (1, {'@': 279})}, 446: {16: (1, {'@': 280}), 33: (1, {'@': 280}), 18: (1, {'@': 280}), 21: (1, {'@': 280}), 23: (1, {'@': 280}), 34: (1, {'@': 280}), 4: (1, {'@': 280}), 35: (1, {'@': 280}), 24: (1, {'@': 280}), 0: (1, {'@': 280}), 36: (1, {'@': 280}), 37: (1, {'@': 280}), 1: (1, {'@': 280}), 38: (1, {'@': 280}), 27: (1, {'@': 280}), 39: (1, {'@': 280}), 3: (1, {'@': 280}), 40: (1, {'@': 280}), 32: (1, {'@': 280}), 41: (1, {'@': 280}), 17: (1, {'@': 280}), 19: (1, {'@': 280}), 42: (1, {'@': 280}), 25: (1, {'@': 280}), 43: (1, {'@': 280}), 26: (1, {'@': 280}), 44: (1, {'@': 280}), 45: (1, {'@': 280}), 46: (1, {'@': 280}), 2: (1, {'@': 280}), 28: (1, {'@': 280}), 29: (1, {'@': 280}), 30: (1, {'@': 280}), 47: (1, {'@': 280}), 48: (1, {'@': 280}), 31: (1, {'@': 280}), 49: (1, {'@': 280}), 6: (1, {'@': 280}), 50: (1, {'@': 280}), 12: (1, {'@': 280}), 51: (1, {'@': 280})}, 447: {4: (0, 477)}, 448: {16: (1, {'@': 281}), 33: (1, {'@': 281}), 18: (1, {'@': 281}), 21: (1, {'@': 281}), 23: (1, {'@': 281}), 34: (1, {'@': 281}), 4: (1, {'@': 281}), 35: (1, {'@': 281}), 24: (1, {'@': 281}), 0: (1, {'@': 281}), 36: (1, {'@': 281}), 37: (1, {'@': 281}), 1: (1, {'@': 281}), 38: (1, {'@': 281}), 27: (1, {'@': 281}), 39: (1, {'@': 281}), 3: (1, {'@': 281}), 40: (1, {'@': 281}), 32: (1, {'@': 281}), 41: (1, {'@': 281}), 17: (1, {'@': 281}), 19: (1, {'@': 281}), 42: (1, {'@': 281}), 25: (1, {'@': 281}), 43: (1, {'@': 281}), 26: (1, {'@': 281}), 44: (1, {'@': 281}), 45: (1, {'@': 281}), 46: (1, {'@': 281}), 2: (1, {'@': 281}), 28: (1, {'@': 281}), 29: (1, {'@': 281}), 30: (1, {'@': 281}), 47: (1, {'@': 281}), 48: (1, {'@': 281}), 31: (1, {'@': 281}), 49: (1, {'@': 281}), 6: (1, {'@': 281}), 50: (1, {'@': 281}), 12: (1, {'@': 281}), 51: (1, {'@': 281})}, 449: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 478), 89: (0, 479), 21: (0, 186), 4: (0, 480), 2: (0, 14)}, 450: {3: (0, 2), 1: (0, 10), 14: (0, 481), 7: (0, 4), 4: (0, 482), 2: (0, 14)}, 451: {16: (1, {'@': 282}), 33: (1, {'@': 282}), 18: (1, {'@': 282}), 21: (1, {'@': 282}), 23: (1, {'@': 282}), 34: (1, {'@': 282}), 4: (1, {'@': 282}), 35: (1, {'@': 282}), 24: (1, {'@': 282}), 0: (1, {'@': 282}), 36: (1, {'@': 282}), 37: (1, {'@': 282}), 1: (1, {'@': 282}), 38: (1, {'@': 282}), 27: (1, {'@': 282}), 39: (1, {'@': 282}), 3: (1, {'@': 282}), 40: (1, {'@': 282}), 32: (1, {'@': 282}), 41: (1, {'@': 282}), 17: (1, {'@': 282}), 19: (1, {'@': 282}), 42: (1, {'@': 282}), 25: (1, {'@': 282}), 43: (1, {'@': 282}), 26: (1, {'@': 282}), 44: (1, {'@': 282}), 45: (1, {'@': 282}), 46: (1, {'@': 282}), 2: (1, {'@': 282}), 28: (1, {'@': 282}), 29: (1, {'@': 282}), 30: (1, {'@': 282}), 47: (1, {'@': 282}), 48: (1, {'@': 282}), 31: (1, {'@': 282}), 49: (1, {'@': 282}), 6: (1, {'@': 282}), 50: (1, {'@': 282}), 12: (1, {'@': 282}), 51: (1, {'@': 282})}, 452: {3: (0, 2), 1: (0, 10), 14: (0, 483), 7: (0, 4), 2: (0, 14), 4: (0, 484)}, 453: {16: (1, {'@': 283}), 33: (1, {'@': 283}), 18: (1, {'@': 283}), 21: (1, {'@': 283}), 23: (1, {'@': 283}), 34: (1, {'@': 283}), 4: (1, {'@': 283}), 35: (1, {'@': 283}), 24: (1, {'@': 283}), 0: (1, {'@': 283}), 36: (1, {'@': 283}), 37: (1, {'@': 283}), 1: (1, {'@': 283}), 38: (1, {'@': 283}), 27: (1, {'@': 283}), 39: (1, {'@': 283}), 3: (1, {'@': 283}), 40: (1, {'@': 283}), 32: (1, {'@': 283}), 41: (1, {'@': 283}), 17: (1, {'@': 283}), 19: (1, {'@': 283}), 42: (1, {'@': 283}), 25: (1, {'@': 283}), 43: (1, {'@': 283}), 26: (1, {'@': 283}), 44: (1, {'@': 283}), 45: (1, {'@': 283}), 46: (1, {'@': 283}), 2: (1, {'@': 283}), 28: (1, {'@': 283}), 29: (1, {'@': 283}), 30: (1, {'@': 283}), 47: (1, {'@': 283}), 48: (1, {'@': 283}), 31: (1, {'@': 283}), 49: (1, {'@': 283}), 6: (1, {'@': 283}), 50: (1, {'@': 283}), 12: (1, {'@': 283}), 51: (1, {'@': 283})}, 454: {4: (0, 485)}, 455: {4: (0, 486)}, 456: {16: (1, {'@': 284}), 33: (1, {'@': 284}), 18: (1, {'@': 284}), 21: (1, {'@': 284}), 23: (1, {'@': 284}), 34: (1, {'@': 284}), 4: (1, {'@': 284}), 35: (1, {'@': 284}), 24: (1, {'@': 284}), 0: (1, {'@': 284}), 36: (1, {'@': 284}), 37: (1, {'@': 284}), 1: (1, {'@': 284}), 38: (1, {'@': 284}), 27: (1, {'@': 284}), 39: (1, {'@': 284}), 3: (1, {'@': 284}), 40: (1, {'@': 284}), 32: (1, {'@': 284}), 41: (1, {'@': 284}), 17: (1, {'@': 284}), 19: (1, {'@': 284}), 42: (1, {'@': 284}), 25: (1, {'@': 284}), 43: (1, {'@': 284}), 26: (1, {'@': 284}), 44: (1, {'@': 284}), 45: (1, {'@': 284}), 46: (1, {'@': 284}), 2: (1, {'@': 284}), 28: (1, {'@': 284}), 29: (1, {'@': 284}), 30: (1, {'@': 284}), 47: (1, {'@': 284}), 48: (1, {'@': 284}), 31: (1, {'@': 284}), 49: (1, {'@': 284}), 6: (1, {'@': 284}), 50: (1, {'@': 284}), 12: (1, {'@': 284}), 51: (1, {'@': 284})}, 457: {16: (1, {'@': 285}), 33: (1, {'@': 285}), 18: (1, {'@': 285}), 21: (1, {'@': 285}), 23: (1, {'@': 285}), 34: (1, {'@': 285}), 4: (1, {'@': 285}), 35: (1, {'@': 285}), 24: (1, {'@': 285}), 0: (1, {'@': 285}), 36: (1, {'@': 285}), 37: (1, {'@': 285}), 1: (1, {'@': 285}), 38: (1, {'@': 285}), 27: (1, {'@': 285}), 39: (1, {'@': 285}), 3: (1, {'@': 285}), 40: (1, {'@': 285}), 32: (1, {'@': 285}), 41: (1, {'@': 285}), 17: (1, {'@': 285}), 19: (1, {'@': 285}), 42: (1, {'@': 285}), 25: (1, {'@': 285}), 43: (1, {'@': 285}), 26: (1, {'@': 285}), 44: (1, {'@': 285}), 45: (1, {'@': 285}), 46: (1, {'@': 285}), 2: (1, {'@': 285}), 28: (1, {'@': 285}), 29: (1, {'@': 285}), 30: (1, {'@': 285}), 47: (1, {'@': 285}), 48: (1, {'@': 285}), 31: (1, {'@': 285}), 49: (1, {'@': 285}), 6: (1, {'@': 285}), 50: (1, {'@': 285}), 12: (1, {'@': 285}), 51: (1, {'@': 285})}, 458: {16: (1, {'@': 286}), 18: (1, {'@': 286}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 286}), 19: (1, {'@': 286}), 28: (1, {'@': 286}), 30: (1, {'@': 286}), 23: (1, {'@': 286}), 32: (1, {'@': 286}), 31: (1, {'@': 286}), 6: (1, {'@': 286}), 25: (1, {'@': 286}), 12: (1, {'@': 286}), 3: (0, 2), 26: (1, {'@': 286}), 7: (0, 4), 14: (0, 487)}, 459: {76: (0, 80), 47: (0, 488), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 460: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 47: (0, 489), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 461: {18: (0, 34), 53: (0, 490), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 462: {16: (1, {'@': 287}), 18: (1, {'@': 287}), 1: (1, {'@': 287}), 2: (1, {'@': 287}), 27: (1, {'@': 287}), 19: (1, {'@': 287}), 28: (1, {'@': 287}), 30: (1, {'@': 287}), 23: (1, {'@': 287}), 32: (1, {'@': 287}), 31: (1, {'@': 287}), 6: (1, {'@': 287}), 25: (1, {'@': 287}), 12: (1, {'@': 287}), 3: (1, {'@': 287}), 26: (1, {'@': 287})}, 463: {16: (1, {'@': 288}), 18: (1, {'@': 288}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 288}), 19: (1, {'@': 288}), 28: (1, {'@': 288}), 30: (1, {'@': 288}), 23: (1, {'@': 288}), 32: (1, {'@': 288}), 31: (1, {'@': 288}), 6: (1, {'@': 288}), 25: (1, {'@': 288}), 12: (1, {'@': 288}), 3: (0, 2), 26: (1, {'@': 288}), 7: (0, 4), 14: (0, 491)}, 464: {16: (1, {'@': 289}), 18: (1, {'@': 289}), 1: (1, {'@': 289}), 2: (1, {'@': 289}), 27: (1, {'@': 289}), 19: (1, {'@': 289}), 28: (1, {'@': 289}), 30: (1, {'@': 289}), 23: (1, {'@': 289}), 32: (1, {'@': 289}), 31: (1, {'@': 289}), 6: (1, {'@': 289}), 25: (1, {'@': 289}), 12: (1, {'@': 289}), 3: (1, {'@': 289}), 26: (1, {'@': 289})}, 465: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 47: (0, 492), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 466: {18: (0, 34), 53: (0, 493), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 467: {18: (0, 34), 53: (0, 494), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 32: (0, 43), 55: (0, 42), 56: (0, 44), 57: (0, 45), 7: (0, 4), 8: (0, 46), 58: (0, 47), 59: (0, 48), 3: (0, 2), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 14: (0, 495), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 2: (0, 14), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 1: (0, 10), 73: (0, 67), 74: (0, 68)}, 468: {16: (1, {'@': 290}), 18: (1, {'@': 290}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 290}), 19: (1, {'@': 290}), 28: (1, {'@': 290}), 30: (1, {'@': 290}), 23: (1, {'@': 290}), 32: (1, {'@': 290}), 31: (1, {'@': 290}), 6: (1, {'@': 290}), 25: (1, {'@': 290}), 12: (1, {'@': 290}), 3: (0, 2), 26: (1, {'@': 290}), 7: (0, 4), 14: (0, 496)}, 469: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 47: (0, 497), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 470: {16: (1, {'@': 291}), 18: (1, {'@': 291}), 1: (1, {'@': 291}), 2: (1, {'@': 291}), 27: (1, {'@': 291}), 19: (1, {'@': 291}), 28: (1, {'@': 291}), 30: (1, {'@': 291}), 23: (1, {'@': 291}), 32: (1, {'@': 291}), 31: (1, {'@': 291}), 6: (1, {'@': 291}), 25: (1, {'@': 291}), 12: (1, {'@': 291}), 3: (1, {'@': 291}), 26: (1, {'@': 291})}, 471: {16: (1, {'@': 292}), 18: (1, {'@': 292}), 1: (1, {'@': 292}), 2: (1, {'@': 292}), 27: (1, {'@': 292}), 19: (1, {'@': 292}), 28: (1, {'@': 292}), 30: (1, {'@': 292}), 23: (1, {'@': 292}), 32: (1, {'@': 292}), 31: (1, {'@': 292}), 6: (1, {'@': 292}), 25: (1, {'@': 292}), 12: (1, {'@': 292}), 3: (1, {'@': 292}), 26: (1, {'@': 292})}, 472: {16: (1, {'@': 293}), 18: (1, {'@': 293}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 293}), 19: (1, {'@': 293}), 28: (1, {'@': 293}), 30: (1, {'@': 293}), 23: (1, {'@': 293}), 32: (1, {'@': 293}), 31: (1, {'@': 293}), 6: (1, {'@': 293}), 25: (1, {'@': 293}), 12: (1, {'@': 293}), 3: (0, 2), 26: (1, {'@': 293}), 7: (0, 4), 14: (0, 498)}, 473: {16: (1, {'@': 294}), 33: (1, {'@': 294}), 18: (1, {'@': 294}), 21: (1, {'@': 294}), 23: (1, {'@': 294}), 34: (1, {'@': 294}), 4: (1, {'@': 294}), 35: (1, {'@': 294}), 24: (1, {'@': 294}), 0: (1, {'@': 294}), 36: (1, {'@': 294}), 37: (1, {'@': 294}), 1: (1, {'@': 294}), 38: (1, {'@': 294}), 27: (1, {'@': 294}), 39: (1, {'@': 294}), 3: (1, {'@': 294}), 40: (1, {'@': 294}), 32: (1, {'@': 294}), 41: (1, {'@': 294}), 17: (1, {'@': 294}), 19: (1, {'@': 294}), 42: (1, {'@': 294}), 25: (1, {'@': 294}), 43: (1, {'@': 294}), 26: (1, {'@': 294}), 44: (1, {'@': 294}), 45: (1, {'@': 294}), 46: (1, {'@': 294}), 2: (1, {'@': 294}), 28: (1, {'@': 294}), 29: (1, {'@': 294}), 30: (1, {'@': 294}), 47: (1, {'@': 294}), 48: (1, {'@': 294}), 31: (1, {'@': 294}), 49: (1, {'@': 294}), 6: (1, {'@': 294}), 50: (1, {'@': 294}), 12: (1, {'@': 294}), 51: (1, {'@': 294})}, 474: {4: (0, 499)}, 475: {16: (1, {'@': 295}), 33: (1, {'@': 295}), 18: (1, {'@': 295}), 21: (1, {'@': 295}), 23: (1, {'@': 295}), 34: (1, {'@': 295}), 4: (1, {'@': 295}), 35: (1, {'@': 295}), 24: (1, {'@': 295}), 0: (1, {'@': 295}), 36: (1, {'@': 295}), 37: (1, {'@': 295}), 1: (1, {'@': 295}), 38: (1, {'@': 295}), 27: (1, {'@': 295}), 39: (1, {'@': 295}), 3: (1, {'@': 295}), 40: (1, {'@': 295}), 32: (1, {'@': 295}), 41: (1, {'@': 295}), 17: (1, {'@': 295}), 19: (1, {'@': 295}), 42: (1, {'@': 295}), 25: (1, {'@': 295}), 43: (1, {'@': 295}), 26: (1, {'@': 295}), 44: (1, {'@': 295}), 45: (1, {'@': 295}), 46: (1, {'@': 295}), 2: (1, {'@': 295}), 28: (1, {'@': 295}), 29: (1, {'@': 295}), 30: (1, {'@': 295}), 47: (1, {'@': 295}), 48: (1, {'@': 295}), 31: (1, {'@': 295}), 49: (1, {'@': 295}), 6: (1, {'@': 295}), 50: (1, {'@': 295}), 12: (1, {'@': 295}), 51: (1, {'@': 295})}, 476: {16: (1, {'@': 296}), 33: (1, {'@': 296}), 18: (1, {'@': 296}), 21: (1, {'@': 296}), 23: (1, {'@': 296}), 34: (1, {'@': 296}), 4: (1, {'@': 296}), 35: (1, {'@': 296}), 24: (1, {'@': 296}), 0: (1, {'@': 296}), 36: (1, {'@': 296}), 37: (1, {'@': 296}), 1: (1, {'@': 296}), 38: (1, {'@': 296}), 27: (1, {'@': 296}), 39: (1, {'@': 296}), 3: (1, {'@': 296}), 40: (1, {'@': 296}), 32: (1, {'@': 296}), 41: (1, {'@': 296}), 17: (1, {'@': 296}), 19: (1, {'@': 296}), 42: (1, {'@': 296}), 25: (1, {'@': 296}), 43: (1, {'@': 296}), 26: (1, {'@': 296}), 44: (1, {'@': 296}), 45: (1, {'@': 296}), 46: (1, {'@': 296}), 2: (1, {'@': 296}), 28: (1, {'@': 296}), 29: (1, {'@': 296}), 30: (1, {'@': 296}), 47: (1, {'@': 296}), 48: (1, {'@': 296}), 31: (1, {'@': 296}), 49: (1, {'@': 296}), 6: (1, {'@': 296}), 50: (1, {'@': 296}), 12: (1, {'@': 296}), 51: (1, {'@': 296})}, 477: {16: (1, {'@': 297}), 33: (1, {'@': 297}), 18: (1, {'@': 297}), 21: (1, {'@': 297}), 23: (1, {'@': 297}), 34: (1, {'@': 297}), 4: (1, {'@': 297}), 35: (1, {'@': 297}), 24: (1, {'@': 297}), 0: (1, {'@': 297}), 36: (1, {'@': 297}), 37: (1, {'@': 297}), 1: (1, {'@': 297}), 38: (1, {'@': 297}), 27: (1, {'@': 297}), 39: (1, {'@': 297}), 3: (1, {'@': 297}), 40: (1, {'@': 297}), 32: (1, {'@': 297}), 41: (1, {'@': 297}), 17: (1, {'@': 297}), 19: (1, {'@': 297}), 42: (1, {'@': 297}), 25: (1, {'@': 297}), 43: (1, {'@': 297}), 26: (1, {'@': 297}), 44: (1, {'@': 297}), 45: (1, {'@': 297}), 46: (1, {'@': 297}), 2: (1, {'@': 297}), 28: (1, {'@': 297}), 29: (1, {'@': 297}), 30: (1, {'@': 297}), 47: (1, {'@': 297}), 48: (1, {'@': 297}), 31: (1, {'@': 297}), 49: (1, {'@': 297}), 6: (1, {'@': 297}), 50: (1, {'@': 297}), 12: (1, {'@': 297}), 51: (1, {'@': 297})}, 478: {4: (0, 500)}, 479: {3: (0, 2), 1: (0, 10), 7: (0, 4), 14: (0, 501), 4: (0, 502), 2: (0, 14)}, 480: {16: (1, {'@': 298}), 33: (1, {'@': 298}), 18: (1, {'@': 298}), 21: (1, {'@': 298}), 23: (1, {'@': 298}), 34: (1, {'@': 298}), 4: (1, {'@': 298}), 35: (1, {'@': 298}), 24: (1, {'@': 298}), 0: (1, {'@': 298}), 36: (1, {'@': 298}), 37: (1, {'@': 298}), 1: (1, {'@': 298}), 38: (1, {'@': 298}), 27: (1, {'@': 298}), 39: (1, {'@': 298}), 3: (1, {'@': 298}), 40: (1, {'@': 298}), 32: (1, {'@': 298}), 41: (1, {'@': 298}), 17: (1, {'@': 298}), 19: (1, {'@': 298}), 42: (1, {'@': 298}), 25: (1, {'@': 298}), 43: (1, {'@': 298}), 26: (1, {'@': 298}), 44: (1, {'@': 298}), 45: (1, {'@': 298}), 46: (1, {'@': 298}), 2: (1, {'@': 298}), 28: (1, {'@': 298}), 29: (1, {'@': 298}), 30: (1, {'@': 298}), 47: (1, {'@': 298}), 48: (1, {'@': 298}), 31: (1, {'@': 298}), 49: (1, {'@': 298}), 6: (1, {'@': 298}), 50: (1, {'@': 298}), 12: (1, {'@': 298}), 51: (1, {'@': 298})}, 481: {4: (0, 503)}, 482: {16: (1, {'@': 299}), 33: (1, {'@': 299}), 18: (1, {'@': 299}), 21: (1, {'@': 299}), 23: (1, {'@': 299}), 34: (1, {'@': 299}), 4: (1, {'@': 299}), 35: (1, {'@': 299}), 24: (1, {'@': 299}), 0: (1, {'@': 299}), 36: (1, {'@': 299}), 37: (1, {'@': 299}), 1: (1, {'@': 299}), 38: (1, {'@': 299}), 27: (1, {'@': 299}), 39: (1, {'@': 299}), 3: (1, {'@': 299}), 40: (1, {'@': 299}), 32: (1, {'@': 299}), 41: (1, {'@': 299}), 17: (1, {'@': 299}), 19: (1, {'@': 299}), 42: (1, {'@': 299}), 25: (1, {'@': 299}), 43: (1, {'@': 299}), 26: (1, {'@': 299}), 44: (1, {'@': 299}), 45: (1, {'@': 299}), 46: (1, {'@': 299}), 2: (1, {'@': 299}), 28: (1, {'@': 299}), 29: (1, {'@': 299}), 30: (1, {'@': 299}), 47: (1, {'@': 299}), 48: (1, {'@': 299}), 31: (1, {'@': 299}), 49: (1, {'@': 299}), 6: (1, {'@': 299}), 50: (1, {'@': 299}), 12: (1, {'@': 299}), 51: (1, {'@': 299})}, 483: {4: (0, 504)}, 484: {16: (1, {'@': 300}), 33: (1, {'@': 300}), 18: (1, {'@': 300}), 21: (1, {'@': 300}), 23: (1, {'@': 300}), 34: (1, {'@': 300}), 4: (1, {'@': 300}), 35: (1, {'@': 300}), 24: (1, {'@': 300}), 0: (1, {'@': 300}), 36: (1, {'@': 300}), 37: (1, {'@': 300}), 1: (1, {'@': 300}), 38: (1, {'@': 300}), 27: (1, {'@': 300}), 39: (1, {'@': 300}), 3: (1, {'@': 300}), 40: (1, {'@': 300}), 32: (1, {'@': 300}), 41: (1, {'@': 300}), 17: (1, {'@': 300}), 19: (1, {'@': 300}), 42: (1, {'@': 300}), 25: (1, {'@': 300}), 43: (1, {'@': 300}), 26: (1, {'@': 300}), 44: (1, {'@': 300}), 45: (1, {'@': 300}), 46: (1, {'@': 300}), 2: (1, {'@': 300}), 28: (1, {'@': 300}), 29: (1, {'@': 300}), 30: (1, {'@': 300}), 47: (1, {'@': 300}), 48: (1, {'@': 300}), 31: (1, {'@': 300}), 49: (1, {'@': 300}), 6: (1, {'@': 300}), 50: (1, {'@': 300}), 12: (1, {'@': 300}), 51: (1, {'@': 300})}, 485: {16: (1, {'@': 301}), 33: (1, {'@': 301}), 18: (1, {'@': 301}), 21: (1, {'@': 301}), 23: (1, {'@': 301}), 34: (1, {'@': 301}), 4: (1, {'@': 301}), 35: (1, {'@': 301}), 24: (1, {'@': 301}), 0: (1, {'@': 301}), 36: (1, {'@': 301}), 37: (1, {'@': 301}), 1: (1, {'@': 301}), 38: (1, {'@': 301}), 27: (1, {'@': 301}), 39: (1, {'@': 301}), 3: (1, {'@': 301}), 40: (1, {'@': 301}), 32: (1, {'@': 301}), 41: (1, {'@': 301}), 17: (1, {'@': 301}), 19: (1, {'@': 301}), 42: (1, {'@': 301}), 25: (1, {'@': 301}), 43: (1, {'@': 301}), 26: (1, {'@': 301}), 44: (1, {'@': 301}), 45: (1, {'@': 301}), 46: (1, {'@': 301}), 2: (1, {'@': 301}), 28: (1, {'@': 301}), 29: (1, {'@': 301}), 30: (1, {'@': 301}), 47: (1, {'@': 301}), 48: (1, {'@': 301}), 31: (1, {'@': 301}), 49: (1, {'@': 301}), 6: (1, {'@': 301}), 50: (1, {'@': 301}), 12: (1, {'@': 301}), 51: (1, {'@': 301})}, 486: {16: (1, {'@': 302}), 33: (1, {'@': 302}), 18: (1, {'@': 302}), 21: (1, {'@': 302}), 23: (1, {'@': 302}), 34: (1, {'@': 302}), 4: (1, {'@': 302}), 35: (1, {'@': 302}), 24: (1, {'@': 302}), 0: (1, {'@': 302}), 36: (1, {'@': 302}), 37: (1, {'@': 302}), 1: (1, {'@': 302}), 38: (1, {'@': 302}), 27: (1, {'@': 302}), 39: (1, {'@': 302}), 3: (1, {'@': 302}), 40: (1, {'@': 302}), 32: (1, {'@': 302}), 41: (1, {'@': 302}), 17: (1, {'@': 302}), 19: (1, {'@': 302}), 42: (1, {'@': 302}), 25: (1, {'@': 302}), 43: (1, {'@': 302}), 26: (1, {'@': 302}), 44: (1, {'@': 302}), 45: (1, {'@': 302}), 46: (1, {'@': 302}), 2: (1, {'@': 302}), 28: (1, {'@': 302}), 29: (1, {'@': 302}), 30: (1, {'@': 302}), 47: (1, {'@': 302}), 48: (1, {'@': 302}), 31: (1, {'@': 302}), 49: (1, {'@': 302}), 6: (1, {'@': 302}), 50: (1, {'@': 302}), 12: (1, {'@': 302}), 51: (1, {'@': 302})}, 487: {16: (1, {'@': 303}), 18: (1, {'@': 303}), 1: (1, {'@': 303}), 2: (1, {'@': 303}), 27: (1, {'@': 303}), 19: (1, {'@': 303}), 28: (1, {'@': 303}), 30: (1, {'@': 303}), 23: (1, {'@': 303}), 32: (1, {'@': 303}), 31: (1, {'@': 303}), 6: (1, {'@': 303}), 25: (1, {'@': 303}), 12: (1, {'@': 303}), 3: (1, {'@': 303}), 26: (1, {'@': 303})}, 488: {16: (1, {'@': 304}), 18: (1, {'@': 304}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 304}), 19: (1, {'@': 304}), 28: (1, {'@': 304}), 30: (1, {'@': 304}), 23: (1, {'@': 304}), 32: (1, {'@': 304}), 31: (1, {'@': 304}), 6: (1, {'@': 304}), 25: (1, {'@': 304}), 12: (1, {'@': 304}), 3: (0, 2), 26: (1, {'@': 304}), 7: (0, 4), 14: (0, 505)}, 489: {16: (1, {'@': 305}), 18: (1, {'@': 305}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 305}), 19: (1, {'@': 305}), 28: (1, {'@': 305}), 30: (1, {'@': 305}), 23: (1, {'@': 305}), 32: (1, {'@': 305}), 31: (1, {'@': 305}), 6: (1, {'@': 305}), 25: (1, {'@': 305}), 12: (1, {'@': 305}), 3: (0, 2), 26: (1, {'@': 305}), 7: (0, 4), 14: (0, 506)}, 490: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 47: (0, 507), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 491: {16: (1, {'@': 306}), 18: (1, {'@': 306}), 1: (1, {'@': 306}), 2: (1, {'@': 306}), 27: (1, {'@': 306}), 19: (1, {'@': 306}), 28: (1, {'@': 306}), 30: (1, {'@': 306}), 23: (1, {'@': 306}), 32: (1, {'@': 306}), 31: (1, {'@': 306}), 6: (1, {'@': 306}), 25: (1, {'@': 306}), 12: (1, {'@': 306}), 3: (1, {'@': 306}), 26: (1, {'@': 306})}, 492: {16: (1, {'@': 307}), 18: (1, {'@': 307}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 307}), 19: (1, {'@': 307}), 28: (1, {'@': 307}), 30: (1, {'@': 307}), 23: (1, {'@': 307}), 32: (1, {'@': 307}), 31: (1, {'@': 307}), 6: (1, {'@': 307}), 25: (1, {'@': 307}), 12: (1, {'@': 307}), 3: (0, 2), 26: (1, {'@': 307}), 7: (0, 4), 14: (0, 508)}, 493: {76: (0, 80), 47: (0, 509), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 494: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 47: (0, 510), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 41: (0, 95), 35: (0, 96)}, 495: {18: (0, 34), 53: (0, 511), 28: (0, 36), 54: (0, 37), 31: (0, 38), 30: (0, 39), 16: (0, 40), 23: (0, 41), 55: (0, 42), 32: (0, 43), 56: (0, 44), 57: (0, 45), 8: (0, 46), 58: (0, 47), 59: (0, 48), 6: (0, 3), 60: (0, 49), 61: (0, 50), 62: (0, 51), 63: (0, 52), 64: (0, 53), 19: (0, 54), 65: (0, 55), 11: (0, 56), 25: (0, 57), 66: (0, 58), 26: (0, 59), 67: (0, 60), 68: (0, 61), 12: (0, 9), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 65), 27: (0, 66), 73: (0, 67), 74: (0, 68)}, 496: {16: (1, {'@': 308}), 18: (1, {'@': 308}), 1: (1, {'@': 308}), 2: (1, {'@': 308}), 27: (1, {'@': 308}), 19: (1, {'@': 308}), 28: (1, {'@': 308}), 30: (1, {'@': 308}), 23: (1, {'@': 308}), 32: (1, {'@': 308}), 31: (1, {'@': 308}), 6: (1, {'@': 308}), 25: (1, {'@': 308}), 12: (1, {'@': 308}), 3: (1, {'@': 308}), 26: (1, {'@': 308})}, 497: {16: (1, {'@': 309}), 18: (1, {'@': 309}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 309}), 19: (1, {'@': 309}), 28: (1, {'@': 309}), 30: (1, {'@': 309}), 23: (1, {'@': 309}), 32: (1, {'@': 309}), 31: (1, {'@': 309}), 6: (1, {'@': 309}), 25: (1, {'@': 309}), 12: (1, {'@': 309}), 3: (0, 2), 26: (1, {'@': 309}), 7: (0, 4), 14: (0, 512)}, 498: {16: (1, {'@': 310}), 18: (1, {'@': 310}), 1: (1, {'@': 310}), 2: (1, {'@': 310}), 27: (1, {'@': 310}), 19: (1, {'@': 310}), 28: (1, {'@': 310}), 30: (1, {'@': 310}), 23: (1, {'@': 310}), 32: (1, {'@': 310}), 31: (1, {'@': 310}), 6: (1, {'@': 310}), 25: (1, {'@': 310}), 12: (1, {'@': 310}), 3: (1, {'@': 310}), 26: (1, {'@': 310})}, 499: {16: (1, {'@': 311}), 33: (1, {'@': 311}), 18: (1, {'@': 311}), 21: (1, {'@': 311}), 23: (1, {'@': 311}), 34: (1, {'@': 311}), 4: (1, {'@': 311}), 35: (1, {'@': 311}), 24: (1, {'@': 311}), 0: (1, {'@': 311}), 36: (1, {'@': 311}), 37: (1, {'@': 311}), 1: (1, {'@': 311}), 38: (1, {'@': 311}), 27: (1, {'@': 311}), 39: (1, {'@': 311}), 3: (1, {'@': 311}), 40: (1, {'@': 311}), 32: (1, {'@': 311}), 41: (1, {'@': 311}), 17: (1, {'@': 311}), 19: (1, {'@': 311}), 42: (1, {'@': 311}), 25: (1, {'@': 311}), 43: (1, {'@': 311}), 26: (1, {'@': 311}), 44: (1, {'@': 311}), 45: (1, {'@': 311}), 46: (1, {'@': 311}), 2: (1, {'@': 311}), 28: (1, {'@': 311}), 29: (1, {'@': 311}), 30: (1, {'@': 311}), 47: (1, {'@': 311}), 48: (1, {'@': 311}), 31: (1, {'@': 311}), 49: (1, {'@': 311}), 6: (1, {'@': 311}), 50: (1, {'@': 311}), 12: (1, {'@': 311}), 51: (1, {'@': 311})}, 500: {16: (1, {'@': 312}), 33: (1, {'@': 312}), 18: (1, {'@': 312}), 21: (1, {'@': 312}), 23: (1, {'@': 312}), 34: (1, {'@': 312}), 4: (1, {'@': 312}), 35: (1, {'@': 312}), 24: (1, {'@': 312}), 0: (1, {'@': 312}), 36: (1, {'@': 312}), 37: (1, {'@': 312}), 1: (1, {'@': 312}), 38: (1, {'@': 312}), 27: (1, {'@': 312}), 39: (1, {'@': 312}), 3: (1, {'@': 312}), 40: (1, {'@': 312}), 32: (1, {'@': 312}), 41: (1, {'@': 312}), 17: (1, {'@': 312}), 19: (1, {'@': 312}), 42: (1, {'@': 312}), 25: (1, {'@': 312}), 43: (1, {'@': 312}), 26: (1, {'@': 312}), 44: (1, {'@': 312}), 45: (1, {'@': 312}), 46: (1, {'@': 312}), 2: (1, {'@': 312}), 28: (1, {'@': 312}), 29: (1, {'@': 312}), 30: (1, {'@': 312}), 47: (1, {'@': 312}), 48: (1, {'@': 312}), 31: (1, {'@': 312}), 49: (1, {'@': 312}), 6: (1, {'@': 312}), 50: (1, {'@': 312}), 12: (1, {'@': 312}), 51: (1, {'@': 312})}, 501: {4: (0, 513)}, 502: {16: (1, {'@': 313}), 33: (1, {'@': 313}), 18: (1, {'@': 313}), 21: (1, {'@': 313}), 23: (1, {'@': 313}), 34: (1, {'@': 313}), 4: (1, {'@': 313}), 35: (1, {'@': 313}), 24: (1, {'@': 313}), 0: (1, {'@': 313}), 36: (1, {'@': 313}), 37: (1, {'@': 313}), 1: (1, {'@': 313}), 38: (1, {'@': 313}), 27: (1, {'@': 313}), 39: (1, {'@': 313}), 3: (1, {'@': 313}), 40: (1, {'@': 313}), 32: (1, {'@': 313}), 41: (1, {'@': 313}), 17: (1, {'@': 313}), 19: (1, {'@': 313}), 42: (1, {'@': 313}), 25: (1, {'@': 313}), 43: (1, {'@': 313}), 26: (1, {'@': 313}), 44: (1, {'@': 313}), 45: (1, {'@': 313}), 46: (1, {'@': 313}), 2: (1, {'@': 313}), 28: (1, {'@': 313}), 29: (1, {'@': 313}), 30: (1, {'@': 313}), 47: (1, {'@': 313}), 48: (1, {'@': 313}), 31: (1, {'@': 313}), 49: (1, {'@': 313}), 6: (1, {'@': 313}), 50: (1, {'@': 313}), 12: (1, {'@': 313}), 51: (1, {'@': 313})}, 503: {16: (1, {'@': 314}), 33: (1, {'@': 314}), 18: (1, {'@': 314}), 21: (1, {'@': 314}), 23: (1, {'@': 314}), 34: (1, {'@': 314}), 4: (1, {'@': 314}), 35: (1, {'@': 314}), 24: (1, {'@': 314}), 0: (1, {'@': 314}), 36: (1, {'@': 314}), 37: (1, {'@': 314}), 1: (1, {'@': 314}), 38: (1, {'@': 314}), 27: (1, {'@': 314}), 39: (1, {'@': 314}), 3: (1, {'@': 314}), 40: (1, {'@': 314}), 32: (1, {'@': 314}), 41: (1, {'@': 314}), 17: (1, {'@': 314}), 19: (1, {'@': 314}), 42: (1, {'@': 314}), 25: (1, {'@': 314}), 43: (1, {'@': 314}), 26: (1, {'@': 314}), 44: (1, {'@': 314}), 45: (1, {'@': 314}), 46: (1, {'@': 314}), 2: (1, {'@': 314}), 28: (1, {'@': 314}), 29: (1, {'@': 314}), 30: (1, {'@': 314}), 47: (1, {'@': 314}), 48: (1, {'@': 314}), 31: (1, {'@': 314}), 49: (1, {'@': 314}), 6: (1, {'@': 314}), 50: (1, {'@': 314}), 12: (1, {'@': 314}), 51: (1, {'@': 314})}, 504: {16: (1, {'@': 315}), 33: (1, {'@': 315}), 18: (1, {'@': 315}), 21: (1, {'@': 315}), 23: (1, {'@': 315}), 34: (1, {'@': 315}), 4: (1, {'@': 315}), 35: (1, {'@': 315}), 24: (1, {'@': 315}), 0: (1, {'@': 315}), 36: (1, {'@': 315}), 37: (1, {'@': 315}), 1: (1, {'@': 315}), 38: (1, {'@': 315}), 27: (1, {'@': 315}), 39: (1, {'@': 315}), 3: (1, {'@': 315}), 40: (1, {'@': 315}), 32: (1, {'@': 315}), 41: (1, {'@': 315}), 17: (1, {'@': 315}), 19: (1, {'@': 315}), 42: (1, {'@': 315}), 25: (1, {'@': 315}), 43: (1, {'@': 315}), 26: (1, {'@': 315}), 44: (1, {'@': 315}), 45: (1, {'@': 315}), 46: (1, {'@': 315}), 2: (1, {'@': 315}), 28: (1, {'@': 315}), 29: (1, {'@': 315}), 30: (1, {'@': 315}), 47: (1, {'@': 315}), 48: (1, {'@': 315}), 31: (1, {'@': 315}), 49: (1, {'@': 315}), 6: (1, {'@': 315}), 50: (1, {'@': 315}), 12: (1, {'@': 315}), 51: (1, {'@': 315})}, 505: {16: (1, {'@': 316}), 18: (1, {'@': 316}), 1: (1, {'@': 316}), 2: (1, {'@': 316}), 27: (1, {'@': 316}), 19: (1, {'@': 316}), 28: (1, {'@': 316}), 30: (1, {'@': 316}), 23: (1, {'@': 316}), 32: (1, {'@': 316}), 31: (1, {'@': 316}), 6: (1, {'@': 316}), 25: (1, {'@': 316}), 12: (1, {'@': 316}), 3: (1, {'@': 316}), 26: (1, {'@': 316})}, 506: {16: (1, {'@': 317}), 18: (1, {'@': 317}), 1: (1, {'@': 317}), 2: (1, {'@': 317}), 27: (1, {'@': 317}), 19: (1, {'@': 317}), 28: (1, {'@': 317}), 30: (1, {'@': 317}), 23: (1, {'@': 317}), 32: (1, {'@': 317}), 31: (1, {'@': 317}), 6: (1, {'@': 317}), 25: (1, {'@': 317}), 12: (1, {'@': 317}), 3: (1, {'@': 317}), 26: (1, {'@': 317})}, 507: {16: (1, {'@': 318}), 18: (1, {'@': 318}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 318}), 19: (1, {'@': 318}), 28: (1, {'@': 318}), 30: (1, {'@': 318}), 23: (1, {'@': 318}), 32: (1, {'@': 318}), 31: (1, {'@': 318}), 6: (1, {'@': 318}), 25: (1, {'@': 318}), 12: (1, {'@': 318}), 3: (0, 2), 26: (1, {'@': 318}), 7: (0, 4), 14: (0, 514)}, 508: {16: (1, {'@': 319}), 18: (1, {'@': 319}), 1: (1, {'@': 319}), 2: (1, {'@': 319}), 27: (1, {'@': 319}), 19: (1, {'@': 319}), 28: (1, {'@': 319}), 30: (1, {'@': 319}), 23: (1, {'@': 319}), 32: (1, {'@': 319}), 31: (1, {'@': 319}), 6: (1, {'@': 319}), 25: (1, {'@': 319}), 12: (1, {'@': 319}), 3: (1, {'@': 319}), 26: (1, {'@': 319})}, 509: {16: (1, {'@': 320}), 18: (1, {'@': 320}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 320}), 19: (1, {'@': 320}), 28: (1, {'@': 320}), 30: (1, {'@': 320}), 23: (1, {'@': 320}), 32: (1, {'@': 320}), 31: (1, {'@': 320}), 6: (1, {'@': 320}), 25: (1, {'@': 320}), 12: (1, {'@': 320}), 3: (0, 2), 26: (1, {'@': 320}), 7: (0, 4), 14: (0, 515)}, 510: {16: (1, {'@': 321}), 18: (1, {'@': 321}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 321}), 19: (1, {'@': 321}), 28: (1, {'@': 321}), 30: (1, {'@': 321}), 23: (1, {'@': 321}), 32: (1, {'@': 321}), 31: (1, {'@': 321}), 6: (1, {'@': 321}), 25: (1, {'@': 321}), 12: (1, {'@': 321}), 3: (0, 2), 26: (1, {'@': 321}), 14: (0, 516), 7: (0, 4)}, 511: {76: (0, 80), 27: (0, 81), 38: (0, 82), 77: (0, 83), 33: (0, 84), 49: (0, 85), 44: (0, 86), 36: (0, 87), 51: (0, 88), 45: (0, 89), 46: (0, 90), 43: (0, 92), 39: (0, 93), 48: (0, 94), 47: (0, 517), 41: (0, 95), 35: (0, 96)}, 512: {16: (1, {'@': 322}), 18: (1, {'@': 322}), 1: (1, {'@': 322}), 2: (1, {'@': 322}), 27: (1, {'@': 322}), 19: (1, {'@': 322}), 28: (1, {'@': 322}), 30: (1, {'@': 322}), 23: (1, {'@': 322}), 32: (1, {'@': 322}), 31: (1, {'@': 322}), 6: (1, {'@': 322}), 25: (1, {'@': 322}), 12: (1, {'@': 322}), 3: (1, {'@': 322}), 26: (1, {'@': 322})}, 513: {16: (1, {'@': 323}), 33: (1, {'@': 323}), 18: (1, {'@': 323}), 21: (1, {'@': 323}), 23: (1, {'@': 323}), 34: (1, {'@': 323}), 4: (1, {'@': 323}), 35: (1, {'@': 323}), 24: (1, {'@': 323}), 0: (1, {'@': 323}), 36: (1, {'@': 323}), 37: (1, {'@': 323}), 1: (1, {'@': 323}), 38: (1, {'@': 323}), 27: (1, {'@': 323}), 39: (1, {'@': 323}), 3: (1, {'@': 323}), 40: (1, {'@': 323}), 32: (1, {'@': 323}), 41: (1, {'@': 323}), 17: (1, {'@': 323}), 19: (1, {'@': 323}), 42: (1, {'@': 323}), 25: (1, {'@': 323}), 43: (1, {'@': 323}), 26: (1, {'@': 323}), 44: (1, {'@': 323}), 45: (1, {'@': 323}), 46: (1, {'@': 323}), 2: (1, {'@': 323}), 28: (1, {'@': 323}), 29: (1, {'@': 323}), 30: (1, {'@': 323}), 47: (1, {'@': 323}), 48: (1, {'@': 323}), 31: (1, {'@': 323}), 49: (1, {'@': 323}), 6: (1, {'@': 323}), 50: (1, {'@': 323}), 12: (1, {'@': 323}), 51: (1, {'@': 323})}, 514: {16: (1, {'@': 324}), 18: (1, {'@': 324}), 1: (1, {'@': 324}), 2: (1, {'@': 324}), 27: (1, {'@': 324}), 19: (1, {'@': 324}), 28: (1, {'@': 324}), 30: (1, {'@': 324}), 23: (1, {'@': 324}), 32: (1, {'@': 324}), 31: (1, {'@': 324}), 6: (1, {'@': 324}), 25: (1, {'@': 324}), 12: (1, {'@': 324}), 3: (1, {'@': 324}), 26: (1, {'@': 324})}, 515: {16: (1, {'@': 325}), 18: (1, {'@': 325}), 1: (1, {'@': 325}), 2: (1, {'@': 325}), 27: (1, {'@': 325}), 19: (1, {'@': 325}), 28: (1, {'@': 325}), 30: (1, {'@': 325}), 23: (1, {'@': 325}), 32: (1, {'@': 325}), 31: (1, {'@': 325}), 6: (1, {'@': 325}), 25: (1, {'@': 325}), 12: (1, {'@': 325}), 3: (1, {'@': 325}), 26: (1, {'@': 325})}, 516: {16: (1, {'@': 326}), 18: (1, {'@': 326}), 1: (1, {'@': 326}), 2: (1, {'@': 326}), 27: (1, {'@': 326}), 19: (1, {'@': 326}), 28: (1, {'@': 326}), 30: (1, {'@': 326}), 23: (1, {'@': 326}), 32: (1, {'@': 326}), 31: (1, {'@': 326}), 6: (1, {'@': 326}), 25: (1, {'@': 326}), 12: (1, {'@': 326}), 3: (1, {'@': 326}), 26: (1, {'@': 326})}, 517: {16: (1, {'@': 327}), 18: (1, {'@': 327}), 1: (0, 10), 2: (0, 14), 27: (1, {'@': 327}), 19: (1, {'@': 327}), 28: (1, {'@': 327}), 30: (1, {'@': 327}), 23: (1, {'@': 327}), 32: (1, {'@': 327}), 31: (1, {'@': 327}), 6: (1, {'@': 327}), 25: (1, {'@': 327}), 12: (1, {'@': 327}), 3: (0, 2), 26: (1, {'@': 327}), 14: (0, 518), 7: (0, 4)}, 518: {16: (1, {'@': 328}), 18: (1, {'@': 328}), 1: (1, {'@': 328}), 2: (1, {'@': 328}), 27: (1, {'@': 328}), 19: (1, {'@': 328}), 28: (1, {'@': 328}), 30: (1, {'@': 328}), 23: (1, {'@': 328}), 32: (1, {'@': 328}), 31: (1, {'@': 328}), 6: (1, {'@': 328}), 25: (1, {'@': 328}), 12: (1, {'@': 328}), 3: (1, {'@': 328}), 26: (1, {'@': 328})}}, 'start_states': {'start': 0}, 'end_states': {'start': 24}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 98}, {'@': 64}, {'@': 56}, {'@': 46}, {'@': 53}, {'@': 45}, {'@': 109}, {'@': 67}, {'@': 124}, {'@': 97}, {'@': 173}, {'@': 144}, {'@': 145}, {'@': 125}, {'@': 131}, {'@': 130}, {'@': 156}, {'@': 49}, {'@': 48}, {'@': 74}, {'@': 79}, {'@': 87}, {'@': 232}, {'@': 190}, {'@': 76}, {'@': 80}, {'@': 123}, {'@': 117}, {'@': 100}, {'@': 110}, {'@': 105}, {'@': 108}, {'@': 102}, {'@': 113}, {'@': 103}, {'@': 101}, {'@': 107}, {'@': 112}, {'@': 111}, {'@': 104}, {'@': 106}, {'@': 114}, {'@': 152}, {'@': 128}, {'@': 195}, {'@': 163}, {'@': 162}, {'@': 135}, {'@': 84}, {'@': 73}, {'@': 85}, {'@': 81}, {'@': 93}, {'@': 83}, {'@': 82}, {'@': 95}, {'@': 91}, {'@': 94}, {'@': 92}, {'@': 75}, {'@': 89}, {'@': 96}, {'@': 69}, {'@': 78}, {'@': 90}, {'@': 77}, {'@': 68}, {'@': 88}, {'@': 51}, {'@': 72}, {'@': 196}, {'@': 136}, {'@': 137}, {'@': 264}, {'@': 242}, {'@': 243}, {'@': 212}, {'@': 244}, {'@': 213}, {'@': 175}, {'@': 241}, {'@': 210}, {'@': 211}, {'@': 174}, {'@': 214}, {'@': 176}, {'@': 146}, {'@': 259}, {'@': 227}, {'@': 225}, {'@': 182}, {'@': 229}, {'@': 184}, {'@': 148}, {'@': 231}, {'@': 186}, {'@': 187}, {'@': 149}, {'@': 189}, {'@': 151}, {'@': 127}, {'@': 126}, {'@': 99}, {'@': 234}, {'@': 193}, {'@': 194}, {'@': 159}, {'@': 133}, {'@': 191}, {'@': 155}, {'@': 153}, {'@': 129}, {'@': 115}, {'@': 161}, {'@': 160}, {'@': 134}, {'@': 158}, {'@': 157}, {'@': 132}, {'@': 86}, {'@': 70}, {'@': 240}, {'@': 208}, {'@': 207}, {'@': 171}, {'@': 209}, {'@': 172}, {'@': 143}, {'@': 239}, {'@': 203}, {'@': 238}, {'@': 202}, {'@': 204}, {'@': 168}, {'@': 206}, {'@': 170}, {'@': 205}, {'@': 169}, {'@': 167}, {'@': 142}, {'@': 121}, {'@': 122}, {'@': 119}, {'@': 120}, {'@': 235}, {'@': 198}, {'@': 197}, {'@': 165}, {'@': 140}, {'@': 141}, {'@': 138}, {'@': 118}, {'@': 199}, {'@': 166}, {'@': 285}, {'@': 266}, {'@': 267}, {'@': 248}, {'@': 268}, {'@': 249}, {'@': 217}, {'@': 265}, {'@': 245}, {'@': 246}, {'@': 215}, {'@': 247}, {'@': 216}, {'@': 177}, {'@': 276}, {'@': 257}, {'@': 256}, {'@': 224}, {'@': 255}, {'@': 223}, {'@': 181}, {'@': 254}, {'@': 219}, {'@': 220}, {'@': 178}, {'@': 222}, {'@': 180}, {'@': 147}, {'@': 323}, {'@': 313}, {'@': 312}, {'@': 298}, {'@': 314}, {'@': 299}, {'@': 282}, {'@': 315}, {'@': 300}, {'@': 301}, {'@': 283}, {'@': 302}, {'@': 284}, {'@': 263}, {'@': 311}, {'@': 295}, {'@': 294}, {'@': 278}, {'@': 296}, {'@': 279}, {'@': 261}, {'@': 297}, {'@': 280}, {'@': 281}, {'@': 262}, {'@': 277}, {'@': 260}, {'@': 233}, {'@': 328}, {'@': 327}, {'@': 326}, {'@': 321}, {'@': 325}, {'@': 320}, {'@': 319}, {'@': 307}, {'@': 322}, {'@': 309}, {'@': 308}, {'@': 290}, {'@': 310}, {'@': 293}, {'@': 292}, {'@': 275}, {'@': 291}, {'@': 274}, {'@': 273}, {'@': 253}, {'@': 324}, {'@': 318}, {'@': 317}, {'@': 305}, {'@': 316}, {'@': 304}, {'@': 303}, {'@': 286}, {'@': 306}, {'@': 288}, {'@': 287}, {'@': 269}, {'@': 289}, {'@': 271}, {'@': 270}, {'@': 250}, {'@': 272}, {'@': 252}, {'@': 251}, {'@': 218}, {'@': 221}, {'@': 179}, {'@': 54}, {'@': 50}, {'@': 63}, {'@': 62}, {'@': 61}, {'@': 60}, {'@': 65}, {'@': 66}, {'@': 55}, {'@': 47}, {'@': 52}, {'@': 57}, {'@': 58}, {'@': 59}, {'@': 71}, {'@': 116}, {'@': 230}, {'@': 185}, {'@': 188}, {'@': 150}, {'@': 258}, {'@': 226}, {'@': 228}, {'@': 183}, {'@': 154}, {'@': 192}, {'@': 139}, {'@': 164}, {'@': 201}, {'@': 200}, {'@': 237}, {'@': 236}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{(?:(?:(?:(?!\\${)([^}]))+|\\$\\{[^}]+\\}))+\\}))*"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 48: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 49: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 65: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 66: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 67: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 72: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 117: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 140: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 151: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 155: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 165: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 184: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 186: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 189: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 193: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 201: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 202: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 227: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 229: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 231: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 234: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 237: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 238: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 259: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 325: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 326: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 327: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 328: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

